============================
        VERSION 0.12        
============================

Changes from v0.11 to v0.12:	

1. Added <ICS Licence document date> Data Item under the <HEADER> Data Group of ID15.xsd with xml tag ICSLicDocDatHEA65.

2. Added <Acceptance Date> Data Item under the <HEADER> Data Group of ID15.xsd with xml tag AccDatHEA158.

============================
        VERSION 0.13        
============================

Changes from v0.12 to v0.13:

1. Message CD012 deleted from CSE.

2. The group <IMPORT OPERATION> has been changed with the group <(IMPORT) CUSTOMS OFFICE> (xml tag:IMPCUSOFF)
   which contains the dataItem <Reference Number> (xml tag:RefNumIMPCUSOFF) 
   in messages IA13, IA15, IA04, IA05, IA09, IA14, IA28, IC09, IC14, IC15, IC28.

3. In message DE015 the group <TRADER REPRESENTATIVE> has been added 
   which contains the dataItems: <Name>, <Street and number>, <Postal code>, <City>, <Country code>, <NAD LNG> and <TIN>.

4. In message DE015 the group <PREVIOUS DOCUMENT> has been added 
   which contains the dataItems: <Declaration Type>, <Declaration Number>, <Customs Office> and <Declaration Date>.

5. In message DE015 the group <GOODS ITEM.SEALS ID> has been deleted and added the group <SEALS ID> 
   which contains the dataItems <Seals identity> and <Seals identity LNG>.

6. In message DE013 the group <TRADER REPRESENTATIVE> has been added 
   which contains the dataItems: <Name>, <Street and number>, <Postal code>, <City>, <Country code>, <NAD LNG> and <TIN>.

7. In message DE013 the group <PREVIOUS DOCUMENT> has been added 
   which contains the dataItems: <Declaration Type>, <Declaration Number>, <Customs Office> and <Declaration Date>.

8. In message DE013 the group <GOODS ITEM.SEALS ID> has been deleted and added the group <SEALS ID> 
   which contains the dataItems <Seals identity> and <Seals identity LNG>.

9. In message IA05 the dataItems <Identity Type> and <Identity Number> have been replaced by the dataItems <Special Mention> and <TIN> in group <(CONSIGNEE) TRADER>.

10. In message ID15 the dataItems <Date of Amendement>, <Amendment place> and <Amendment place LNG> have been deleted. 

11. In message ID15 the group <GOODS ITEM.SEALS INFO> has been added 
    which contains dataItem <Seals number>.

12. In message ID15 the group <GOODS ITEM.SEALS INFO.SEALS ID> has been added 
    which contains the dataItem <Seals Identity> and <Seals Identity LNG>.

============================
        VERSION 0.14        
============================

Changes from v0.13 to v0.14:

1. Messages CC980 and CC981 have been deleted.

============================
        VERSION 0.15        
============================

Changes from v0.14 to v0.15:

1. The group <IMPORT OPERATION> has been changed with the group <(IMPORT) CUSTOMS OFFICE> (xml tag:IMPCUSOFF)
   which contains the dataItem <Reference Number> (xml tag:RefNumIMPCUSOFF) 
   in messages ID04, ID05, ID09, ID13, ID14, ID15, ID17, ID28, ID028, ID29, ID51, ID54, ID60, ID99 and IM09, IM14, IM15, IM28.

2. In message ID15 and in <HEADER> group the dataItems
   <Declaration date>, <Identity of means of transport at arrival> and <Identity of means of transport at arrival LNG> have been added.

3. In message DC015 the length of dataItem <REFERENCED DECLARATION.Customs Office> has been changed from n4 to n8.

============================
        VERSION 0.16        
============================

Changes from v0.15 to v0.16:

1. In message DC013 the dataItem <Customs Office> changed from n4 to an8.

2. In message DC015, DC113, DC115, DC613 and DC615 the dataItem <REFERENCED DECLARATION.Customs Office> changed from n8 to an8.

3. In message DE013 and DE015 the dataItem <PREVIOUS DOCUMENT.Customs Office> changed from n8 to an8.

4. In message TC015 the entry ''E_ATA_AMD_REJ'' has been replaced by the ''E_CMS_DEC_DAT''.

5. In message IC15 the type of the dataItems <Container Value>, <Container Weight> has been changed from Numeric_8 to LongType8. 

6. Technical codelist (tcl_ics.xsd) added in messages DA413, EA15 and IA15.

7. In EA15 message 3 dataItems deleted: <Amendement date>, <Amendement place> and <Amendement place LNG> 
   
8. In EA15 message 3 dataItems added: <Declaration date>, <Declaration place> and <Declaration place LNG>

9. In message CC015B the dataItem <SEALS INFO.Seals number> changed from n..4 to n..2.

10. In messages DE015, DE013 was added the multiplicity.

11. In IA09 message the DataItem <Phone number> (PhoneCE126) deleted.

12. In IA09 message the DataItem <(CONSIGNEE)TRADER.countryCode> added.

13. In ID13 message the DataItems <HEADER.Transport Charges/Method Of Payment> and <GOODS ITEM.(Warehouse) Identification.Authorizing Country> added.

14. In ID15 message the DataItems <HEADER.Declaration Place> and <HEADER.Declaration Place LNG> added.

15. In ID16 message the DataItem <Document reference number> (DocNumHEA5) deleted.

16. In ID16 message the DataItem <HEADER.Type of Declaration> added.

17. In ID17 message the DataItems <ControlResult.ResultsOfControl.pointerToAttribute>, <ControlResult.ResultsOfControl.correctedValue>, 
    <ControlResult.controlledBy>, <ControlResult.controlledByLNG>, <ControlResult.remark>, <ControlResult.remarkLNG> added.

18. In ID17 message the group (PAYMENT) POSTPONED with the DataItems
    <Postponed Payment Code>, <Postponed Suspend Date>, <Postponed End Flag> and <Postponed End Date>
    has been moved in the GOODS ITEM group insted of the MESSAGE group.

============================
        VERSION 0.17        
============================

Changes from v0.16 to v0.17:

1. The input simple_types_ics.xsd corrected.

============================
        VERSION 0.18        
============================

Changes from v0.17 to v0.18:

1. In message ID13 the group <GOODS ITEM.SEALS INFO> has been added 
    which contains the dataItem <Seals number>.

2. In message ID13 the group <GOODS ITEM.SEALS INFO.SEALS ID> has been added 
    which contains the dataItem <Seals Identity> and <Seals Identity LNG>.

3. Business Codelists added:

ESD_GR_CL1127
ESD_GR_CL118
ESD_GR_CL119
ESD_GR_CL125
ESD_GR_CL128
ESD_GR_CL129
ESD_GR_CL130
ESD_GR_CL131
ESD_GR_CL133
ESD_GR_CL10007
ESD_GR_CL10035
ESD_GR_CL10038
ESD_GR_CL10043
ESD_GR_CL10047
ESD_GR_CL10049
ESD_GR_CL10050
ESD_GR_CL10051
ESD_GR_CL10052
ESD_GR_CL10053

IE_GR_CL10001
IE_GR_CL10006
IE_GR_CL10007
IE_GR_CL10008
IE_GR_CL10009
IE_GR_CL10020
IE_GR_CL10021
IE_GR_CL10022
IE_GR_CL10023
IE_GR_CL10030
IE_GR_CL10031
IE_GR_CL10500
IE_GR_CL10501
IE_GR_CL10502
IE_GR_CL10503
IE_GR_CL10504
IE_GR_CL10505
IE_GR_CL10508
IE_GR_CL10509
IE_GR_CL10510

============================
        VERSION 0.19        
============================

Changes from v0.18 to v0.19:

1. The messages IM14, IM15, IM09A, IM16A, IM28A, ID015A, ID016A, IA04A, IA05A, IA09A, IA14A, IA16A and IA28A
   have been added in tcl_ics.xsd (simpleType: MessageTypes – codelist 60).

2. The codelist IE_GR_CL10007 amended, the dataItem: MESSAGE - GOODS ITEM - (TAXES) CALCULATION.Amount of tax was removed.

============================
        VERSION 0.20        
============================

Changes from v0.19 to v0.20:

1. The message IE950 (CD950A) was created for ncts domain.

2. In message ID13 and ID15 new field <MESSAGE.Method of payment> has been added.

3. In message ID13 and ID15 the group <GOODS ITEM.(TAXES) ADDITIONAL ELEMENTS> has been added
   which contains the dataItems <Supplementary unit code> and <Amount of Supplementary unit>.

============================
        VERSION 0.21    
============================

Changes from v0.20 to v0.21:

1. The group <IMPORT OPERATION> has been changed with the group <(IMPORT) CUSTOMS OFFICE> (xml tag:IMPCUSOFF)
   which contains the dataItem <Reference Number> (xml tag:RefNumIMPCUSOFF) 
   in message ID028.

2. The message IA13A has been added in tcl_ics.xsd (simpleType: MessageTypes – codelist 60).

============================
        VERSION 0.22    
============================

Changes from v0.21 to v0.22:

1. In message IC15 the fields: <Container Certificate>, <Container  Signals>, <Container Doc Type>,
   <Container Doc Year, <Container Doc Number> and <Container Doc Item Number> have been added in
   group <MESSAGE.CONTAINERS>.

2. In message IC15 the field <Container Teka> has been deleted from group <MESSAGE.CONTAINERS>.

3. The message IA13A has been deleted from tcl_ecs.xsd and tcl_ncts.xsd.

============================
        VERSION 0.23    
============================

Changes from v0.22 to v0.23:

1. In message IE347 the group <MESSAGE.WAREHOUSE IDENTIFICATION> has been added with the fields:
   <Warehouse type>, <Authorizing country>, <Warehouse identification> and
   <Warehouse Keeper identification>.

2. In message IE347 the group
   <MESSAGE.ARRIVAL ITEM.CUSTOMS DATA REFERENCE.CUSTOMS DATA REFERENCE DETAILS.WAREHOUSE IDENTIFICATION>
   has been added with the fields: <Warehouse type>, <Authorizing country>,
   <Warehouse identification> and <Warehouse Keeper identification>.

3. In message IE347 the group <MESSAGE.CONTROL RESULT> has been added with the fields:
   <Perform Control>, <Decision to Control Date>, <Controler>, <Control Date>,
   <Control Result Code> and <Time Limit>.

4. In message IE347 the fields "Transport mode at border",
   "Country code of Office of first Entry declared", "Identification of the means of transport"
   and "Expected date and time of arrival" were deleted from HEADER group.

5. In message IE347 the field "Date and time of scheduled arrival" was added from HEADER group.

============================
        VERSION 0.24    
============================

Changes from v0.23 to v0.24:

1. In message IE029 (NCTS domain) some rules and conditions, the format and the optionality were changed for several dataItems.

2. In message IE029 (NCTS domain) the dataItems HEADER.Loading status (Katastaseis Fortosis)
   and MESSAGE.(PRINCIPAL)TRADER.Holder ID TIR (Katoxos deltioy TIR) have been added.

3. In message IE013 (NCTS domain) some rules and conditions, the format and the optionality were changed for several dataItems.

4. In message IE013 (NCTS domain) the dataItem HEADER.Loading status (Katastaseis Fortosis) has been added. 

5. In message IE015 (NCTS domain) some rules and conditions, the format and the optionality were changed for several dataItems.

6. In message IE015 (NCTS domain) the dataItem HEADER.Loading status (Katastaseis Fortosis) has been added. 

7. In message IE051 (NCTS domain) some rules and conditions, the format and the optionality were changed for several dataItems.

8. In message IE051 (NCTS domain) the dataItems HEADER.Loading status (Katastaseis Fortosis) 
   and MESSAGE.(PRINCIPAL)TRADER.Holder ID TIR (Katoxos deltioy TIR) have been added.

9. In message IC15 the format of the dataitems Container Dimensions, Container Weight
   and Container Value in group MESSAGE.CONTAINERS have been changed.

10. In message IE515 the dataItems "Special Mention" have been deleted from groups:
   MESSAGE.GOODS ITEM.(EXPORTER) TRADER and MESSAGE.GOODS ITEM.(CONSIGNEE) TRADER.

11. In message ID15: 3 new fields added (Next Customs Reference Number, Loading Place, Specific Circumstance Indicator)
    in HEADER group and 2 fields (Arrival Date & Time, UN dangerous goods code) removed from HEADER datagroup.
    Also, 1 new datagroup (ITINERARY) with one field (Country of routing code) added on MESSAGE level
    and 1 new field added (Ucr) at GOODS ITEMS datagroup and 3 datagroups removed nested under GOODS ITEMS datagroup.

12. In message IM15 in the:
    MESSAGE.HEADER group the dataItem Deadline date deleted and the dataItems
    "Total Quantity", "Total Wastage", "Total Remaining Quantity" were added.
    MESSAGE.INWORD PROCESS DECLARATION group the dataItem "Declaration Customs Office" was deleted. 
    MESSAGE.INWORD PROCESS APPLICATION group the dataItems "Reference number", "Declaration Date" and 
    "Declaration Customs Office" were deleted.
    MESSAGE.IMPORT DEBIT group the dataItems "TARIC first additional code", "TARIC second additional code"
    and "Supplementary units" were added.
    MESSAGE.IMPORT DEBIT group the dataItems "Overhead Charges", "KED Percentage" and "Guarantee Type" were deleted.
    MESSAGE.SETTLEMENT CREDIT group the dataItems "Reference number", "Item number", "Procedure requested",
    "Previous Procedure", "TARIC first additional code", "TARIC second additional code"
    and "Goods description" were added.
    MESSAGE.SETTLEMENT CREDIT group the dataItems "Document Type", "Reference number", "Document Date",
    "Customs Office", "Goods description", "Quantity", "Quantity Credit", "Dxa" and "Wastage Price" were deleted.
    MESSAGE.REMAINING QUANTITY group the dataItems "Free Circulation", "Combined Nomenclature"
    and "TARIC code" were deleted.
    MESSAGE.REMAINING QUANTITY group the dataItem "Apte" was added.

13. In message IM15 added the group:
    MESSAGE.SETTLEMENT CREDIT.ITEM QUANTITY with the dataItems "Item number", "Quantity" and "Supplementary units".
    MESSAGE.GUARANTEES with the dataItem "Guarantee".

14. In message IM15 deleted the group MESSAGE.INWORD PROCESS APPLICATION with the dataItems
    "Reference number", "Declaration Date" and "Declaration Customs Office".

15. In messages TB15, TB13, TC15, TC13 the datagroup:
    MESSAGE.(DEPARTURE) CUSTOMS OFFICE was added with the dataItem "Office reference number" and the
    MESSAGE.(DESTINATION) CUSTOMS OFFICE was added with the dataItem "Office reference number".

16. In message ID28 the (TAXES) CALCULATION data-group multiplicity changes to x999.
    1 group added MESSAGE.GOODS ITEM with the field Item number that includes the (TAXES) CALCULATION group.
    4 labels changed in dataItems (Type of tax, Tax base, Rate of tax, Amount of tax) of (TAXES) CALCULATION group.

============================
        VERSION 0.25    
============================

Changes from v0.24 to v0.25:

1. In message ID13 the group MESSAGE.ITINERARY was added with the field "Country of routing code".

2. In message ID13 the fields "Next Customs Reference Number", "Loading Place", "Specific Circumstance Indicator"
   were added in HEADER group and the fields "Arrival Date & Time", "UN dangerous goods code" were deleted.

3. In message ID13 the field MESSAGE.GOODS ITEM.Ucr was added.

4. In message ID13 the groups MESSAGE.GOODS ITEM.ITINERARY, MESSAGE.GOODS ITEM.SEALS INFO
   and MESSAGE.GOODS ITEM.SEALS INFO.SEALS ID were deleted. 

5. In message ID13 the fields MESSAGE.RELIEFS.Relief Type, MESSAGE.RELIEFS.Relief Code were changed from an1 to an2.

6. In message ID51 the fields "Next Customs Reference Number", "Loading Place", "Unloading Place,
   "Transport charges/ Method of Payment", "Specific Circumstance Indicator" were added in HEADER group.

7. In message ID51 the group MESSAGE.(ADDITIONAL CONSIGNEE) ADDITIONAL TRADER	was added with the fields
   "Name", "Street and number", "Postal code", "City", "Country code", "NAD LNG", "VAT", "Identity Card",
   "Owner", "Ownership Percentage".

8. In message ID51 the group MESSAGE.(CARRIER) TRADER	was added with the fields
   "Name", "Street and number", "Postal code", "City", "Country code", "NAD LNG", "TIN".

9. In message ID51 the group MESSAGE.(ENTRY) CUSTOMS OFFICE	was added with the field "Reference number".

10. In message ID51 the group MESSAGE.ITINERARY	was added with the field "Country of routing code".

11. In message ID51 the group MESSAGE.SEALS INFO was added with the field "Seals number".

12. In message ID51 the group MESSAGE.SEALS INFO.SEALS ID was added with the fields
    "Seals identity", "Seals identity LNG".

13. In message ID51 the fields "Ucr", "Contact Person", "Loading Place", "Unloading Place",
    "UN dangerous goods code", "Transport charges/ Method of Payment" were added in MESSAGE.GOODS ITEM group.

14. In message ID51 the group MESSAGE.GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES was added with the fields
    "Previous document Bill of Lading Type", "Previous document Bill of Lading Number".

15. In message ID51 the group MESSAGE.GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES was added
    with the field "Document reference".

16. In message ID51 the group MESSAGE.GOODS ITEM.GRN was added with the field "GRN Amount".

17. In message ID51 the field MESSAGE.GOODS ITEM.(CONSIGNOR) TRADER.Special Mention was deleted.

18. In message ID51 the group MESSAGE.GOODS ITEM.(TAXES) ADDITIONAL ELEMENTS was added with the fields
    "Supplementary unit code", "Amount of Supplementary unit".

19. In message ID51 the field MESSAGE.GOODS ITEM.(CONSIGNEE) TRADER.Special Mention was deleted.

20. In message ID51 the fields "Vechicle Model", "Vechicle Model Date", "Arival Imported Date",
    "Warehouse Number" were added in group MESSAGE.GOODS ITEM.VECHICLE DETAILS.

21. In message ID51 the field MESSAGE.GOODS ITEM.NATIONAL PRODUCTS.Warehouse Number was deleted.

22. In message ID51 the group MESSAGE. GOODS ITEM.(WAREHOUSE) IDENTIFICATION was added with the fields
    "Warehouse type", "Authorizing country", "Warehouse identification".

23. In message ID51 the group MESSAGE.SEALS INFO and MESSAGE.SEALS INFO.SEALS ID were deleted.

24. In message ID51 the group MESSAGE.(WAREHOUSE) IDENTIFICATION was deleted among with the fields
    "Warehouse type", "Authorizing country", "Warehouse identification".

25. In message ID51 the group MESSAGE.PROVISION	was added with the fields
    "Ship Name, "??? Number", "Ship Flag", "Gross Tonnage".

26. In message ID51 the group MESSAGE.PROVISION.MEANS OF PROVISIONING was added with the fields
    "DIPENAK Record ID", "Description of means of provisioning", "Quantity".

27. In message ID51 the group MESSAGE.PROVISION.FUEL CONTROL was added with the fields
    "Invoice Number", "Relief Code", "Quantity", "National Product Code".

28. In message ID51 the fields MESSAGE.RELIEFS.Relief Type, MESSAGE.RELIEFS.Relief Code were changed from an1 to an2.

29. In message ID15 the fields MESSAGE.RELIEFS.Relief Type, MESSAGE.RELIEFS.Relief Code were changed from an1 to an2.

30. In messages DC015 and DC115 the field MESSAGE.GOODS ITEM.Referenced Declaration Item Number was added.

31. In messages DC015 and DC115 the group GOODS ITEM was moved in MESSAGE level from MESSAGE.REFERENCED DECLARATION level.

32. In message DC015 the group GOODS ITEM.SEALS ID was deleted.

33. In messages DC015 and DC115 the field GOODS ITEM.TARIC Code was changed from an10 to an..8.

34. In message IE347 the MESSAGE.CONTROL RESULT group was deleted.

35. In message IE347 the field "Freight on Board" was added in the groups 
    MESSAGE.ARRIVAL ITEM.CUSTOMS DATA REFERENCE and
    MESSAGE.ARRIVAL ITEM.CUSTOMS DATA REFERENCE.CUSTOMS DATA REFERENCE DETAILS.

36. In message IE347 the repetition of the group
    MESSAGE.ARRIVAL ITEM.CUSTOMS DATA REFERENCE.CUSTOMS DATA REFERENCE DETAILS.WAREHOUSE IDENTIFICATION – ITEM
    was changed from 99x to 1x.

37. In message IE347 the fields "Transport mode at border", "Identity of means of transport" were added in the HEADER group.

38. In message IE347 the field "Document reference" was added in the group GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES.

39. In message IE344 the repetition of the group MESSAGE.ARRIVAL ITEM. GOODS ITEM changed from 1x to 999x.

40. In message DE015 the group MESSAGE.CONTROL RESULT was deleted.

41. In message DC115 the dataItem "HEADER.Abandonment Request date and time" was deleted.

42. In message DB815 the dataItem "HEADER.Dangerous Goods date and time" was deleted.

43. In message DB815 the dataItems "Port of Discharge description", "Port of Loading code",
    "Port of Loading description" and "Port of Discharge code" were deleted from the
    MESSAGE.TRANSPORTATION VESSEL DETAILS group.

44. In message DB815 the dataItems "Port of Loading" and "Port of Discharge"
    were added in the MESSAGE.TRANSPORTATION VESSEL DETAILS group.

45. In message DB715 the dataItems "Port of embarkation code" and "Port of disembarkation code"
    were deleted from the MESSAGE.TRANSPORTATION VESSEL DETAILS.PASSENGER DETAILS group.

46. In message DB715 the dataItems "Port of Discharge description" and "Shipping Agent" were
    deleted from the MESSAGE.TRANSPORTATION VESSEL DETAILS group.

47. In message DB715 the dataItem "HEADER.Passenger List date and time" was deleted.

48. In message DB715 the dataItems "Vessel Registration Type" and "Vessel Registration Number"
    were added in the MESSAGE.TRANSPORTATION VESSEL DETAILS group.

49. In message DB615 the dataItems "Vessel Registration Type" and "Vessel Registration Number"
    were added in the MESSAGE.TRANSPORTATION VESSEL DETAILS group.

50. In message DB615 the dataItem "HEADER.Crew List date and time" was deleted.

51. In message DB515 the dataItem "HEADER.Crew Effect date and time" was deleted.

52. In message DB515 the dataItems "Vessel Registration Type" and "Vessel Registration Number"
    were added in the MESSAGE.TRANSPORTATION VESSEL DETAILS group.

53. In message DB415 the dataItem "HEADER.Ship Store date and time" was deleted.

54. In message DB415 the dataItems "Vessel Registration Type" and "Vessel Registration Number"
    were added in the MESSAGE.TRANSPORTATION VESSEL DETAILS group.

55. In message DB315 the dataItem "HEADER.Declaration date and time" was deleted.

56. In message DB315 the dataItems "Vessel Registration Type" and "Vessel Registration Number"
    were added in the MESSAGE.TRANSPORTATION VESSEL DETAILS group.

57. In message DB215 the dataItem "HEADER.Departure date and time" was deleted.

58. In message DB215 the group MESSAGE.CUSTOMS OFFICE was deleted.

59. In message DB215 the dataItem "MESSAGE.TRANSPORTATION VESSEL DETAILS.Vessel Port of Registration" was deleted.

60. In message DB015 the dataItem "MESSAGE.TRANSPORTATION VESSEL DETAILS.Vessel Port of Registration" was deleted.

61. In message DB015 the dataItems "Port of arrival" and "Port of Destination" were deleted
    from the MESSAGE.(DEPARTURE DETAILS) ARRIVAL group.

62. In message DB115 the dataItem "HEADER.Arrival date and time" was deleted.

63. In message DB115 the dataItem "MESSAGE.TRANSPORTATION VESSEL DETAILS.Vessel Port of Registration" was deleted.

64. In message DB115 the dataItems "Port of arrival" and "Port of destination" were deleted
    from the MESSAGE.(DEPARTURE DETAILS) ARRIVAL group.

65. In message DB115 the group MESSAGE.REFERENCED DECLARATION was deleted.

66. In message DB115 the group MESSAGE.IMO TRANSPORTATION VESSEL DETAILS was added including the dataItems
    "Name and Description of ship", "Vessel Registration Type", "Vessel Registration Number",
    "Port of arrival/departure", "Date of arrival/departure", "Time of arrival/departure",
    "Nationality of ship", "Name of master", "Port arrived from/Port of destination", "Certificate of registry",
    "Gross tonnage", "Net tonnage" and "Position of the ship in the port".

67. In message DB115 the group MESSAGE.IMO SHIP AGENT DETAILS was added including the dataItems
    "Name", "Street and number", "Postal code", "City", "Country code", "NAD LNG", and "TIN".

68. In message DB115 the group MESSAGE.IMO BRIEF DESCRIPTIONS was added including the dataItems
    "Brief particulars of voyage", "Brief description of the cargo" and "Remarks".

69. In message DB115 the group MESSAGE.IMO HUMAN DETAILS was added including the dataItems
    "Number of crew" and "Number of passengers".

70. In message DB115 the group MESSAGE.IMO ATTACHED DOCUMENTS was added including the dataItems
    "Cargo Declaration", "Ship's Stores Declaration", "Crew List", "Passenger List",
    "Crew's Effect Declaration" and "Maritime Declaration of Health".

71. In message DB315 the dataItems "Transport mode at border", "Total number of items",
    "Total number of packages", "Total gross mass", "Specific Circumstance Indicator",
    "Transport charges/ Method of Payment", "Commercial Reference Number", "Place of loading",
    "Place of loading LNG", "Place of unloading", Place of unloading LN", "Document/reference number Communicated"
    "Repacking place, Repacking place LNG" and "Repacking date and time" were deleted from HEADER group.

72. In message DB315 the dataItems "Repacking Reason Type" and "Repacking Reason Description"
    were added in the HEADER group.

73. In message DB315 the group MESSAGE.IMPORT OPERATION was deleted.

74. In message DB315 the group MESSAGE.TEMPORARY STORAGE was added including the dataItems
    "Warehouse type", "Authorizing country", "Warehouse identification" and "Warehouse Keeper identification".

75. In message DB315 the group MESSAGE.DECLARATION was added including the dataItems
    "Declaration Number", "Declaration Date", "Declaration Item Number", "Commercial Reference Type - General",
    "Commercial Reference Number - General", "Commercial Reference Type" and "Commercial Reference Number".

76. In message DB315 the group MESSAGE.CONSOLIDATION DOCUMENTS / CERTIFICATES was added including the dataItems
    "Document Type" and "Document Number".

77. In message DB315 the group MESSAGE.DECLARATION ITEM was added including the dataItems
    "Item number", "TARIC Code, "Goods description", "Goods description LNG", Gross mass" and
    "Commercial Reference Number".

78. In message DB315 the group MESSAGE.DECLARATION PACKAGES was added including the dataItems
    "Kind of packages", "Number of packages", "Number of pieces", "Marks & numbers of packages (long)" and
    "Marks & numbers of packages (long) LNG".

79. In message DB315 the group MESSAGE.DECLARATION CONTAINERS was added including the dataItem "Container number".

80. In message DB315 the group MESSAGE.REPACKING ITEM was added including the dataItems
    "Item number", "TARIC Code", "Goods description", "Goods description LNG" and "Gross mass".

81. In message DB315 the group MESSAGE.REPACKING ITEM.REPACKING PACKAGES was added including the dataItems
    "Kind of packages", "Number of packages", "Number of pieces", "Marks & numbers of packages" and
    "Marks & numbers of packages LNG".

82. In message DB315 the group MESSAGE.REPACKING ITEM.REPACKING CONTAINERS was added including the dataItem
    "Container number".

83. The xml tag for the dataItem "MESSAGE - ARRIVAL ITEM - IMPORT OPERATION.Reference number" was replaced
    by the RefNumARRIMP12.

============================
        VERSION 0.26    
============================

"The changes 71-82 in the previous version were for the message DA315."

Changes from v0.25 to v0.26:

1. In messages ID15, ID13, ID17, ID51, ID99, IA15, IA13 & IM15 the dataItem “Supplementary Units”
   was deleted.

2. In messages ID15, ID13, ID17, ID51, ID99, IA15, IA13 & IM15 the dataItem “National Supplementary Units”
   was added.

3. The 66, 67, 68, 69, 70 changes of the Changes-v.025.txt file were changed.
   The following groups were deleted from DB115 message: 
   MESSAGE.IMO TRANSPORTATION VESSEL DETAILS, MESSAGE.IMO SHIP AGENT DETAILS 
   MESSAGE.IMO BRIEF DESCRIPTIONS, MESSAGE.IMO HUMAN DETAILS and MESSAGE.IMO ATTACHED DOCUMENTS.

4. In message ID51 the datagroup (PAYMENT) POSTPONED was placed in GOODS ITEM level.

5. In messages CC551A, CC613A, CC615A, CD501B, CD503B, CD518B, EA13A, EA15A the dataItem
   "MESSAGE.GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES.Document reference" was added.

6. In messages CC513A, CC515A, CC517A, CC529A, CC551A, CD501B, CD503B, CD538B, CD599A and ID15 the
   dataItem "MESSAGE.SEALS INFO.Seals number" was added.

============================
        VERSION 0.27    
============================

Changes from v0.26 to v0.27:

1. In message IE347 the dataItem “Warehouse Identification” in the group
   MESSAGE.ARRIVAL ITEM.CUSTOMS DATA REFERENCE.CUSTOMS DATA REFERENCE DETAILS.WAREHOUSE IDENTIFICATION-ITEM
   was replaced by the “Warehouse Lisence” with format an19.

2. In message IE344 the dataItem “Warehouse Identification” in the group
   MESSAGE.GOODS ITEM.WAREHOUSE IDENTIFICATION
   was replaced by the “Warehouse Lisence” with format an19.

3. In messages DA315A, DE013A, DE015A the dataItem “Warehouse Identification” in the group
   MESSAGE.TEMPORARY STORAGE was replaced by the “Warehouse Lisence” with format an19.

4. In messages DE013A, DE015A the dataItem "Warehouse Identification" in the group
   MESSAGE.GOODS ITEM.TEMPORARY STORAGE was replaced by the "Warehouse Lisence" with format an19.

5. In message ID15 the dataItem MESSAGE.GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES.Document reference
   was added.

6. In message ID15 the cardinality of the group MESSAGE.GOODS ITEM.(PAYMENT) POSTPONED
   was changed from 9x to 1x.

7. For NCTS domain, Cargo Manifest messages have been changed.

============================
        VERSION 0.28    
============================

Changes from v0.27 to v0.28:

Alignment with Kel19b (NCTS messages were updated, IE17, IE38, IE43, IE44)
NCTS messages: TF013, TF015, TF016, TF029 were amended.

============================
        VERSION 0.29    
============================

Changes from v0.28 to v0.29:

1. NCTS messages were updated:
TA004/ TA005 / TA009 / TA013 / TA014 / TA028 / TA906
TB004 / TB005 / TB009 / TB013 / TB014 / TB028 / TB051 / TB906
TC004 / TC005 / TC009 / TC013 / TC014 / TC028 / TC051 / TC906
TF004 / TF005 / TF009 / TF013 / TF014 / TF028 / TF029 / TB051 / TF906

2. Rule TR0102 was removed from IE13, IE15, IE29, IE51 messages.

3. DC015 message was updated, the GOODS ITEM group was moved in REFERENCE DECLARATION group level.

4. DC115 message was updated, the GOODS ITEM group was moved in REFERENCE DECLARATION group level.

============================
        VERSION 0.30    
============================

Changes from v0.29 to v0.30:

1. In message CC315 the dataItem "Document reference" added in group PRODUCED DOCUMENTS/CERTIFICATES.

2. In message ID13 the dataItem "Document reference" added in PRODUCED DOCUMENTS/CERTIFICATES level.

============================
        VERSION 0.32    
============================

Changes from v0.30 to v0.32:

1. For message ID54 the dataItems RelReqDatHEA154 (Date of release request) and RelReqHEA105 (Release requested)
   have been declared in the correct domain.

============================
        VERSION 0.33    
============================

Changes from v0.32 to v0.33:

1. In message ID14 the dataItem MESSAGE.(CONSIGNEE) TRADER.Country code has been added.

2. In message ID14 the dataItem MESSAGE.(CONSIGNEE) TRADER.Phone has been deleted.

============================
        VERSION 0.34    
============================

Changes from v0.33 to v0.34:

1. In message DA404-ARN the dataItem "MESSAGE.HEADER.Document/reference number Communicated" has been deleted.

2. In message DA404-ARN the dataItem "MESSAGE.HEADER.Presentation Amendment date and time" has been deleted.

3. In message DA405-ARN the dataItem "MESSAGE.HEADER.Presentation Amendment date and time" has been deleted.

4. In message DA413-ARN the dataItem "MESSAGE.HEADER.Presentation Amendment date and time" has been deleted.

5. In message DA413-ARN the dataItem "MESSAGE.HEADER.Identity of means of transport" has been added.

6. In message DA413-ARN the dataItem "MESSAGE.HEADER.Transport mode at border" has been added.

7. In message DA413-ARN the data group WAREHOUSE IDENTIFICATION has been added in the MESSAGE level with the following data items:

WAREHOUSE IDENTIFICATION		1x	O	
Warehouse type					R	a1
Authorizing country				R	a2
Warehouse identification			R	an19
Warehouse Keeper identification		D	an21

8. In message DA413-ARN the data group WAREHOUSE IDENTIFICATION has been added in the MESSAGE.ARRIVAL ITEM.CUSTOMS DATA REFERENCE.CUSTOMS DATA REFERENCE DETAILS level with the following data items:

WAREHOUSE IDENTIFICATION		1x	C	
Warehouse type					R	a1
Authorizing country				R	a2
Warehouse identification			R	an19
Warehouse Keeper identification		D	an21


9. In message IE344 the dataItems "Transport mode at border"
   and "Identity of means of transports" have been added in HEADER level.

============================
        VERSION 0.35    
============================

Changes from v0.34 to v0.35: Allignment with DDNA kelv022 (for ICS only)

KEL Implemented - affecting XSDs:                            
                                                                                                                                               
#188  --> In CD303A(C_ENS_RSP) the R007  has been  removed from IMPORT OPERATION.GOODS ITEM.Item number
		 In CD319A(C_ENS_SUB) the R007  has been  removed from GOODS ITEM.Item number.
		 
#189  --> In CD301A (C_ENS_SND) the C062 has been added in GOODS ITEM.PACKAGES.Marks & numbers of packages (long)
		 In CC313A (E_ENS_AMD) the C062 has been added in GOODS ITEM.PACKAGES.Marks & numbers of packages (long)   
		 In CC315A (E_ENS_DAT) the C062 has been added in GOODS ITEM.PACKAGES.Marks & numbers of packages (long)
		 In CD319A (C_ENS_SUB) the C062 has been added in GOODS ITEM.PACKAGES.Marks & numbers of packages (long)                                                                                                                                                                                                                     

#190  --> In CD303A (C_ENS_RSP) the C541 has been removed from IMPORT OPERATION.Declaration place LNG

#191  --> In "CC351A.Header.Transport mode at border" the optionality has been changed from ‘R’ (Required) to ‘O’ Optional; 
         In "CC351A.(FIRST ENTRY) CUSTOMS OFFICE.Expected date and time of arrival" the optionality has been changed from ‘R’ (Required) to ‘O’ (Optional).

#193  --> The data group “CUSTOMS AUTHORITY ROLE” (including child data elements) has been removed from the technical message structure of the CD32C and CD932C messages (ICS).

#203  --> In CD301A (C_ENS_SND)the CL27 has been added in "HEADER.Document/reference number Communicated" 
         In CD303 (C_ENS_RSP) the CL27 has been added in "HEADER.Risk" and in "IMPORT OPERATION.ENS Risk"
         In CD319A(C_ENS_SUB) the CL27 has been added in "HEADER.Document/reference number Communicated"

#205  --> In CC351A (E_AIV_NOT) the R134  has been added in "HEADER.Nationality"

#208  --> In CD303A.IMPORT OPERATION.(REPRESENTATIVE) TRADER, the optionality has been changed from "D" to "O" and the C526 has been removed  
         In CD303A.IMPORT OPERATION.(ENTRY CARRIER) TRADER, the optionality has been changed from "D" to "O" and the C526 has been removed 
		 In CD303A.IMPORT OPERATION.(LODGEMENT) CUSTOMS OFFICE, the optionality has been changed from "D" to "O" and the C526 has been removed 	
		 In CD303A.IMPORT OPERATION.(FIRST ENTRY) CUSTOMS OFFICE, the optionality has been changed from "D" to "R" and the C537 has been removed
         In CD303A.IMPORT OPERATION.(SUBSEQUENT ENTRY) CUSTOMS OFFICE, the optionality has been changed from "D" to "O" and the C526 has been removed
		 In CD303A.IMPORT OPERATION.SEALS ID, the optionality has been changed from "D" to "O" and the C526 has been removed
		 In CD303A.IMPORT OPERATION.(LODGING SUMMARY DECLARATION) PERSON, the optionality has been changed from "D" to "R" and the C537 has been removed
		 In CD303A.IMPORT OPERATION.Total gross mass, the optionality has been changed from "D" to "O" and the C526 has been removed

		In general the C526 and C537 has been removed from ICS, since they are not applied to other elements.

#210  --> The definition of the TINType has been modified in the following XSDs:
        \output\ecs\simple_types.xsd
		\output\ics\simple_types.xsd
		\output\ics-declaratives\simple_types.xsd
		\output\ncts\simple_types.xsd  

#216  --> The definition of the Customs Office Reference Number has been modified in the following XSDs:
		\output\ecs\simple_types.xsd
		\output\ics\simple_types.xsd
		\output\ics-declaratives\simple_types.xsd
		\output\ncts\simple_types.xsd

#217  --> The new technical rule (TR9002) has been applied in "CD070B.Downtime from"

============================
        VERSION 0.37    
============================

Changes from v0.36 to v0.37:

1. The pattern for the DateTimeType has been corrected. The simple_types.xsd is been affected.

============================
        VERSION 0.38    
============================

Changes from v0.37 to v0.38:

1. In message DA004 the dataItems "MESSAGE.HEADER.Identity of means of transport" and 
   "MESSAGE.HEADER.Transport mode at border" have been added.

2. In message DA404 the dataItems "MESSAGE.HEADER.Identity of means of transport" and 
   "MESSAGE.HEADER.Transport mode at border" have been added.

3. In message DA013 the dataItems "MESSAGE.HEADER.Identity of means of transport" and 
   "MESSAGE.HEADER.Transport mode at border" have been added.

4. In message DA413 the dataItems "MESSAGE.HEADER.Identity of means of transport" and 
   "MESSAGE.HEADER.Transport mode at border" have been added.

============================
        VERSION 0.39
============================

Changes from v0.38 to v0.39:

1. In the TB015 message the optionality of dataItem MESSAGE-MANIFEST ITEMS.Manifest symbol
   has been changed from R (required) to D (depended).

2. In the following messages TB013, TB015, TB051, TC013, TC015, TC051 the optionality of the
   dataItem MESSAGE-MANIFEST ITEMS.Gross mass have been changed from R (required) to O (optional).

3. The suffix A has been added in the messages: CC330, CC345, CC346, CC348, CC349.

============================
        VERSION 0.40
============================

Changes from v0.39 to v0.40:

1. The following KELs 180, 184, 185, 186, 187, 194, 195, 196, 197, 198, 199, 200, 214, 215
   have been implemented. NCTS domain is aligned with DDNA KEL v0.22.

============================
        VERSION 0.41
============================

Changes from v0.40 to v0.41:

The following messages were modified in this version of the XSDs: 
1.	XP15_v1, 
2.	EA13_v1, 
3.	EA15_v2, 
4.	IE513_v2, 
5.	IE515_v6
6.	IC15_v3, 
7.	IA13_v3, 
8.	IA15_v4, 
9.	ID13_v11, 
10.	ID15_v21,  
11.	ID16_v2, 
12.	ID17_v4, 
13.	ID28_v4, 
14.	ID51_v6, 
15.	ID99_v4, 
16.	IM15_v2
17.   IE347_v6

The following new changes were asked in the latest versions of the above messages and updated in the CSE:

In XP15, the following data fields were added under the HEADER data group:Invoice Number, Identity of means of transport, Destination,
Document Reference Number and the following data fields under the (CODE) COMMODITY:Return Code, Return Amount 

In EA13, EA15, the following data field was added under the (DECLARANT) TRADER data group: Special Mention

In IE513, IE515, the data group Loading Details was added under HEADER and the data field Special Mention was deleted from the (EXPORTER) TRADER, (CONSIGNEE) TRADER
 data groups

In IC15, the data field Container Weight was deleted under the CONTAINERS data group

In IA13, IE15, the data field Containerised indicator was removed from HEADER data group and the data fields Acceptance Date and Method of payment were added.  Also, the data fields Relief Type and Relief Code were changed to an2 and the data groups (TAXES) ADDITIONAL ELEMENTS and (PAYMENT) POSTPONED were added under the data group GOODS ITEM.

In IA15, the data field GRN Amount was added under the GRN data group.

In ID13, the data field Arrival Date and Time was added under the HEADER and the GOODS ITEM data groups

In ID13, ID15, ID51. ID99, the codelist 10517 was added to the datafield Preference and the codelist 10516 to the datafield Postponed Payment Code.

In ID17, the data field Arrival Date and Time
 was added under the HEADER data group, the codelist 10517 was added to the Preference data field, the codelist 10500 was added to the Procedure requested data field, the codelist 10508 was added to Previous Procedure data field, the codelist 10509 was added to the Community / National Procedure
 data field, the codelist 10504 was added to the Statistical value currency data field, the codelist 10007 was added to the Type of tax data field, the codelist 1009 was added to the Method of payment data field, the codelist 10501 was added to the Vechicle Type data field and the codelist 10516 was added to the Postponed Payment Code data field. Also, the data field Special Mention was removed from the GOODS ITEM-CONSIGNOR TRADER data group and the data field Warehouse Number was removed from the NATIONAL PRODUCTS data group.  Moreover, the data group (WAREHOUSE) IDENTIFICATION was removed.

In ID28, the data field Additional Declaration Date was added under the HEADER data group

In ID51, ID99, the data field Arrival Date and Time was added under the HEADER data group 

In IM15, the data field Deadline date was removed under the HEADER data group and the data fields Total Quantity, Total Wastage, Total Remaining Quantity were added under the HEADER data group.  Also, the data field Declaration Customs Office was removed from the INWORD PROCESS DECLARATION data group and the data group INWORD PROCESS APPLICATION was removed.  The data fields TARIC first additional code, TARIC second additional code, Supplementary units,  were added under the IMPORT DEBIT data group and the data fields Overhead Charges, KED Percentage,
Guarantee Type were added under the IMPORT DEBIT data group.  The data fields Reference number, Item number, Procedure requested,
Previous Procedure were added under the SETTLEMENT CREDIT data group and the data fields Document Type, Reference number, Document Date, Customs Office, Goods description, Quantity, Quantity Credit, 
Dxa, Wastage Price were removed under the SETTLEMENT CREDIT data group.  Also, the data fields Free Circulation, Combined Nomenclature, TARIC code under the REMAINING QUANTITY data group were removed and the data field Apte was added under the REMAINING QUANTITY data group.  Also, the new data group GUARANTEES was added.	 

In IE347, I have attached two new national rules RN200 and CN200.  Also, the data field Total number of arrival items became required, the data field Total number of packages became optional, the data field Total gross mass became optional, the data field Test indicator became optional and the data field Identity of means of transport became required.

============================
        VERSION 0.42
============================

Changes from v0.41 to v0.42:

The following messages have been introduced:
1. DX313
2. DX315
3. DX316
4. DX328
5. DX330
6. DX361

============================
        VERSION 0.43
============================

Changes from v0.42 to v0.43:

The following messages have been introduced:
1. DX304
2. DX305
3. DX322
4. DX329

============================
        VERSION 0.44
============================

Changes from v0.43 to v0.44:

The following messages have been introduced:
1. DA229
2. DA261

The following messages have been updated:
1. DA215
2. DA216
3. DA228
4. DE015

============================
        VERSION 0.45
============================

Changes from v0.44 to v0.45:

The following messages have been introduced:
1. COM04
2. COM05
3. COM06
4. COM07

The following messages have been updated:
1. IE007
2. IE029
3. IE013
4. CC515A
5. CC513A
6. EA13A
7. EA15A
8. IA13A
9. IA15A
10.ID13A
11.ID15A
12.ID51A
13.ID99A

============================
        VERSION 0.46
============================

Changes from v0.45 to v0.46:

The version of the messages: Import-Export Message Spec_2011-06-02_verification response

IC09: as was in v0.45

IC14: as was in v0.45

IC15: as was in v0.45
	All the fields have the correct format.
		the codelist 8 in MESSAGE.CONTATINERS.Container Country is missing
		the codelist CL10026 in MESSAGE.CONTATINERS.Container Doc Type is missing
	
IC16: The format in the dataItem HEADER.Rejection date become n8

IC28: as was in v0.45

IA04: The dataItem MESSAGE.(CONSIGNEE) TRADER.Phone number was deleted 
	The dataItem MESSAGE.(CONSIGNEE) TRADER.Country code was added

IA05: as was in v0.45

IA09: All the dataItems from the group MESSAGE.(CONSIGNEE) TRADER were changed to Reguired fields

IA13: The format of the dataItems GOODS ITEM.(PAYMENT) POSTPONED.Postponed Payment Code, GOODS ITEM.(PAYMENT) POSTPONED.Postponed End Flag become an1.
	All the other fields have the correct format.
		The codelist 10514 in GOODS ITEM.RELIEFS.Relief Type is missing 
	
IA14: All the dataItems in the group MESSAGE.(CONSIGNEE) TRADER were changed to Reguired fields

IA15: The format of the dataItems GOODS ITEM.(PAYMENT) POSTPONED.Postponed Payment Code, GOODS ITEM.(PAYMENT) POSTPONED.Postponed End Flag become an1.
	All the other fields have the correct format.
		The codelist 10514 in GOODS ITEM.RELIEFS.Relief Type is missing

IA16: The dataItem MESSAGE.HEADER.Declaration rejection reason was changed to Optional field

IA28: All the dataItems from the group MESSAGE.(CONSIGNEE) TRADER were changed to Reguired fields
	The dataItem MESSAGE.(CONSIGNEE) TRADER.Phone number was deleted 
	The dataItem MESSAGE.(CONSIGNEE) TRADER.Country code was added
	All the fields have the correct format.

IM09: as was in v0.45
		The format of the Phone Number and Fax Number affects all the Domains - they didn't change.

IM14: as was in v0.45
		The format of the Phone Number and Fax Number affects all the Domains - they didn't change.

IM15: as was in v0.45
		Problem in format with the fields MESSAGE.IMPORT DEBIT.Quantity, MESSAGE.IMPORT DEBIT.Product Price and MESSAGE.SETTLEMENT CREDIT.ITEM QUANTITY.Quantity - they remained as was.
		The format of the Phone Number and Fax Number affects all the Domains - they didn't change.

IM16: The format in the dataItem HEADER.Rejection date become n8

IM28: as was in v0.45
		The format of the Phone Number and Fax Number affects all the Domains - they didn't change.

ID04: as was in v0.45

ID05: as was in v0.45

ID09: as was in v0.45

ID13: The format in the dataItem HEADER.Additional Declaration Date become n8
	The format in the dataItem GOODS ITEM.Procedure requested End Date become n8
	The format in the GOODS ITEM.VECHICLE DETAILS.Frame Number become an..17
	The dataItem GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES.GRN Amount has format 11,2 - as was in v0.45
	The dataItem GOODS ITEM.VECHICLE DETAILS.Warehouse Number has format an..14 - as was in v0.45
	The dataItem GOODS ITEM.NATIONAL PRODUCTS.Product Quantity has format n..11,3 - as was in v0.45
	The dataItem MESSAGE.PROVISION.MEANS OF PROVISIONING.Quantity has format n..11,3 - as was in v0.45
	The dataItem MESSAGE.PROVISION.FUEL CONTROL.Quantity has format n..11,3 - as was in v0.45
	The format in the dataItems GOODS ITEM.(PAYMENT) POSTPONED.Postponed Payment Code, GOODS ITEM.(PAYMENT) POSTPONED.Postponed End Flag become an1.
	All the other fields have the correct format.
		The codelist 8 in HEADER.Country of destination code, HEADER.Country of dispatch/export code is missing
	
ID14: as was in v0.45

ID15: The format in the dataItem HEADER.Additional Declaration Date become n8
	The format in the dataItem GOODS ITEM.Procedure requested End Date become n8
	The format in the GOODS ITEM.VECHICLE DETAILS.Frame Number become an..17	
	The format in the dataItems GOODS ITEM.(PAYMENT) POSTPONED.Postponed Payment Code, GOODS ITEM.(PAYMENT) POSTPONED.Postponed End Flag become an1.
	All the other fields have the correct format.
		The codelist 8 in HEADER.Country of destination code, HEADER.Country of dispatch/export code is missing

ID015: as was in v0.45
	 All the fields have the correct format.

ID16: The dataItem HEADER.Declaration rejection reason was changed to Optional field

ID016: as was in v0.45

ID28: The format in the dataItem HEADER.Additional Declaration Date become n8
	All the other fields have the correct format.

ID028: as was in v0.45

ID29: as was in v0.45

ID51: The format in the dataItem HEADER.Additional Declaration Date become n8
	The format in the dataItem GOODS ITEM.Procedure requested End Date become n8
	The format in the GOODS ITEM.VECHICLE DETAILS.Frame Number become an..17
	The format in the dataItems GOODS ITEM.(PAYMENT) POSTPONED.Postponed Payment Code, GOODS ITEM.(PAYMENT) POSTPONED.Postponed End Flag become an1.
	All the other fields have the correct format.
		The codelist 8 in HEADER.Country of destination code, HEADER.Country of dispatch/export code is missing

ID54: as was in v0.45

ID60: as was in v0.45

ID99: The format in the dataItem HEADER.Additional Declaration Date become n8
	The format in the dataItem GOODS ITEM.Procedure requested End Date become n8
	The format in the GOODS ITEM.VECHICLE DETAILS.Frame Number become an..17
	The format in the dataItems GOODS ITEM.(PAYMENT) POSTPONED.Postponed Payment Code, GOODS ITEM.(PAYMENT) POSTPONED.Postponed End Flag become an1.
	All the other fields have the correct format.
		The codelist 8 in HEADER.Country of destination code, HEADER.Country of dispatch/export code is missing

IE513: The dataItems MESSAGE - HEADER.Loading Ending Date and Time, MESSAGE - HEADER.Loading Beginning Date and Time have been deleted.
	 The repetition of the group HEADER.LOADING DETAILS besome 9.
	 The dataItem MESSAGE - GOODS ITEM.Previous Procedure was changed to Optional field
	 The format in the GOODS ITEM.VECHICLE DETAILS.Frame Number become an..17
	 All the other fields have the correct format.

IE515: The format in the dataItem HEADER.Additional Declaration Date become n8
	 The repetition of the group HEADER.LOADING DETAILS besome 9.
	 The dataItem MESSAGE - GOODS ITEM.Previous Procedure was changed to Optional field
	 The format in the GOODS ITEM.VECHICLE DETAILS.Frame Number become an..17
	 All the other fields have the correct format.

XP14: as was in v0.45
		The format of the Phone Number and Fax Number affects all the Domains - they didn't change.

XP15: The dataItem HEADER.Identity of means of transport has been added
	The dataItem HEADER.Identification of the means of transport has been deleted
		The format of the Phone Number and Fax Number affects all the Domains.

XP16: The format in the dataItem HEADER.Rejection date become n8

XP28: as was in v0.45
		The format of the Phone Number and Fax Number affects all the Domains - they didn't change.

EA04: as was in v0.45

EA05: as was in v0.45

EA09: as was in v0.45

EA13: as was in v0.45
	All the fields have the correct format.

EA14: as was in v0.45

EA15: as was in v0.45

EA16: The format in the dataItem HEADER.Rejection date become n8

EA28: as was in v0.45

============================
        VERSION 0.47
============================

Changes from v0.46 to v0.47:

COM06A: Delete the space from the xmltag of the dataItem MESSAGE.RISK INFORMATION.Office Role.

XP15: The dataItem HEADER.Identity of means of transport has been corrected (in v0.46 wasn't appeared in xsd).

and the version of the messages: Declaration Messages_2011-06-14 (except the message DA215)

DX304: as was in previous version.

DX305: as was in previous version.

DX313: The dataItem MESSAGE.HEADER.Amendment acceptance date and time has been added.
	 	The name (of the datagroups and the dataItems) remain as in the CSE (not as in the FMS).

DX315: as was in previous version.
		The name (of the datagroups and the dataItems) remain as in the CSE (not as in the FMS).

DX316: The dataItem MESSAGE.HEADER.Declaration registration date and time has been deleted.
	 The dataItem MESSAGE.HEADER.Declaration rejection date and time has been added.

DX328: The optionality of the dataItem MESSAGE.(LODGING SUMMARY DECLARATION) PERSON.TIN has been changed from Optional to Required.

DX329: as was in previous version.
		The format of dataItem MESSAGE.GOODS ITEM.(MEANS OF TRANSPORT AT BORDER) IDENTITY.Identity of means of transport crossing border remains as is in CSE.
		The name (of the datagroups and the dataItems) remain as in the CSE (not as in the FMS).

DX361: The dataItem MESSAGE.HEADER.Commercial Reference Number has been deleted.
	 The dataItem MESSAGE.HEADER.Conveyance reference number has been deleted.
	 The datagroup MESSAGE.IDENTITY OF MEANS OF TRANSPORT AT BORDER has been deleted.
	 The following dataItems have been deleted:
	 MESSAGE.IDENTITY of Means of Transport at Border.Nationality of means of transport crossing border
	 MESSAGE.IDENTITY of Means of Transport at Border.Identity of means of transport crossing border
	 MESSAGE.IDENTITY of Means of Transport at Border.Identity of means of transport crossing border LNG
	 The datagroup MESSAGE.GOODS ITEM.(MEANS OF TRANSPORT AT BORDER) IDENTITY has been added.
	 The following dataItems have been added:
	 MESSAGE.GOODS ITEM.(MEANS OF TRANSPORT AT BORDER) IDENTITY.Nationality Crossing Border
	 MESSAGE.GOODS ITEM.(MEANS OF TRANSPORT AT BORDER) IDENTITY.Identity of means of transport crossing border
	 MESSAGE.GOODS ITEM.(MEANS OF TRANSPORT AT BORDER) IDENTITY.Identity of means of transport crossing border LNG
		The format of dataItem HEADER.MRN remains as is in CSE.
		The format of dataItem MESSAGE.GOODS ITEM.(MEANS OF TRANSPORT AT BORDER) IDENTITY.Identity of means of transport crossing border remains as is in CSE.
		The name (of the datagroups and the dataItems) remain as in the CSE (not as in the FMS).

DX322: The datagroup MESSAGE.IDENTITY OF MEANS OF TRANSPORT AT BORDER has been deleted.
	 The following dataItems have been deleted:
	 MESSAGE.IDENTITY of Means of Transport at Border.Nationality of means of transport crossing border
	 MESSAGE.IDENTITY of Means of Transport at Border.Identity of means of transport crossing border
	 MESSAGE.IDENTITY of Means of Transport at Border.Identity of means of transport crossing border LNG
	 The datagroup MESSAGE.GOODS ITEM.(MEANS OF TRANSPORT AT BORDER) IDENTITY has been added.
	 The following dataItems have been added:
	 MESSAGE.GOODS ITEM.(MEANS OF TRANSPORT AT BORDER) IDENTITY.Nationality Crossing Border
	 MESSAGE.GOODS ITEM.(MEANS OF TRANSPORT AT BORDER) IDENTITY.Identity of means of transport crossing border
	 MESSAGE.GOODS ITEM.(MEANS OF TRANSPORT AT BORDER) IDENTITY.Identity of means of transport crossing border LNG
		The format of dataItem HEADER.MRN remains as is in CSE.
		The format of dataItem MESSAGE.GOODS ITEM.(MEANS OF TRANSPORT AT BORDER) IDENTITY.Identity of means of transport crossing border remains as is in CSE.
		The name (of the datagroups and the dataItems) remain as in the CSE (not as in the FMS).

DX330: The datagroup MESSAGE.CONTAINERS.SEALS ID has been deleted.
	 The dataItem MESSAGE.CONTAINERS.SEALS ID.Seals identity has been deleted.
	 The dataITem MESSAGE.CONTAINERS.SEALS ID.Seals identity LNG has been deleted.
	 The datagroup MESSAGE.SEALS ID has been added.
	 The dataItems MESSAGE.SEALS ID.Seals identity and MESSAGE.SEALS ID.Seals identity LNG have been added.
	 The dataItem HEADER.MRN has been added (The format of this dataItem remains as is in CSE).

IE347: The optionality of the dataItem HEADER.Identity of means of transport has been changed from Required to Optional.
	 The format of dataItem MESSAGE.ARRIVAL ITEM.CUSTOMS DATA REFERENCE.CUSTOMS DATA REFERENCE DETAILS.WAREHOUSE IDENTIFICATION.Warehouse identification has been changed from an..14 to an19 - new xmltag (WarIdeWICDRDCDAI).
	 The format of dataItem MESSAGE.WAREHOUSE IDENTIFICATION.Warehouse identification has been changed from an..14 to an19 - new xmltag (WarIdeWARID19).
	 
DC015: The format of the dataItem HEADER.REFERENCED DECLARATION.Declaration Type has been changed from an15 to an..15.
	 The format of the dataItem HEADER.REFERENCED DECLARATION.Declaration Number has been changed from n15 to an..22.
	 The dataItem MESSAGE.REFERENCED DECLARATION.GOODS ITEM.Commercial Reference Number has been deleted.
	 The dataItem MESSAGE.HEADER.Document/reference number Communicated has been deleted.
	 The optionality of the dataITem REFERENCED DECLARATION.GOODS ITEM.Referenced Declaration Item Number has been change from Required to Optional.
	 The group MESSAGE.TRADER DETAILS has been deleted.
	 The following dataItems have been deleted:
		MESSAGE.TRADER DETAILS.City
		MESSAGE.TRADER DETAILS.Country Code
		MESSAGE.TRADER DETAILS.NAD LNG
		MESSAGE.TRADER DETAILS.Name
		MESSAGE.TRADER DETAILS.Postal Code
		MESSAGE.TRADER DETAILS.Street and Number
		MESSAGE.TRADER DETAILS.TIN
 	 The dataItem MESSAGE.REFERENCED DECLARATION.Total Lines has been created and added - new xmltag (TotLinREFDEC). 
	 The xmltag RefDecINGIREFDEC has been added in CSE for the missing dataItem REFERENCED DECLARATION.GOODS ITEM.Referenced Declaration Item Number.
	 The group MESSAGE.REPRESENTATIVE has been added.
	 The dataItem MESSAGE.REPRESENTATIVE.Name has been added.
	 The following dataItems have been created and added (new xmltags):
		MESSAGE.REPRESENTATIVE.Street and number (StrNumREPR2)
		MESSAGE.REPRESENTATIVE.Postal code (PosCodREPR3)
		MESSAGE.REPRESENTATIVE.City (CityREPR4)
		MESSAGE.REPRESENTATIVE.Country code (CounCodREPR5)
		MESSAGE.REPRESENTATIVE.NAD LNG (NADLNGREPR6)
		MESSAGE.REPRESENTATIVE.ID (IDREPR7)
		MESSAGE.REPRESENTATIVE.ID TYPE (IDTypeREPR8)
	 The group MESSAGE.PERSON LODGING REQUEST has been created (new xmltag MESSPLR) and added.
	 The following dataItems have been created and added (new xmltags):
		MESSAGE.PERSON LODGING REQUEST.Name (NamePLR1)
	 	MESSAGE.PERSON LODGING REQUEST.Street and number (StrNumPLR2)
	 	MESSAGE.PERSON LODGING REQUEST.Postal code (PosCodPLR3)
		MESSAGE.PERSON LODGING REQUEST.City (CityPLR4)
	 	MESSAGE.PERSON LODGING REQUEST.Country code (CouCodPLR5)
		MESSAGE.PERSON LODGING REQUEST.NAD LNG (NADLNGPLR6)
		MESSAGE.PERSON LODGING REQUEST.ID (IDPLR7)
		MESSAGE.PERSON LODGING REQUEST.ID Type (IDTypePLR8)
	 The group SUBMITTING CUSTOMS OFFICE has been created (new xmltag MESSSCO) and added.
	 The following dataItems have been created and added (new xmltags):
		MESSAGE.SUBMITTING CUSTOMS OFFICE.Customs Office Name (CusOffNamSCO1)
		MESSAGE.SUBMITTING CUSTOMS OFFICE.Customs Office Section (CusOffSecSCO2)
	 The format of the dataItem MESSAGE.REFERENCED DECLARATION.GOODS ITEM.TARIC Code has been changed from to an10 to n..10 - new xmltag (TarCodGIRD2).
	 		The format of the dataItem HEADER.REFERENCED DECLARATION.Declaration Date is n8 from the previous version v0.46.

DC115: The group MESSAGE.REFERENCED DECLARATION.GOODS ITEM.CONTAINERS has been deleted.
	 The dataItem MESSAGE.REFERENCED DECLARATION.GOODS ITEM.CONTAINERS.Container number has been deleted.
	 The group MESSAGE.REFERENCED DECLARATION.GOODS ITEM.SEALS ID has been deleted.
	 The dataItem MESSAGE.REFERENCED DECLARATION.GOODS ITEM.SEALS ID.Seals identity has been deleted.
	 The dataItem MESSAGE.REFERENCED DECLARATION.GOODS ITEM.SEALS ID.Seals identity LNG has been deleted.
	 The optionality of the dataItem MESSAGE.REFERENCED DECLARATION.GOODS ITEM.Goods description has been change from Required to Optional.
	 The format of the dataItem HEADER.REFERENCED DECLARATION.Declaration Type has been changed from an15 to an..15.
	 The format of the dataItem HEADER.REFERENCED DECLARATION.Declaration Number has been changed from n15 to an..22.
	 The group MESSAGE.TRADER DETAILS has been deleted.
	 The following dataItems have been deleted:
		MESSAGE.TRADER DETAILS.City
		MESSAGE.TRADER DETAILS.Country Code
		MESSAGE.TRADER DETAILS.NAD LNG
		MESSAGE.TRADER DETAILS.Name
		MESSAGE.TRADER DETAILS.Postal Code
		MESSAGE.TRADER DETAILS.Street and Number
		MESSAGE.TRADER DETAILS.TIN
	 The group MESSAGE.REPRESENTATIVE has been added.
	 The dataItem MESSAGE.REPRESENTATIVE.Name has been added.
	 The following dataItems have been created and added (new xmltags):
		MESSAGE.REPRESENTATIVE.Street and number (StrNumREPR2)
		MESSAGE.REPRESENTATIVE.Postal code (PosCodREPR3)
		MESSAGE.REPRESENTATIVE.City (CityREPR4)
		MESSAGE.REPRESENTATIVE.Country code (CounCodREPR5)
		MESSAGE.REPRESENTATIVE.NAD LNG (NADLNGREPR6)
		MESSAGE.REPRESENTATIVE.ID (IDREPR7)
		MESSAGE.REPRESENTATIVE.ID TYPE (IDTypeREPR8)
	 The group MESSAGE.PERSON LODGING REQUEST has been created (new xmltag MESSPLR) and added.
	 The following dataItems have been created and added (new xmltags):
		MESSAGE.PERSON LODGING REQUEST.Name (NamePLR1)
	 	MESSAGE.PERSON LODGING REQUEST.Street and number (StrNumPLR2)
	 	MESSAGE.PERSON LODGING REQUEST.Postal code (PosCodPLR3)
		MESSAGE.PERSON LODGING REQUEST.City (CityPLR4)
	 	MESSAGE.PERSON LODGING REQUEST.Country code (CouCodPLR5)
		MESSAGE.PERSON LODGING REQUEST.NAD LNG (NADLNGPLR6)
		MESSAGE.PERSON LODGING REQUEST.ID (IDPLR7)
		MESSAGE.PERSON LODGING REQUEST.ID Type (IDTypePLR8)
	 The group SUBMITTING CUSTOMS OFFICE has been created (new xmltag MESSSCO) and added.
	 The following dataItems have been created and added (new xmltags):
		MESSAGE.SUBMITTING CUSTOMS OFFICE.Customs Office Name (CusOffNamSCO1)
		MESSAGE.SUBMITTING CUSTOMS OFFICE.Customs Office Section (CusOffSecSCO2)
	 The dataItem MESSAGE.REFERENCED DECLARATION.Total Lines has been created and added - new xmltag (TotLinREFDEC). 
	 The dataItem MESSAGE.REFERENCED DECLARATION.Status has been created and added (new xml tag StatREFDEC).
	 The dataItem MESSAGE.REFERENCED DECLARATION.GOODS ITEM.General Line Description has been created and added (new xml tag GenLinDesGIREFDEC).
	 The dataItem MESSAGE.REFERENCED DECLARATION.GOODS ITEM.Charging Gross mass has been created and added (new xml tag ChaGrMaGIREFDEC).
	 The group MESSAGE.REFERENCED DECLARATION.GOODS ITEM.WAREHOUSE has been created (new xmltag RDGIWAR) and added.
	 The following dataItems have been created and added (new xmltags):
		MESSAGE.REFERENCED DECLARATION.GOODS ITEM.WAREHOUSE.Warehouse type (WarTypRDGIWAR1)
		MESSAGE.REFERENCED DECLARATION.GOODS ITEM.WAREHOUSE.Warehouse identification (WarIdRDGIWAR2)
		MESSAGE.REFERENCED DECLARATION.GOODS ITEM.WAREHOUSE.Warehouse section (WarSecRDGIWAR3)
	 The group MESSAGE.REFERENCED DECLARATION.GOODS ITEM.REFERENCED DECLARATION PACKAGES has been created (new xmltag RDGIRDP) and added.
	 The following dataItems have been created and added (new xmltags):
		MESSAGE.REFERENCED DECLARATION.GOODS ITEM.REFERENCED DECLARATION PACKAGES.Kind of packages (KinPacRDGIRDP1)
		MESSAGE.REFERENCED DECLARATION.GOODS ITEM.REFERENCED DECLARATION PACKAGES.Number of packages (NumPacRDGIRDP2)
		MESSAGE.REFERENCED DECLARATION.GOODS ITEM.REFERENCED DECLARATION PACKAGES.Number of pieces (NumPieRDGIRDP3)
		MESSAGE.REFERENCED DECLARATION.GOODS ITEM.REFERENCED DECLARATION PACKAGES.Marks & numbers of packages (MarNumPacRDGIRDP4)
		MESSAGE.REFERENCED DECLARATION.GOODS ITEM.REFERENCED DECLARATION PACKAGES.Marks & numbers of packages LNG (MarNumPacLNGRDGIRDP5)
	 The group MESSAGE.REFERENCED DECLARATION.GOODS ITEM.Available QUANTITY PACKAGES has been created (new xmltag RDGIAQP) and added.
	 The following dataItems have been created and added (new xmltags):
		MESSAGE.REFERENCED DECLARATION.GOODS ITEM.Available QUANTITY PACKAGES.Kind of packages (KinPacRDGIAQP1)
		MESSAGE.REFERENCED DECLARATION.GOODS ITEM.Available QUANTITY PACKAGES.Number of packages (NumPacRDGIAQP2)
		MESSAGE.REFERENCED DECLARATION.GOODS ITEM.Available QUANTITY PACKAGES.Number of pieces (NumPieRDGIAQP3)
		MESSAGE.REFERENCED DECLARATION.GOODS ITEM.Available QUANTITY PACKAGES.Marks & numbers of packages (MarNumPacRDGIAQP4)
		MESSAGE.REFERENCED DECLARATION.GOODS ITEM.Available QUANTITY PACKAGES.Marks & numbers of packages LNG (MarNumPacLNGRDGIAQP5)
	 The format of the dataItem MESSAGE.REFERENCED DECLARATION.GOODS ITEM.TARIC Code has been changed from to an10 to n..10 - new xmltag (TarCodGIRD2).
			The format of the dataItem HEADER.REFERENCED DECLARATION.Declaration Date is n8 from the previous version v0.46.

DE015: The format of the dataItem MESSAGE.GOODS ITEM.TARIC Code has been changed from to an10 to n..10 - new xmltag (TarCodGI2).
	 The datagoup MESSAGE.TRADER REPRESENTATIVE has been deleted.
	 The following dataItems have been deleted:
		MESSAGE.TRADER REPRESENTATIVE.City
		MESSAGE.TRADER REPRESENTATIVE.Country Code
		MESSAGE.TRADER REPRESENTATIVE.ID Type
		MESSAGE.TRADER REPRESENTATIVE.NAD LNG
		MESSAGE.TRADER REPRESENTATIVE.Name
		MESSAGE.TRADER REPRESENTATIVE.Postal Code
		MESSAGE.TRADER REPRESENTATIVE.Street and Number
		MESSAGE.TRADER REPRESENTATIVE.TIN
	 The group MESSAGE.REPRESENTATIVE has been added.
	 The following dataItems have been added:
		MESSAGE.REPRESENTATIVE.Name
		MESSAGE.REPRESENTATIVE.Street and number
		MESSAGE.REPRESENTATIVE.Postal code
		MESSAGE.REPRESENTATIVE.City
		MESSAGE.REPRESENTATIVE.Country code
		MESSAGE.REPRESENTATIVE.NAD LNG
		MESSAGE.REPRESENTATIVE.ID
		MESSAGE.REPRESENTATIVE.ID TYPE
	 The datagoup MESSAGE.(LODGING SUMMARY DECLARATION) PERSON has been deleted.
	 The following dataItems have been deleted:
		MESSAGE.MESSAGE.(LODGING SUMMARY DECLARATION) PERSON.City
		MESSAGE.MESSAGE.(LODGING SUMMARY DECLARATION) PERSON.Country Code
		MESSAGE.MESSAGE.(LODGING SUMMARY DECLARATION) PERSON.ID Type
		MESSAGE.MESSAGE.(LODGING SUMMARY DECLARATION) PERSON.NAD LNG
		MESSAGE.MESSAGE.(LODGING SUMMARY DECLARATION) PERSON.Name
		MESSAGE.MESSAGE.(LODGING SUMMARY DECLARATION) PERSON.Postal Code
		MESSAGE.MESSAGE.(LODGING SUMMARY DECLARATION) PERSON.Street and Number
		MESSAGE.MESSAGE.(LODGING SUMMARY DECLARATION) PERSON.TIN
	 The datagoup MESSAGE.PERSON LODGING REQUEST has been added.
	 The following dataItems have been deleted:
		MESSAGE.PERSON LODGING REQUEST.Name
		MESSAGE.PERSON LODGING REQUEST.Street and number
		MESSAGE.PERSON LODGING REQUEST.Postal code
		MESSAGE.PERSON LODGING REQUEST.City
		MESSAGE.PERSON LODGING REQUEST.Country code
		MESSAGE.PERSON LODGING REQUEST.NAD LNG
		MESSAGE.PERSON LODGING REQUEST.ID
		MESSAGE.PERSON LODGING REQUEST.ID TYPE	 
	 The group SUBMITTING CUSTOMS OFFICE has been added.
	 The following dataItems have been added:
		MESSAGE.SUBMITTING CUSTOMS OFFICE.Customs Office Name
		MESSAGE.SUBMITTING CUSTOMS OFFICE.Customs Office Section
			The format of the dataItem MESSAGE - TEMPORARY STORAGE.Warehouse identification is an19.

Also from the above format changes, we had changes in the following messages:
DB113, DB213, DB215, DC013, DC113, DC613, DC615: The format of the dataItem HEADER.REFERENCED DECLARATION.Declaration Number has been changed from n15 to an..22.
DC013, DC113, DC613, DC615: The format of the dataItem HEADER.REFERENCED DECLARATION.Declaration Type has been changed from an15 to an..15.

============================
        VERSION 0.48
============================

Changes from v0.47 to v0.48:

The new message ID80 (I_IMP_STA, Ðëçñïöïñßá êáôÜóôáóçò) has been created for ICS domain:
The following datagroups have been stored:
	MESSAGE
	MESSAGE.HEADER
The following dataItems have been stored:
	MESSAGE.Correlation identifier
	MESSAGE.Date of preparation
	MESSAGE.Message identification
	MESSAGE.Message recipient
	MESSAGE.Message sender
	MESSAGE.Message type
	MESSAGE.Priority
	MESSAGE.Test indicator
	MESSAGE.Time of preparation
	MESSAGE.HEADER.Reference number
	MESSAGE.HEADER.Status

The new message ED80 (E_IMP_STA, Ðëçñïöïñßá êáôÜóôáóçò) has been created for ECS domain:
The following datagroups have been stored:
	MESSAGE
	MESSAGE.HEADER
The following dataItems have been stored:
	MESSAGE.Acknowledgement request
	MESSAGE.Application reference
	MESSAGE.Common access reference
	MESSAGE.Communications agreement id
	MESSAGE.Date of preparation
	MESSAGE.Interchange control reference
	MESSAGE.Message identification
	MESSAGE.Message recipient
	MESSAGE.Message sender
	MESSAGE.Message type
	MESSAGE.Priority
	MESSAGE.Recipient identification code qualifier
	MESSAGE.Recipient's reference/password
	MESSAGE.Recipient's reference/password qualifier
	MESSAGE.Sender identification code qualifier
	MESSAGE.Syntax identifier
	MESSAGE.Syntax version number
	MESSAGE.Test indicator
	MESSAGE.Time of preparation
	MESSAGE.HEADER.Reference number
	MESSAGE.HEADER.Status

DA215: The following dataItems have been deleted:
		MESSAGE.HEADER.Acceptance date
		MESSAGE.HEADER.Commercial Reference Number
		MESSAGE.HEADER.Conveyance reference number
		MESSAGE.HEADER.Document/reference number Communicated
		MESSAGE.HEADER.Identity of means of transport crossing border
		MESSAGE.HEADER.Identity of means of transport crossing border LNG
		MESSAGE.HEADER.Nationality of means of transport crossing border
		MESSAGE.HEADER.Place of loading
		MESSAGE.HEADER.Place of loading LNG
		MESSAGE.HEADER.Place of unloading
		MESSAGE.HEADER.Place of unloading LNG
		MESSAGE.HEADER.Remarks date and time
		MESSAGE.HEADER.Remarks place
		MESSAGE.HEADER.Remarks place LNG
		MESSAGE.HEADER.Remarks registration date and time
		MESSAGE.HEADER.Remarks Submitted Date and Time
		MESSAGE.HEADER.Specific Circumstance Indicator
		MESSAGE.HEADER.Transport mode at border
	The following dataItems have been added:
		MESSAGE.HEADER.Declaration Request registration date and time
		MESSAGE.HEADER.Declaration Request submitted Date and Time
	The following dataItems have been created and added:
		MESSAGE.HEADER.Delivery Date - new xmltag (DelDatHEA)
		MESSAGE.HEADER.Warehouse Keeper Notes Dispatch Date and Time - new xmltag (WarKeeNotDisHEA)
	The format of the dataItem TEMPORARY STORAGE.Warehouse identification has been changed from an14 to an19.
	The datagroup MESSAGE.CUSTOMS OFFICE has been added.
	The dataItem  MESSAGE.CUSTOMS OFFICE.Reference number has been added.
	The following dataItems have been deleted:
		MESSAGE.CONTACT PERSON.Contact person
		MESSAGE.CONTACT PERSON.Contact Person Email
		MESSAGE.CONTACT PERSON.Contact Person Telephone
	The following dataItems have been created and added:
		MESSAGE.CONTACT PERSON.Name - new xmltag (NamCONPERMES1)
		MESSAGE.CONTACT PERSON.Street and number - new xmltag (StrNumCONPERMES2)
		MESSAGE.CONTACT PERSON.Postal code - new xmltag (PosCodCONPERMES3)
		MESSAGE.CONTACT PERSON.City - new xmltag (CityCONPERMES4)
		MESSAGE.CONTACT PERSON.Country code - new xmltag (CouCodCONPERMES5)
		MESSAGE.CONTACT PERSON.NAD LNG - new xmltag (NadLNGCONPERMES6)
		MESSAGE.CONTACT PERSON.ID - new xmltag (IDCONPERMES7)
		MESSAGE.CONTACT PERSON.ID TYPE - new xmltag (IDTypCONPERMES8)
	The datagroup MESSAGE.WAREHOUSE KEEPER has been deleted.
	The following dataItems have been deleted:
		MESSAGE.WAREHOUSE KEEPER.City
		MESSAGE.WAREHOUSE KEEPER.Country code
		MESSAGE.WAREHOUSE KEEPER.NAD LNG
		MESSAGE.WAREHOUSE KEEPER.Name
		MESSAGE.WAREHOUSE KEEPER.Postal code
		MESSAGE.WAREHOUSE KEEPER.Street and number
		MESSAGE.WAREHOUSE KEEPER.TIN
	The datagroup MESSAGE.IMPORT OPERATION has been deleted.
	The following dataItems have been deleted:
		MESSAGE.IMPORT OPERATION.Commercial Reference Number
		MESSAGE.IMPORT OPERATION.Conveyance reference number
		MESSAGE.IMPORT OPERATION.MRN
	The following dataItems have been deleted:
		MESSAGE.GOODS ITEM (DI).notes
		MESSAGE.GOODS ITEM (DI).Remarks
	The dataItem MESSAGE.GOODS ITEM (DI).Goods description LNG has been added.
	The following dataItems have been created and added:
		MESSAGE.GOODS ITEM (DI).Taric Code - new xmltag (TarCodGIDI1)
		MESSAGE.GOODS ITEM (DI).Warehouse Remarks - new xmltag (WarRemGIDI2)
	The following dataItems have been deleted:
		MESSAGE.GOODS ITEM (OR).numbers range from
		MESSAGE.GOODS ITEM (OR).numbers range to
	The datagroup MESSAGE.GOODS ITEM (OR).ITEM RANGE has been created and added - new xmltag (ITERANDIOR)
	The following dataItems have been created and added:
		MESSAGE.GOODS ITEM (OR).ITEM RANGE.Item number from - new xmltag (IteNumfITERANDIOR1)
		MESSAGE.GOODS ITEM (OR).ITEM RANGE.Item number to - new xmltag (IteNumtITERANDIOR2)

DC015: The format of the dataItem MESSAGE.REFERENCED DECLARATION.Total Lines (xmltag: TotLinREFDEC) has been changed from n8 to n..8.

DC115: The format of the dataItem MESSAGE.REFERENCED DECLARATION.Total Lines (xmltag: TotLinREFDEC) has been changed from n8 to n..8.

============================
        VERSION 0.49
============================

Changes from v0.48 to v0.49:

DX329: The datagroup MESSAGE.ITINERARY and the dataItem MESSAGE.ITINERARY.Country of routing code have been deleted.
	 The datagroups MESSAGE.CUSTOMS OFFICE of Lodgement and MESSAGE.OFFICE of subsequent Entry with its dataItems have been deleted.

DX330: The datagroups SEALS ID and CONTAINERS have be deleted from HEADER level and they have been added in GOODS ITEM level, with its dataItems.
	 The datagroup MESSAGE.IMPORT OPERATION has been deleted with its dataItems.

DX361: The datagroups PRODUCED DOCUMENTS/CERTIFICATES and CONTAINERS have been deleted from HEADER level
	 and they have been added in GOODS ITEM level, with its dataItems.

DX322: The datagroups PRODUCED DOCUMENTS/CERTIFICATES and CONTAINERS have been deleted from HEADER level
	 and they have been added in GOODS ITEM level, with its dataItems.

DX315: The dataItem Warehouse Sector is already added in the datagroup MESSAGE.Temporary storage.

------(incomplete version for the NCTS messages, the rest of changes will be implement in v0.50)------

TB015: The datagroup MESSAGE.(CONSIGNOR) TRADER has been deleted and the included dataItems.
	 The following dataItems have been deleted:
		MESSAGE.HEADER.Total number of manifest items
		MESSAGE.HEADER.Total number of packages
	 The format of the dataITem MESSAGE.HEADER.Cargo manifest number has been changed from an..350 to an..70.
	 The optionality of the dataItem MESSAGE.HEADER.Total gross mass has been changed from Required to Optional.
	 The optionality of the following dataItems have been changed from Required to Depended:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Condition C050 has been removed from the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Condition EC160 has been created and added in the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code	
	 The following dataItems have been deleted:
		MESSAGE.FLIGHT DETAILS.Discharge airport 2
		MESSAGE.FLIGHT DETAILS.Discharge airport 3
	 The format of the dataITem MESSAGE.MANIFEST ITEMS.Cargo manifest number has been created and added - new xml tag (CaManNuMANITEM).
	 The dataItem MESSAGE.MANIFEST ITEMS.Complimentary information has been created and added - new xml tag (ComInfMANITEM).
	 The Conditions E102, E103, E600 have been applied or deleted according the specs.

TB013: The datagroup MESSAGE.(CONSIGNOR) TRADER has been deleted and the included dataItems.
	 The following dataItems have been deleted:
		MESSAGE.HEADER.Total number of manifest items
		MESSAGE.HEADER.Total number of packages
	 The format of the dataITem MESSAGE.HEADER.Cargo manifest number has been changed from an..350 to an..70.
	 The format of the dataITem MESSAGE.HEADER.Reference Cargo Manifest Air Customs ID has been changed from an8 to an4.
	 The format of the dataITem MESSAGE.HEADER.Reference Cargo Manifest Air Number has been changed from an..10 to an..8.
	 The optionality of the dataItem MESSAGE.HEADER.Total gross mass has been changed from Required to Optional.
	 The optionality of the following dataItems have been changed from Required to Depended:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Condition C050 has been removed from the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Condition EC160 has been created and added in the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The following dataItems have been deleted:
		MESSAGE.FLIGHT DETAILS.Discharge airport 2
		MESSAGE.FLIGHT DETAILS.Discharge airport 3
	 The format of the dataITem MESSAGE.MANIFEST ITEMS.Cargo manifest number has been created and added - new xml tag (CaManNuMANITEM).
	 The dataItem MESSAGE.MANIFEST ITEMS.Complimentary information has been created and added - new xml tag (ComInfMANITEM).
	 The Conditions E102, E103, E600 have been applied or deleted according the specs.

TB051: The datagroup MESSAGE.(CONSIGNOR) TRADER has been deleted and the included dataItems.
	 The following dataItems have been deleted:
		MESSAGE.HEADER.Total number of manifest items
		MESSAGE.HEADER.Total number of packages
	 The format of the dataITem MESSAGE.HEADER.Cargo manifest number has been changed from an..350 to an..70.
	 The format of the dataITem MESSAGE.HEADER.Reference Cargo Manifest Air Customs ID has been changed from an8 to an4.
	 The format of the dataITem MESSAGE.HEADER.Reference Cargo Manifest Air Number has been changed from an..10 to an..8.
	 The optionality of the dataItem MESSAGE.HEADER.Total gross mass has been changed from Required to Optional.
	 The optionality of the following dataItems have been changed from Required to Depended:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Condition C050 has been removed from the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Condition EC160 has been created and added in the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Conditions E094 and E095 have been removed from the dataItem MESSAGE.(PRINCIPAL) TRADER.TIN.
	 The following dataItems have been deleted:
		MESSAGE.FLIGHT DETAILS.Discharge airport 2
		MESSAGE.FLIGHT DETAILS.Discharge airport 3
	 The format of the dataITem MESSAGE.MANIFEST ITEMS.Cargo manifest number has been created and added - new xml tag (CaManNuMANITEM).
	 The dataItem MESSAGE.MANIFEST ITEMS.Complimentary information has been created and added - new xml tag (ComInfMANITEM).
	 The dataItem MESSAGE.(RELEVANT) CUSTOMS OFFICE.Office reference number has been created and added - new xml tag (OffRefNumRELCUSOFF).
	 The Conditions E102, E103, E600 have been applied or deleted according the specs.

TB004: The datagroup MESSAGE.(RELEVANT) CUSTOMS OFFICE has been deleted and the included dataItem Office Reference number.
	 The datagroup MESSAGE.(DEPARTURE) CUSTOMS OFFICE has been added and the included dataItem Office Reference number.
	 The format of the dataITem MESSAGE.HEADER.Reference Cargo Manifest Air Customs ID has been changed from an8 to an4.
	 The format of the dataITem MESSAGE.HEADER.Reference Cargo Manifest Air Number has been changed from an..10 to an..8.
	 The dataItems MESSAGE.HEADER.Initiation Role has been deleted.
	 The optionality of the following dataItems have been changed from Required to Depended:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Condition C160 has been removed from the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Condition EC160 has been created and added in the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Conditions E094 and E095 have been removed from the dataItem MESSAGE.(PRINCIPAL) TRADER.TIN.
	 The Conditions E102, E103, E600 have been applied or deleted according the specs.

TB005: The format of the dataITem MESSAGE.HEADER.Reference Cargo Manifest Air Customs ID has been changed from an8 to an4.
	 The format of the dataITem MESSAGE.HEADER.Reference Cargo Manifest Air Number has been changed from an..10 to an..8.
	 The dataItems MESSAGE.HEADER.Initiation Role has been deleted.
	 The Condition C124 has been removed from the dataItems MESSAGE.HEADER.Date of amendment and MESSAGE.HEADER.Amendment rejection motivation code.
	 The Condition C160 has been removed from the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Condition EC160 has been created and added in the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Conditions E094 and E095 have been removed from the dataItem MESSAGE.(PRINCIPAL) TRADER.TIN.
	 The optionality of the following dataItems have been changed from Required to Depended:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Conditions E102, E103, E600 have been applied or deleted according the specs.

TB009: The format of the dataITem MESSAGE.HEADER.Reference Cargo Manifest Air Customs ID has been changed from an8 to an4.
	 The format of the dataITem MESSAGE.HEADER.Reference Cargo Manifest Air Number has been changed from an..10 to an..8.
	 The Condition C160 has been removed from the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Condition EC160 has been created and added in the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Conditions E094 and E095 have been removed from the dataItem MESSAGE.(PRINCIPAL) TRADER.TIN.
	 The Condition R012 has been removed from the dataItem MESSAGE.(PRINCIPAL) TRADER.TIN Type.
	 The Conditions E102, E103, E600 have been applied or deleted according the specs.

TB014: The format of the dataITem MESSAGE.HEADER.Reference Cargo Manifest Air Customs ID has been changed from an8 to an4.
	 The format of the dataITem MESSAGE.HEADER.Reference Cargo Manifest Air Number has been changed from an..10 to an..8.
	 The datagroup MESSAGE.(RELEVANT) CUSTOMS OFFICE has been deleted and the included dataItems.
	 The datagroup MESSAGE.(CONSIGNOR) TRADER has been deleted and the included dataItems.
	 The datagroup MESSAGE.(DEPARTURE) CUSTOMS OFFICE has been added and the included dataItem Office Reference number.
	 The dataItems MESSAGE.HEADER.Initiation Role has been deleted.
	 The Condition C160 has been removed from the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Condition EC160 has been created and added in the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Conditions E094 and E095 have been removed from the dataItem MESSAGE.(PRINCIPAL) TRADER.TIN.
	 The Conditions E102, E103, E600 have been applied or deleted according the specs.

The TB016 message remained as was.

TB028: The optionality of the dataItem MESSAGE.HEADER.Reference Number has been changed from Required to Depended
	 The Condition E718 has been created and added in the dataItem MESSAGE.HEADER.Reference Number.
	 The format of the dataITem MESSAGE.HEADER.Reference Cargo Manifest Air Customs ID has been changed from an8 to an4.
	 The format of the dataITem MESSAGE.HEADER.Reference Cargo Manifest Air Number has been changed from an..10 to an..8.
	 The optionality of the following dataItems have been changed from Required to Depended:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Condition E717 has been created and added in the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Condition C160 has been removed from the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Conditions E094 and E095 have been removed from the dataItem MESSAGE.(PRINCIPAL) TRADER.TIN.
	 The Conditions E102, E103, E600 have been applied or deleted according the specs.

TB906: The format of the dataITem MESSAGE.HEADER.Reference Cargo Manifest Air Customs ID has been changed from an8 to an4.
	 The format of the dataITem MESSAGE.HEADER.Reference Cargo Manifest Air Number has been changed from an..10 to an..8.
	 The optionality of the dataItem MESSAGE.HEADER.Reference Cargo Manifest Air Country Code has been changed from Required to Depended.
	 The dataItems MESSAGE.HEADER.Initiation Role has been deleted.
	 The Condition E099 has been added to the dataItem MESSAGE.HEADER.Reference Cargo Manifest Air Country Code.
	 The Conditions E102, E103, E600 have been applied or deleted according the specs.

TC015: The datagroup MESSAGE.(CONSIGNOR) TRADER has been deleted and the included dataItems.
	 The following dataItems have been deleted:
		MESSAGE.HEADER.Total number of manifest items
		MESSAGE.HEADER.Total number of packages
	 The optionality of the dataItem MESSAGE.HEADER.Total gross mass has been changed from Required to Optional.
	 The format of the dataITem MESSAGE.HEADER.Cargo manifest number has been changed from an..350 to an..70.
	 The optionality of the following dataItems have been changed from Required to Depended:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Condition C050 has been removed from the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Condition EC160 has been created and added in the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code	
	  The following dataItems have been deleted:
		MESSAGE.MARINE TRANSPORT DETAILS.Unloading harbour 2
		MESSAGE.MARINE TRANSPORT DETAILS.Unloading harbour 3
	 The format of the dataITem MESSAGE.MANIFEST ITEMS.Cargo manifest number has been created and added - new xml tag (CaManNuMANITEM).
	 The dataItem MESSAGE.MANIFEST ITEMS.Complimentary information has been created and added - new xml tag (ComInfMANITEM).
	 The Conditions E102, E103, E600 have been applied or deleted according the specs.

TC013: The datagroup MESSAGE.(CONSIGNOR) TRADER has been deleted and the included dataItems.
	 The following dataItems have been deleted:
		MESSAGE.HEADER.Total number of manifest items
		MESSAGE.HEADER.Total number of packages
	 The optionality of the dataItem MESSAGE.HEADER.Total gross mass has been changed from Required to Optional.
	 The format of the dataITem MESSAGE.HEADER.Cargo manifest number has been changed from an..350 to an..70.
	 The format of the dataITem MESSAGE.HEADER.Reference Cargo Manifest Sea Customs ID has been changed from an8 to an4.
	 The format of the dataITem MESSAGE.HEADER.Reference Cargo Manifest Sea Number has been changed from an..10 to an..8.
	 The optionality of the following dataItems have been changed from Required to Depended:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Condition C050 has been removed from the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Condition EC160 has been created and added in the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The following dataItems have been deleted:
		MESSAGE.MARINE TRANSPORT DETAILS.Unloading harbour 2
		MESSAGE.MARINE TRANSPORT DETAILS.Unloading harbour 3
	 The format of the dataITem MESSAGE.MANIFEST ITEMS.Cargo manifest number has been created and added - new xml tag (CaManNuMANITEM).
	 The dataItem MESSAGE.MANIFEST ITEMS.Complimentary information has been created and added - new xml tag (ComInfMANITEM).
	 The Conditions E102, E103, E600 have been applied or deleted according the specs.

TC051: The datagroup MESSAGE.(CONSIGNOR) TRADER has been deleted and the included dataItems.
	 The following dataItems have been deleted:
		MESSAGE.HEADER.Total number of manifest items
		MESSAGE.HEADER.Total number of packages
	 The format of the dataITem MESSAGE.HEADER.Cargo manifest number has been changed from an..350 to an..70.
	 The format of the dataITem MESSAGE.HEADER.Reference Cargo Manifest Sea Customs ID has been changed from an8 to an4.
	 The format of the dataITem MESSAGE.HEADER.Reference Cargo Manifest Sea Number has been changed from an..10 to an..8.
	 The optionality of the dataItem MESSAGE.HEADER.Total gross mass has been changed from Required to Optional.
	 The optionality of the following dataItems have been changed from Required to Depended:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Condition C050 has been removed from the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Condition EC160 has been created and added in the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Conditions E094 and E095 have been removed from the dataItem MESSAGE.(PRINCIPAL) TRADER.TIN.
	 The following dataItems have been deleted:
		MESSAGE.FLIGHT DETAILS.Discharge airport 2
		MESSAGE.FLIGHT DETAILS.Discharge airport 3
	 The format of the dataITem MESSAGE.MANIFEST ITEMS.Cargo manifest number has been created and added - new xml tag (CaManNuMANITEM).
	 The dataItem MESSAGE.MANIFEST ITEMS.Complimentary information has been created and added - new xml tag (ComInfMANITEM).
	 The Conditions E102, E103, E600 have been applied or deleted according the specs.

TC004: The datagroup MESSAGE.(RELEVANT) CUSTOMS OFFICE has been deleted and the included dataItem Office Reference number.
	 The datagroup MESSAGE.(DEPARTURE) CUSTOMS OFFICE has been added and the included dataItem Office Reference number.
	 The format of the dataITem MESSAGE.HEADER.Reference Cargo Manifest Sea Customs ID has been changed from an8 to an4.
	 The format of the dataITem MESSAGE.HEADER.Reference Cargo Manifest Sea Number has been changed from an..10 to an..8.
	 The dataItems MESSAGE.HEADER.Initiation Role has been deleted.
	 The optionality of the following dataItems have been changed from Required to Depended:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Condition C160 has been removed from the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Condition EC160 has been created and added in the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Conditions E094 and E095 have been removed from the dataItem MESSAGE.(PRINCIPAL) TRADER.TIN.
	 The Conditions E102, E103, E600 have been applied or deleted according the specs.

TC005: The format of the dataITem MESSAGE.HEADER.Reference Cargo Manifest Sea Customs ID has been changed from an8 to an4.
	 The format of the dataITem MESSAGE.HEADER.Reference Cargo Manifest Sea Number has been changed from an..10 to an..8.
	 The dataItems MESSAGE.HEADER.Initiation Role has been deleted.
	 The Condition C124 has been removed from the dataItems MESSAGE.HEADER.Date of amendment and MESSAGE.HEADER.Amendment rejection motivation code.
	 The optionality of the following dataItems have been changed from Required to Depended:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Condition C160 has been removed from the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Condition EC160 has been created and added in the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Conditions E094 and E095 have been removed from the dataItem MESSAGE.(PRINCIPAL) TRADER.TIN.
	 The Conditions E102, E103, E600 have been applied or deleted according the specs.

TC009: The format of the dataITem MESSAGE.HEADER.Reference Cargo Manifest Sea Customs ID has been changed from an8 to an4.
	 The format of the dataITem MESSAGE.HEADER.Reference Cargo Manifest Sea Number has been changed from an..10 to an..8.
	 The Condition C160 has been removed from the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Condition EC160 has been created and added in the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Conditions E094 and E095 have been removed from the dataItem MESSAGE.(PRINCIPAL) TRADER.TIN.
	 The Condition R012 has been removed from the dataItem MESSAGE.(PRINCIPAL) TRADER.TIN Type.
	 The Conditions E102, E103, E600 have been applied or deleted according the specs.

TC014: The format of the dataITem MESSAGE.HEADER.Reference Cargo Manifest Sea Customs ID has been changed from an8 to an4.
	 The format of the dataITem MESSAGE.HEADER.Reference Cargo Manifest Sea Number has been changed from an..10 to an..8.
	 The datagroup MESSAGE.(RELEVANT) CUSTOMS OFFICE has been deleted and the included dataItems.
	 The datagroup MESSAGE.(CONSIGNOR) TRADER has been deleted and the included dataItems.
	 The datagroup MESSAGE.(DEPARTURE) CUSTOMS OFFICE has been added and the included dataItem Office Reference number.
	 The dataItems MESSAGE.HEADER.Initiation Role has been deleted.
	 The Condition C160 has been removed from the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	The condition C050 has been removed from the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and number
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Postal code
		MESSAGE.(PRINCIPAL) TRADER.Country code
	 The Condition EC160 has been created and added in the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Conditions E094 and E095 have been removed from the dataItem MESSAGE.(PRINCIPAL) TRADER.TIN.
	 The Conditions E102, E103, E600 have been applied or deleted according the specs.

The TC016 message remained as was.

TC028: The optionality of the dataItem MESSAGE.HEADER.Reference Number has been changed from Required to Depended
	 The Condition E718 has been created and added in the dataItem MESSAGE.HEADER.Reference Number.
	 The format of the dataITem MESSAGE.HEADER.Reference Cargo Manifest Sea Customs ID has been changed from an8 to an4.
	 The format of the dataITem MESSAGE.HEADER.Reference Cargo Manifest Sea Number has been changed from an..10 to an..8.
	 The Condition E717 has been created and added in the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Condition C160 has been removed from the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Conditions E094 and E095 have been removed from the dataItem MESSAGE.(PRINCIPAL) TRADER.TIN.
	 The Conditions E102, E103, E600 have been applied or deleted according the specs.

TC906: The format of the dataITem MESSAGE.HEADER.Reference Cargo Manifest Air Customs ID has been changed from an8 to an4.
	 The format of the dataITem MESSAGE.HEADER.Reference Cargo Manifest Air Number has been changed from an..10 to an..8.
	 The optionality of the dataItem MESSAGE.HEADER.Reference Cargo Manifest Air Country Code has been changed from Required to Depended.
	 The dataItems MESSAGE.HEADER.Initiation Role has been deleted.
	 The Condition E099 has been added to the dataItem MESSAGE.HEADER.Reference Cargo Manifest Air Country Code.
	 The Conditions E102, E103, E600 have been applied or deleted according the specs.

TA015: The datagroup MESSAGE.(REGISTRATION) CUSTOMS OFFICE has been created and added - new xml tag (MESREGCUOF).
	 The dataItems MESSAGE.(REGISTRATION) CUSTOMS OFFICE.Office reference number has been created and added - new xml tag (OfRefNumREGCUOF).
	 The Condition E716 has been created and added in the datagroup MESSAGE.(REGISTRATION) CUSTOMS OFFICE
	 The format of the dataItem MESSAGE.HEADER.ATA Carnet Number has been changed from n18 to an..18.
	 The optionality of the dataItem MESSAGE.HEADER.Target date has been changed from Optional to Depended.
	 The dataItem MESSAGE.HEADER.Total number lines has been deleted.
	 The Condition E091 has been rephrased.
	 The Condition E092 has been removed from the dataItem MESSAGE.HEADER.Issuing Authority.
	 The Condition E096 has been added in the dataItem MESSAGE.HEADER.Target date.
	 The condition C050 has been removed from the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and number
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Postal code
		MESSAGE.(PRINCIPAL) TRADER.Country code
	 The Condition EC160 has been added in the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Condition E705 has been added in the dataItem MESSAGE.(PRINCIPAL) TRADER.TIN Type.
	 The optionality of the following dataItems have been changed from Required to Depended:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Condition E715 has been created and added in the dataItem MESSAGE.(REGISTRATION) CUSTOMS OFFICE.Office reference number
	 The Condition E716 has been created and added in the dataItem MESSAGE.(REGISTRATION) CUSTOMS OFFICE.Office reference number
	 The Rule R267 has been removed from the dataItem MESSAGE.GOODS ITEM.Currency.
	 The dataItem MESSAGE.GOODS ITEM.Declared Lines has been created and added - new xml tag (DecLinGIMES).
	 The Condition E097 has been added in the dataItem MESSAGE.GOODS ITEM.Declared Lines.
	 The Conditions E102, E103, E600 have been applied or deleted according the specs.

TA013: The datagroup MESSAGE.(REGISTRATION) CUSTOMS OFFICE has been created and added - new xml tag (MESREGCUOF).
	 The dataItems MESSAGE.(REGISTRATION) CUSTOMS OFFICE.Office reference number has been created and added - new xml tag (OfRefNumREGCUOF).
	 The format of the dataItem MESSAGE.HEADER.ATA Carnet Number has been changed from n18 to an..18.
	 The format of the dataItem MESSAGE.HEADER.Reference ATA Customs ID has been changed from an8 to an4.
	 The format of the dataItem MESSAGE.HEADER.Reference ATA Number has been changed from an..10 to an..8.
	 The optionality of the dataItem MESSAGE.HEADER.Target date has been changed from Optional to Depended.
	 The Condition E092 has been removed from the dataItem MESSAGE.HEADER.Issuing Authority.
	 The Condition E096 has been added in the dataItem MESSAGE.HEADER.Target date.
	 The dataItem MESSAGE.HEADER.Total number lines has been deleted.
	 The Condition E716 has been created and added in the datagroup MESSAGE.(REGISTRATION) CUSTOMS OFFICE
	 The Condition E715 has been created and added in the dataItem MESSAGE.(REGISTRATION) CUSTOMS OFFICE.Office reference number
	 The Condition E716 has been created and added in the dataItem MESSAGE.(REGISTRATION) CUSTOMS OFFICE.Office reference number
	 The optionality of the following dataItems have been changed from Required to Depended:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The condition C050 has been removed from the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and number
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Postal code
		MESSAGE.(PRINCIPAL) TRADER.Country code
	 The Condition EC160 has been added in the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Condition E705 has been added in the dataItem MESSAGE.(PRINCIPAL) TRADER.TIN Type.
	 The Rule R267 has been removed from the dataItem MESSAGE.GOODS ITEM.Currency.
	 The dataItem MESSAGE.GOODS ITEM.Declared Lines has been created and added - new xml tag (DecLinGIMES).
	 The Condition E097 has been added in the dataItem MESSAGE.GOODS ITEM.Declared Lines.
	 The Conditions E102, E103, E600 have been applied or deleted according the specs.

TA004: The format of the dataItem MESSAGE.HEADER.ATA Carnet Number has been changed from n18 to an..18.
	 The format of the dataItem MESSAGE.HEADER.Reference ATA Customs ID has been changed from an8 to an4.
	 The format of the dataItem MESSAGE.HEADER.Reference ATA Number has been changed from an..10 to an..8.
	 The optionality of the following dataItems have been changed from Required to Depended:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Condition C160 has been removed from the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Condition EC160 has been added in the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Conditions E094 and E095 have been removed from the dataItem MESSAGE.(PRINCIPAL) TRADER.TIN.
	 The Condition E705 has been added in the dataItem MESSAGE.(PRINCIPAL) TRADER.TIN Type.
	 The Conditions E102, E103, E600 have been applied or deleted according the specs.

TA005: The format of the dataItem MESSAGE.HEADER.ATA Carnet Number has been changed from n18 to an..18.
	 The format of the dataItem MESSAGE.HEADER.Reference ATA Customs ID has been changed from an8 to an4.
	 The format of the dataItem MESSAGE.HEADER.Reference ATA Number has been changed from an..10 to an..8.
	 The Condition C124 has been removed from the dataItems MESSAGE.HEADER.Date of amendment and MESSAGE.HEADER.Amendment rejection motivation code.
	 The optionality of the following dataItems have been changed from Required to Depended:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Condition C160 has been removed from the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Condition EC160 has been added in the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Conditions E094 and E095 have been removed from the dataItem MESSAGE.(PRINCIPAL) TRADER.TIN.
	 The Condition E705 has been added in the dataItem MESSAGE.(PRINCIPAL) TRADER.TIN Type.
	 The Conditions E102, E103, E600 have been applied or deleted according the specs.

TA009: The format of the dataItem MESSAGE.HEADER.ATA Carnet Number has been changed from n18 to an..18.
	 The format of the dataItem MESSAGE.HEADER.Reference ATA Customs ID has been changed from an8 to an4.
	 The format of the dataItem MESSAGE.HEADER.Reference ATA Number has been changed from an..10 to an..8.
	 The optionality of the following dataItems have been changed from Required to Depended:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Condition C160 has been removed from the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Condition EC160 has been added in the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Conditions E094 and E095 have been removed from the dataItem MESSAGE.(PRINCIPAL) TRADER.TIN.
	 The Condition R012 has been removed from the dataItem MESSAGE.(PRINCIPAL) TRADER.TIN Type.
	 The Condition E705 has been added in the dataItem MESSAGE.(PRINCIPAL) TRADER.TIN Type.
	 The Conditions E102, E103, E600 have been applied or deleted according the specs.

TA014: The format of the dataItem MESSAGE.HEADER.ATA Carnet Number has been changed from n18 to an..18.
	 The format of the dataItem MESSAGE.HEADER.Reference ATA Customs ID has been changed from an8 to an4.
	 The format of the dataItem MESSAGE.HEADER.Reference ATA Number has been changed from an..10 to an..8.
	 The optionality of the following dataItems have been changed from Required to Depended:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Condition C160 has been removed from the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Condition EC160 has been added in the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Condition E705 has been added in the dataItem MESSAGE.(PRINCIPAL) TRADER.TIN Type.
	 The Conditions E094 and E095 have been removed from the dataItem MESSAGE.(PRINCIPAL) TRADER.TIN.
	 The Condition R012 has been removed from the dataItem MESSAGE.(PRINCIPAL) TRADER.TIN Type.
	 The Conditions E102, E103, E600 have been applied or deleted according the specs.

TA016: The format of the dataItem MESSAGE.HEADER.ATA Carnet Number has been changed from n18 to an..18.

TA028: The format of the dataItem MESSAGE.HEADER.ATA Carnet Number has been changed from n18 to an..18.
	 The format of the dataItem MESSAGE.HEADER.Reference ATA Customs ID has been changed from an8 to an4.
	 The format of the dataItem MESSAGE.HEADER.Reference ATA Number has been changed from an..10 to an..8.
	 The optionality of the following dataItems have been changed from Required to Depended:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Condition C160 has been removed from the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Condition E717 has been created and added in the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
	 The Conditions E094 and E095 have been removed from the dataItem MESSAGE.(PRINCIPAL) TRADER.TIN.
	 The Condition E705 has been added in the dataItem MESSAGE.(PRINCIPAL) TRADER.TIN Type.
	 The Conditions E102, E103, E600 have been applied or deleted according the specs.

TA906: The format of the dataItem MESSAGE.HEADER.ATA Carnet Number has been changed from n18 to an..18.
	 The format of the dataItem MESSAGE.HEADER.Reference ATA Customs ID has been changed from an8 to an4.
	 The format of the dataItem MESSAGE.HEADER.Reference ATA Number has been changed from an..10 to an..8.
	 The Condition E099 has been added in the dataItem MESSAGE.HEADER.Reference ATA Country Code.
	 The optionality of the dataItem MESSAGE.HEADER.Reference ATA Country Code has been changed from Required to Depended.
	 The Conditions E102, E103, E600 have been applied or deleted according the specs.

The message TA928 has been deleted.

IE015: R026 has been deleted from the MESSAGE.GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES and its dataItems (Document type (ED), Complement Information, Document reference (ED)).
	 R902 has been added in the dataItem MESSAGE - (TRANSIT) CUSTOMS OFFICE.
	 C055 has been deleted from the dataItem HEADER.Containerised indicator.
	 R909 has been added in the dataItem MESSAGE.HEADER.Type of declaration.
	 EC050 has been deleted from the below dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
		MESSAGE.(CONSIGNOR) TRADER.Name
		MESSAGE.(CONSIGNOR) TRADER.Street and Number
		MESSAGE.(CONSIGNOR) TRADER.Postal Code
		MESSAGE.(CONSIGNOR) TRADER.City
		MESSAGE.(CONSIGNOR) TRADER.Country Code
		MESSAGE.(CONSIGNEE) TRADER.Name
		MESSAGE.(CONSIGNEE) TRADER.Street and Number
		MESSAGE.(CONSIGNEE) TRADER.Postal Code
		MESSAGE.(CONSIGNEE) TRADER.City
		MESSAGE.(CONSIGNEE) TRADER.Country Code
		MESSAGE.GOODS ITEM.(CONSIGNOR) TRADER.Name
		MESSAGE.GOODS ITEM.(CONSIGNOR) TRADER.Street and Number
		MESSAGE.GOODS ITEM.(CONSIGNOR) TRADER.Postal Code
		MESSAGE.GOODS ITEM.(CONSIGNOR) TRADER.City
		MESSAGE.GOODS ITEM.(CONSIGNOR) TRADER.Country Code
		MESSAGE.GOODS ITEM.(CONSIGNEE) TRADER.Name
		MESSAGE.GOODS ITEM.(CONSIGNEE) TRADER.Street and Number
		MESSAGE.GOODS ITEM.(CONSIGNEE) TRADER.Postal Code
		MESSAGE.GOODS ITEM.(CONSIGNEE) TRADER.City
		MESSAGE.GOODS ITEM.(CONSIGNEE) TRADER.Country Code
	 EC160 has been added in the below dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
		MESSAGE.(CONSIGNOR) TRADER.Name
		MESSAGE.(CONSIGNOR) TRADER.Street and Number
		MESSAGE.(CONSIGNOR) TRADER.Postal Code
		MESSAGE.(CONSIGNOR) TRADER.City
		MESSAGE.(CONSIGNOR) TRADER.Country Code
		MESSAGE.(CONSIGNEE) TRADER.Name
		MESSAGE.(CONSIGNEE) TRADER.Street and Number
		MESSAGE.(CONSIGNEE) TRADER.Postal Code
		MESSAGE.(CONSIGNEE) TRADER.City
		MESSAGE.(CONSIGNEE) TRADER.Country Code
		MESSAGE.GOODS ITEM.(CONSIGNOR) TRADER.Name
		MESSAGE.GOODS ITEM.(CONSIGNOR) TRADER.Street and Number
		MESSAGE.GOODS ITEM.(CONSIGNOR) TRADER.Postal Code
		MESSAGE.GOODS ITEM.(CONSIGNOR) TRADER.City
		MESSAGE.GOODS ITEM.(CONSIGNOR) TRADER.Country Code
		MESSAGE.GOODS ITEM.(CONSIGNEE) TRADER.Name
		MESSAGE.GOODS ITEM.(CONSIGNEE) TRADER.Street and Number
		MESSAGE.GOODS ITEM.(CONSIGNEE) TRADER.Postal Code
		MESSAGE.GOODS ITEM.(CONSIGNEE) TRADER.City
		MESSAGE.GOODS ITEM.(CONSIGNEE) TRADER.Country Code
	E094 and E095 have been added in the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.TIN
		MESSAGE.(CONSIGNOR) TRADER.TIN
		MESSAGE.(CONSIGNEE) TRADER.TIN
	The optionality of the dataItems has been changed according the specs in the following datagroups:
		MESSAGE.(PRINCIPAL) TRADER
		MESSAGE.(CONSIGNOR) TRADER
		MESSAGE.(CONSIGNEE) TRADER
		MESSAGE.GOODS ITEM.(CONSIGNOR) TRADER
		MESSAGE.GOODS ITEM.(CONSIGNEE) TRADER
	The group HEADER.(AUTHORISED CONSIGNEE) TRADER has been corrected according the specs.

------(incomplete version for the NCTS messages, the rest of changes will be implement in v0.50)------

============================
        VERSION 0.50        
============================

Changes from v0.49 to v0.50:

--- start the NCTS messages ---

IE015: The optionality of the group MESSAGE.GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES has been changed from O to D.
	 The C587 has been added in the group MESSAGE.ITINERARY.
	 The group HEADER.(TRANSIT) CUSTOMS OFFICE has been corrected according the specs.
	 The group HEADER.(DESTINATION) CUSTOMS OFFICE has been corrected according the specs.
	 The group HEADER.(CONTROL RESULT) has been corrected according the specs.
	 The group HEADER.GUARANTEE.GUARANTEE REFERENCE has been corrected according the specs.
	 The group MESSAGE.GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES  has been corrected according the specs.
	 The group MESSAGE.GOODS ITEM.CONTAINERS has been corrected according the specs.
	 The group MESSAGE.GOODS ITEM.PACKAGES has been corrected according the specs.
	 The C011 has been added in the MESSAGE.HEADER.Identity of means of transport crossing border.
	 The conditions C501 and E708 have been deleted from the dataItems:
		MESSAGE.GOODS ITEM.(CONSIGNOR-SECURITY) TRADER.Name
		MESSAGE.GOODS ITEM.(CONSIGNOR-SECURITY) TRADER.Street and Number
		MESSAGE.GOODS ITEM.(CONSIGNOR-SECURITY) TRADER.Postal Code
		MESSAGE.GOODS ITEM.(CONSIGNOR-SECURITY) TRADER.City
		MESSAGE.GOODS ITEM.(CONSIGNOR-SECURITY) TRADER.Country Code
		MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER.Name
		MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER.Street and Number
		MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER.Postal Code
		MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER.City
		MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER.Country Code
		MESSAGE.(CONSIGNOR-SECURITY) TRADER.Name
		MESSAGE.(CONSIGNOR-SECURITY) TRADER.Street and Number
		MESSAGE.(CONSIGNOR-SECURITY) TRADER.Postal Code
		MESSAGE.(CONSIGNOR-SECURITY) TRADER.City
		MESSAGE.(CONSIGNOR-SECURITY) TRADER.Country Code
		MESSAGE.(CONSIGNEE-SECURITY) TRADER.Name
		MESSAGE.(CONSIGNEE-SECURITY) TRADER.Street and Number
		MESSAGE.(CONSIGNEE-SECURITY) TRADER.Postal Code
		MESSAGE.(CONSIGNEE-SECURITY) TRADER.City
		MESSAGE.(CONSIGNEE-SECURITY) TRADER.Country Code
		MESSAGE.(CARRIER) TRADER.Name
		MESSAGE.(CARRIER) TRADER.Street and Number
		MESSAGE.(CARRIER) TRADER.Postal Code
		MESSAGE.(CARRIER) TRADER.City
		MESSAGE.(CARRIER) TRADER.Country Code
	 The conditions EC160 has been added in the dataItems:
		MESSAGE.GOODS ITEM.(CONSIGNOR-SECURITY) TRADER.Name
		MESSAGE.GOODS ITEM.(CONSIGNOR-SECURITY) TRADER.Street and Number
		MESSAGE.GOODS ITEM.(CONSIGNOR-SECURITY) TRADER.Postal Code
		MESSAGE.GOODS ITEM.(CONSIGNOR-SECURITY) TRADER.City
		MESSAGE.GOODS ITEM.(CONSIGNOR-SECURITY) TRADER.Country Code
		MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER.Name
		MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER.Street and Number
		MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER.Postal Code
		MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER.City
		MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER.Country Code
		MESSAGE.(CONSIGNOR-SECURITY) TRADER.Name
		MESSAGE.(CONSIGNOR-SECURITY) TRADER.Street and Number
		MESSAGE.(CONSIGNOR-SECURITY) TRADER.Postal Code
		MESSAGE.(CONSIGNOR-SECURITY) TRADER.City
		MESSAGE.(CONSIGNOR-SECURITY) TRADER.Country Code
		MESSAGE.(CONSIGNEE-SECURITY) TRADER.Name
		MESSAGE.(CONSIGNEE-SECURITY) TRADER.Street and Number
		MESSAGE.(CONSIGNEE-SECURITY) TRADER.Postal Code
		MESSAGE.(CONSIGNEE-SECURITY) TRADER.City
		MESSAGE.(CONSIGNEE-SECURITY) TRADER.Country Code
	 The condition E106 has been deleted from the dataItems:
		MESSAGE.GOODS ITEM.(CONSIGNOR-SECURITY) TRADER.TIN
		MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER.TIN
		MESSAGE.(CONSIGNOR-SECURITY) TRADER.TIN
		MESSAGE.(CONSIGNEE-SECURITY) TRADER.TIN
		MESSAGE.GOODS ITEM.(CONSIGNOR-SECURITY) TRADER.Country Code
		MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER.Country Code
		MESSAGE.(CONSIGNOR-SECURITY) TRADER.Country Code
		MESSAGE.(CONSIGNEE-SECURITY) TRADER.Country Code
		MESSAGE.(CARRIER) TRADER.Country code
		MESSAGE.(CARRIER) TRADER.TIN
	The E105 has been deleted from the MESSAGE.(PRINCIPAL) TRADER.Country code. 
	The E100, E094 and E095 have been added in the following dataItems:
		MESSAGE.GOODS ITEM.(CONSIGNOR-SECURITY) TRADER.TIN
		MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER.TIN
		MESSAGE.(CONSIGNOR-SECURITY) TRADER.TIN
		MESSAGE.(CONSIGNEE-SECURITY) TRADER.TIN
	 The C572, E708 have been deleted from the MESSAGE.(CONSIGNOR-SECURITY) TRADER.Country code.
	 The C596, E708 have been deleted from the MESSAGE.(CONSIGNEE-SECURITY) TRADER.Country code.
	 The E094 and E095 have been added in the dataItem MESSAGE.(CARRIER) TRADER.TIN
	 The E11 has been created and added in the MESSAGE.TIR INFO.Unloading.
	
IE013: The optionality of the datagroup MESSAGE.GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES has been changed from O to D.
	 R026 has been deleted from the group MESSAGE.GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES and its dataItems (Document type (ED), Complement Information, Document reference (ED)).
	 C587 has been deleted form the datagroup MESSAGE.ITINERARY.
	 The optionality of the group MESSAGE.GOODS ITEM.CONTAINERS has been changed from O tp D.
	 The optionality of the group MESSAGE.CTL_CONTROL has been changed to Required.
	 The optionality of the dataItem MESSAGE.HEADER.Identity of means of transport crossing border has been changed from O to D.
	 C011 has been added in the dataItem MESSAGE.HEADER.Identity of means of transport crossing border.
	 C055 has been deleted from the dataItem HEADER.Containerised indicator.
	 C045 has been deleted from the dataItem HEADER.Type of declaration (ED).
	 R909 has been added in the dataItem MESSAGE.HEADER.Type of declaration (ED).
	 R660 has been deleted from the MESSAGE.HEADER.Date of amendment.
	 The optionality of the dataItem HEADER.Total number of packages has been changed from Required to Optional.
	 EC050 has been deleted from the below dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
		MESSAGE.(CONSIGNOR) TRADER.Name
		MESSAGE.(CONSIGNOR) TRADER.Street and Number
		MESSAGE.(CONSIGNOR) TRADER.Postal Code
		MESSAGE.(CONSIGNOR) TRADER.City
		MESSAGE.(CONSIGNOR) TRADER.Country Code
		MESSAGE.(CONSIGNEE) TRADER.Name
		MESSAGE.(CONSIGNEE) TRADER.Street and Number
		MESSAGE.(CONSIGNEE) TRADER.Postal Code
		MESSAGE.(CONSIGNEE) TRADER.City
		MESSAGE.(CONSIGNEE) TRADER.Country Code
		MESSAGE.GOODS ITEM.(CONSIGNOR) TRADER.Name
		MESSAGE.GOODS ITEM.(CONSIGNOR) TRADER.Street and Number
		MESSAGE.GOODS ITEM.(CONSIGNOR) TRADER.Postal Code
		MESSAGE.GOODS ITEM.(CONSIGNOR) TRADER.City
		MESSAGE.GOODS ITEM.(CONSIGNOR) TRADER.Country Code
		MESSAGE.GOODS ITEM.(CONSIGNEE) TRADER.Name
		MESSAGE.GOODS ITEM.(CONSIGNEE) TRADER.Street and Number
		MESSAGE.GOODS ITEM.(CONSIGNEE) TRADER.Postal Code
		MESSAGE.GOODS ITEM.(CONSIGNEE) TRADER.City
		MESSAGE.GOODS ITEM.(CONSIGNEE) TRADER.Country Code
	 The optionality has been changed according the specs in the following datagroups:
		MESSAGE.(PRINCIPAL) TRADER
		MESSAGE.(CONSIGNOR) TRADER
		MESSAGE.(CONSIGNEE) TRADER
		MESSAGE.GOODS ITEM.(CONSIGNOR) TRADER
		MESSAGE.GOODS ITEM.(CONSIGNEE) TRADER
		MESSAGE.GOODS ITEM.(CONSIGNOR-SECURITY) TRADER
		MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER
		MESSAGE.(CONSIGNOR-SECURITY) TRADER
		MESSAGE.(CONSIGNEE-SECURITY) TRADER
		MESSAGE.(CARRIER) TRADER
	 EC160 has been added in the below dataItems:
		MESSAGE.(PRINCIPAL) TRADER.Name
		MESSAGE.(PRINCIPAL) TRADER.Street and Number
		MESSAGE.(PRINCIPAL) TRADER.Postal Code
		MESSAGE.(PRINCIPAL) TRADER.City
		MESSAGE.(PRINCIPAL) TRADER.Country Code
		MESSAGE.(CONSIGNOR) TRADER.Name
		MESSAGE.(CONSIGNOR) TRADER.Street and Number
		MESSAGE.(CONSIGNOR) TRADER.Postal Code
		MESSAGE.(CONSIGNOR) TRADER.City
		MESSAGE.(CONSIGNOR) TRADER.Country Code
		MESSAGE.(CONSIGNEE) TRADER.Name
		MESSAGE.(CONSIGNEE) TRADER.Street and Number
		MESSAGE.(CONSIGNEE) TRADER.Postal Code
		MESSAGE.(CONSIGNEE) TRADER.City
		MESSAGE.(CONSIGNEE) TRADER.Country Code
		MESSAGE.GOODS ITEM.(CONSIGNOR) TRADER.Name
		MESSAGE.GOODS ITEM.(CONSIGNOR) TRADER.Street and Number
		MESSAGE.GOODS ITEM.(CONSIGNOR) TRADER.Postal Code
		MESSAGE.GOODS ITEM.(CONSIGNOR) TRADER.City
		MESSAGE.GOODS ITEM.(CONSIGNOR) TRADER.Country Code
		MESSAGE.GOODS ITEM.(CONSIGNEE) TRADER.Name
		MESSAGE.GOODS ITEM.(CONSIGNEE) TRADER.Street and Number
		MESSAGE.GOODS ITEM.(CONSIGNEE) TRADER.Postal Code
		MESSAGE.GOODS ITEM.(CONSIGNEE) TRADER.City
		MESSAGE.GOODS ITEM.(CONSIGNEE) TRADER.Country Code
		MESSAGE.GOODS ITEM.(CONSIGNOR-SECURITY) TRADER.Name
		MESSAGE.GOODS ITEM.(CONSIGNOR-SECURITY) TRADER.Street and Number
		MESSAGE.GOODS ITEM.(CONSIGNOR-SECURITY) TRADER.Postal Code
		MESSAGE.GOODS ITEM.(CONSIGNOR-SECURITY) TRADER.City
		MESSAGE.GOODS ITEM.(CONSIGNOR-SECURITY) TRADER.Country Code
		MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER.Name
		MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER.Street and Number
		MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER.Postal Code
		MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER.City
		MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER.Country Code
		MESSAGE.(CARRIER) TRADER.Name
		MESSAGE.(CARRIER) TRADER.Street and Number
		MESSAGE.(CARRIER) TRADER.Postal Code
		MESSAGE.(CARRIER) TRADER.City
		MESSAGE.(CARRIER) TRADER.Country Code
		MESSAGE.(CONSIGNOR-SECURITY) TRADER.Name
		MESSAGE.(CONSIGNOR-SECURITY) TRADER.Street and Number
		MESSAGE.(CONSIGNOR-SECURITY) TRADER.Postal Code
		MESSAGE.(CONSIGNOR-SECURITY) TRADER.City
		MESSAGE.(CONSIGNOR-SECURITY) TRADER.Country Code
		MESSAGE.(CONSIGNEE-SECURITY) TRADER.Name
		MESSAGE.(CONSIGNEE-SECURITY) TRADER.Street and Number
		MESSAGE.(CONSIGNEE-SECURITY) TRADER.Postal Code
		MESSAGE.(CONSIGNEE-SECURITY) TRADER.City
		MESSAGE.(CONSIGNEE-SECURITY) TRADER.Country Code
	The R027 has been deleted from the MESSAGE.GOODS ITEM.SPECIAL MENTIONS.Additional information.
	The TR0022 has been added in the MESSAGE.GOODS ITEM.PACKAGES.Number of packages.
	The R905 has been added in the dataItem MESSAGE.(DESTINATION) CUSTOMS OFFICE.Reference number.
	E110 has been deleted from the dataItem MESSAGE.(DESTINATION) CUSTOMS OFFICE.Reference number.
	The R160 has been deleted from the dataItems MESSAGE.CONTROL RESULT.Date limit and MESSAGE.CONTROL RESULT.Control result code.
	The optionality of the dataItems MESSAGE.CONTROL RESULT.Date limit and MESSAGE.CONTROL RESULT.Control result code have been changed from O to R.
	The R165 has been deleted from the MESSAGE.SEALS INFO.Seals number.
	The R910 has been added in the MESSAGE.(TRANSIT) CUSTOMS OFFICE.Reference number.
	The E100 has been added in the MESSAGE.(AUTHORISED CONSIGNEE) TRADER.TIN.
	The E094 and E095 have been added in the following dataItems:
		MESSAGE.(PRINCIPAL) TRADER.TIN
		MESSAGE.(CONSIGNOR) TRADER.TIN
		MESSAGE.(CONSIGNEE) TRADER.TIN
		MESSAGE.GOODS ITEM.(CONSIGNEE) TRADER.TIN
		MESSAGE.GOODS ITEM.(CONSIGNOR) TRADER.TIN
		MESSAGE.GOODS ITEM.(CONSIGNOR-SECURITY) TRADER.TIN
		MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER.TIN
		MESSAGE.(CARRIER) TRADER.TIN
		MESSAGE.(CONSIGNEE-SECURITY) TRADER.TIN
		MESSAGE.(CONSIGNOR-SECURITY) TRADER.TIN
		MESSAGE.(AUTHORISED CONSIGNEE) TRADER.TIN
	The optionality of the MESSAGE.(AUTHORISED CONSIGNEE) TRADER.TIN has been changed from O to R.
	The optionality of the MESSAGE.(AUTHORISED CONSIGNEE) TRADER.TIN Type has been changed from O to R.
	The E105 has been deleted from the MESSAGE.(PRINCIPAL) TRADER.Country code.
	The E171 has been deleted from the MESSAGE.(PRINCIPAL) TRADER.Holder ID TIR.
	The C125, E085 and the E706 have been deleted from the MESSAGE.GUARANTEE.GUARANTEE REFERENCE.Guarantee reference number (GRN)(ED).
	The EC125 have been added in the MESSAGE.GUARANTEE.GUARANTEE REFERENCE.Guarantee reference number (GRN)(ED).
	The TR0301 has been added in the MESSAGE.GUARANTEE.GUARANTEE REFERENCE.Guarantee reference number (GRN)(ED)
	The optionality of the dataItem MESSAGE.GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES.Document type(ED) has been changed from O to R.
	The optionality of the dataItem MESSAGE.GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES.Document reference(ED) has been changed from O to D.
	The E708 has been deleted from the following dataItems:
		MESSAGE.GOODS ITEM.(CONSIGNOR-SECURITY) TRADER.Name
		MESSAGE.GOODS ITEM.(CONSIGNOR-SECURITY) TRADER.Street and Number
		MESSAGE.GOODS ITEM.(CONSIGNOR-SECURITY) TRADER.Postal Code
		MESSAGE.GOODS ITEM.(CONSIGNOR-SECURITY) TRADER.City
		MESSAGE.GOODS ITEM.(CONSIGNOR-SECURITY) TRADER.Country Code
		MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER.Name
		MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER.Street and Number
		MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER.Postal Code
		MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER.City
		MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER.Country Code
	The E106 has been deleted from the MESSAGE.GOODS ITEM.(CONSIGNEE) TRADER.TIN, MESSAGE.GOODS ITEM.(CONSIGNOR) TRADER.TIN.
	The E100 has been added in the following dataItems:
		MESSAGE.GOODS ITEM.(CONSIGNOR-SECURITY) TRADER.TIN
		MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER.TIN
		MESSAGE.(CONSIGNEE-SECURITY) TRADER.TIN
		MESSAGE.(CONSIGNOR-SECURITY) TRADER.TIN
	The E708 has been deleted from the following dataItems:
		MESSAGE.(CONSIGNOR-SECURITY) TRADER.Name
		MESSAGE.(CONSIGNOR-SECURITY) TRADER.Street and Number
		MESSAGE.(CONSIGNOR-SECURITY) TRADER.Postal Code
		MESSAGE.(CONSIGNOR-SECURITY) TRADER.City
		MESSAGE.(CONSIGNOR-SECURITY) TRADER.Country Code
		MESSAGE.(CONSIGNEE-SECURITY) TRADER.Name
		MESSAGE.(CONSIGNEE-SECURITY) TRADER.Street and Number
		MESSAGE.(CONSIGNEE-SECURITY) TRADER.Postal Code
		MESSAGE.(CONSIGNEE-SECURITY) TRADER.City
		MESSAGE.(CONSIGNEE-SECURITY) TRADER.Country Code
	The E106 has been deleted from the following dataItems:
		MESSAGE.(CARRIER) TRADER.TIN
		MESSAGE.(CARRIER) TRADER.Country code
		MESSAGE.(CONSIGNOR-SECURITY) TRADER.Country code
		MESSAGE.(CONSIGNOR-SECURITY) TRADER.TIN
		MESSAGE.(CONSIGNEE-SECURITY) TRADER.Country code
		MESSAGE.(CONSIGNEE-SECURITY) TRADER.TIN
	The C596 has been deleted from the MESSAGE.(CONSIGNEE-SECURITY) TRADER.Country code.
	The optionality of the dataItem MESSAGE.(CARRIER) TRADER.TIN type has been changed from R to D.

TB004: Optionallity has been corrected.
TB005: The datagroup MESSAGE.(RELEVANT) CUSTOMS OFFICEH has been deleted.
	 Optionallity has been corrected.
TB009: Optionallity has been corrected.
TB014: Optionallity has been corrected.
TB028: Optionallity has been corrected.

TC005: Optionallity has been corrected.

TA015: Optionallity has been corrected.
	 Rule has been applied in MESSAGE.(DEPARTURE) CUSTOMS OFFICE and MESSAGE.(DESTINATION) CUSTOMS OFFICE.
TA013: Optionallity has been corrected.
	 Rule has been applied in MESSAGE.(DEPARTURE) CUSTOMS OFFICE and MESSAGE.(DESTINATION) CUSTOMS OFFICE.
TA004: Optionallity has been corrected.
TA005: Optionallity has been corrected.
TA009: Optionallity has been corrected.
TA014: Optionallity has been corrected.
TA028: Optionallity has been corrected.

IE007: E600 has been added in the dataItem MESSAGE.Message recipient.
	 E173 has been added in the dataItem MESSAGE.HEADER.Arrival authorised location of goods
	 The codelist E4 has been added in the MESSAGE.(DESTINATION) TRADER.TIN type.
	 C160 has been deleted from the folloing dataItems:
		MESSAGE.(DESTINATION) TRADER.Name
		MESSAGE.(DESTINATION) TRADER.Street and Number
		MESSAGE.(DESTINATION) TRADER.Postal Code
		MESSAGE.(DESTINATION) TRADER.City
		MESSAGE.(DESTINATION) TRADER.Country Code	
 	 EC160 has been deleted from the below dataItems:
		MESSAGE.(DESTINATION) TRADER.Name
		MESSAGE.(DESTINATION) TRADER.Street and Number
		MESSAGE.(DESTINATION) TRADER.Postal Code
		MESSAGE.(DESTINATION) TRADER.City
		MESSAGE.(DESTINATION) TRADER.Country Code
	 The E094, E095 and E100 have been added in the dataItem MESSAGE.(DESTINATION) TRADER.TIN.
	 The new dataItem MESSAGE.(DESTINATION) TRADER.TIN Type has been created - new xml tag (TINTypeDESTRA).
	 The E100 has been added in the dataItem MESSAGE.(DESTINATION) TRADER.TIN Type.
	 The condition EC902 has been created.
	 The xml tags of the TIR INFO group and its dataItems have been changed.
	 The condition EC902 has been added in the dataItem MESSAGE.TIR INFO.TIR ID.

IE029: The optionality of the group MESSAGE.GOODS ITEM.CONTAINERS has been changed from O to D.
	 The optionality of the group MESSAGE.GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES has been changed from O to D.
	 ER155 has been added in the MESSAGE.GOODS ITEM.SGI CODES.
	 The R160 is deleted from the datagroup MESSAGE.CONTROL RESULT.
	 The C085 has been deleted from the datagroup MESSAGE.GUARANTEE.GUARANTEE REFERENCE.
	 The R026 has been deleted from the datagroup MESSAGE.GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES.
	 The R155 has been deleted from the datagroup MESSAGE.GOODS ITEM.SGI CODES.
	 The C188 is deleted from the datagroup MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER.
	 The C188 is deleted from the datagroup MESSAGE.(CONSIGNEE-SECURITY) TRADER.
	 The optionality of the dataItem MESSAGE.HEADER.Identity of means of transport crossing border has been changed to O.
	 The E175 has been deleted from the dataItem MESSAGE.HEADER.Reference number.
	 The C045 has been deleted from the dataItem MESSAGE.HEADER.Type of declaration(ED).
	 The E173 has been deleted from the dataItem MESSAGE.HEADER.Authorised location of goods code.
	 The R909 has been added in the dataItem MESSAGE.HEADER.Type of declaration and MESSAGE.HEADER.Type of declaration(ED).
	 The C011 has been added in the dataItem MESSAGE.HEADER.Identity of means of transport crossing border.
	 The C055 has been deleted from the dataItem MESSAGE.HEADER.Containerised indicator.
	 The C589 has been deleted from the dataItem MESSAGE.HEADER.Place of unloading, code.
	 The Codelist 18 has been added in the MESSAGE.HEADER.Type of means of transport crossing border.
	 The EC050 has been deleted from the dataItems included in the following datagroups:
		MESSAGE.(CONSIGNOR) TRADER
		MESSAGE.(CONSIGNEE) TRADER
		MESSAGE.(PRINCIPAL) TRADER
		MESSAGE.GOODS ITEM.(CONSIGNEE) TRADER
		MESSAGE.GOODS ITEM.(CONSIGNOR) TRADER
	 The EC160 has been added in the datagroups MESSAGE.(CONSIGNOR) TRADER, MESSAGE.(CONSIGNEE) TRADER, MESSAGE.(PRINCIPAL) TRADER
	 and especially in the included dataItems Name, Street and Number, Postal Code, City and Country Code.
	 The optionality has been amended according the specs in the following datagroups:
		MESSAGE.(CONSIGNOR) TRADER
		MESSAGE.(CONSIGNEE) TRADER
		MESSAGE.(PRINCIPAL) TRADER
	 The E105 has been deleted from the dataItem MESSAGE.(PRINCIPAL) TRADER.Country code.
	 The E171 has been deleted from the dataItem MESSAGE.(PRINCIPAL) TRADER.Holder ID TIR.
	 The E171 has been added in the dataItem MESSAGE.(PRINCIPAL) TRADER.TIN.
	 The following datagroups have been amended according the specs:
		MESSAGE.(AUTHORISED CONSIGNEE) TRADER
		MESSAGE.(TRANSIT) CUSTOMS OFFICE
		MESSAGE.(CONTROL RESULT)
		MESSAGE.SEALS INFO
	 The datagroup MESSAGE.GUARANTEE.GUARANTEE REFERENCE has been amended according the specs.
	 The datagroup MESSAGE.GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES has been amended according the specs.
	 The R027 has been deleted from the MESSAGE.GOODS ITEM.SPECIAL MENTIONS.Additional information.
	 The rules in the MESSAGE.GOODS ITEM.(CONSIGNEE) TRADER and MESSAGE.GOODS ITEM.(CONSIGNOR) TRADER has been applied according the specs.
	 The E177 has been added in the MESSAGE.GOODS ITEM.CONTAINERS.Container number.
	 The TR0022 has been added in the MESSAGE.GOODS ITEM.PACKAGES.Number of packages.
	 The C501 has been deleted from the dataItems of the following datagroups:
		MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER
		MESSAGE.GOODS ITEM.(CONSIGNOR-SECURITY) TRADER
		MESSAGE.(CONSIGNEE-SECURITY) TRADER
		MESSAGE.(CONSIGNOR-SECURITY) TRADER
		MESSAGE.(CARRIER) TRADER
	 The E708 has been deleted from the dataItems of the following datagroups:
		MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER
		MESSAGE.GOODS ITEM.(CONSIGNOR-SECURITY) TRADER
		MESSAGE.(CONSIGNEE-SECURITY) TRADER
		MESSAGE.(CONSIGNOR-SECURITY) TRADER
	 The E100 has been added in the following dataItems:
		MESSAGE.(CARRIER) TRADER.TIN
		MESSAGE.(CONSIGNEE-SECURITY) TRADER.TIN
		MESSAGE.(CONSIGNOR-SECURITY) TRADER.TIN
		MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER
		MESSAGE.GOODS ITEM.(CONSIGNOR-SECURITY) TRADER
	 The E106 has been deleted from the following dataItems:
		MESSAGE.(CARRIER) TRADER.TIN
		MESSAGE.(CONSIGNEE-SECURITY) TRADER.TIN
		MESSAGE.(CONSIGNOR-SECURITY) TRADER.TIN
		MESSAGE.GOODS ITEM.(CONSIGNOR-SECURITY) TRADER.TIN
		MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER.TIN
		MESSAGE.(CONSIGNEE-SECURITY) TRADER.Country code
		MESSAGE.(CONSIGNOR-SECURITY) TRADER.Country code
		MESSAGE.(CARRIER) TRADER.Country code
	 The EC160 has been added in the dataItems of the following datagroups:
		MESSAGE.GOODS ITEM.(CONSIGNOR-SECURITY) TRADER
		MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER
		MESSAGE.(CARRIER) TRADER
		MESSAGE.(CONSIGNEE-SECURITY) TRADER
		MESSAGE.(CONSIGNOR-SECURITY) TRADER
	 The optionality of the following datatgroups and its dataItems has been changed according the specs:
		MESSAGE.GOODS ITEM.(CONSIGNEE) TRADER
		MESSAGE.GOODS ITEM.(CONSIGNOR) TRADER
		MESSAGE.GOODS ITEM.(CONSIGNOR-SECURITY) TRADER
		MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER
		MESSAGE.(CARRIER) TRADER
		MESSAGE.(CONSIGNEE-SECURITY) TRADER
		MESSAGE.(CONSIGNOR-SECURITY) TRADER
	 The C572 has been deleted from the MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER.TIN and MESSAGE.(CONSIGNOR-SECURITY) TRADER.Country code.
	 The C596 has been deleted from the MESSAGE.(CONSIGNEE-SECURITY) TRADER.Country code.

IE051: The optionality of the datagroup MESSAGE.GOODS ITEM.CONTAINERS has been changed from O to D.
	 The optionality of the datagroup MESSAGE.GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES has been changed from O to D.
	 The ER155 has been added in the datagroup MESSAGE.GOODS ITEM.SGI CODES.
	 The C085 has been deleted from the datagroup MESSAGE.GUARANTEE.GUARANTEE REFERENCE.
	 The R026 has been deleted from the datagroup MESSAGE.GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES.
	 The R155 has been deleted from the datagroup MESSAGE.GOODS ITEM.SGI CODES.
	 The C188 is deleted from the datagroup MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER.
	 The C188 is deleted from the datagroup MESSAGE.(CONSIGNEE-SECURITY) TRADER.
	 The E175 has been deleted from the dataItem MESSAGE.HEADER.Reference number.
	 The C045 has been deleted from the dataItem MESSAGE.HEADER.Type of declaration(ED).
	 The E173 has been deleted from the dataItem MESSAGE.HEADER.Authorised location of goods code.
	 The R909 has been deleted from the dataItem MESSAGE.HEADER.Type of declaration.
	 The R909 has been added in the dataItem MESSAGE.HEADER.Type of declaration(ED).
	 The C055 has been deleted from the dataItem MESSAGE.HEADER.Containerised indicator.
	 The TR0002 has been deleted from the following dataItems:
		MESSAGE.HEADER.Identity of means of transport at departure (exp/trans)
		MESSAGE.HEADER.Total number of packages
	 The TR0002 has been added in the dataItem MESSAGE.GOODS ITEM.PACKAGES.Number of packages.
	 The C011 has been added in the dataItem MESSAGE.HEADER.Identity of means of transport crossing border.
	 The EC050 has been deleted from the dataItems included in the following datagroups:
		MESSAGE.(CONSIGNOR) TRADER
		MESSAGE.(CONSIGNEE) TRADER
		MESSAGE.(PRINCIPAL) TRADER
		MESSAGE.GOODS ITEM.(CONSIGNOR) TRADER
		MESSAGE.GOODS ITEM.(CONSIGNEE) TRADER		
	 The EC160 has been added in the datagroups MESSAGE.(CONSIGNOR) TRADER, MESSAGE.(CONSIGNEE) TRADER, MESSAGE.(PRINCIPAL) TRADER
	 and especially in the included dataItems Name, Street and Number, Postal Code, City and Country Code.
	 The optionality has been amended according the specs in the following datagroups:
		MESSAGE.HEADER
		MESSAGE.(CONSIGNOR) TRADER
		MESSAGE.(CONSIGNEE) TRADER
		MESSAGE.(PRINCIPAL) TRADER
	 The C111 and C236 and have been added in the dataItem MESSAGE.(PRINCIPAL) TRADER.TIN.
	 The E105 has been deleted from the MESSAGE.(PRINCIPAL) TRADER.Country code.
	 The following datagroups have been amended according the specs:
		MESSAGE.(AUTHORISED CONSIGNEE) TRADER
		MESSAGE.(TRANSIT) CUSTOMS OFFICE
		MESSAGE.(CONTROL RESULT)
		MESSAGE.SEALS INFO
	 The datagroup MESSAGE.GUARANTEE.GUARANTEE REFERENCE has been amended according the specs.
	 The R060, R470 has been deleted from the MESSAGE.GOODS ITEM.Commodity code.
	 The TR0102 has been added in the following dataItems:
		MESSAGE.GOODS ITEM.Commodity code
		MESSAGE.GOODS ITEM.Commodity code(ED)
	 The TR0009 has been deleted from the dataItem MESSAGE.GOODS ITEM.RESULTS OF CONTROL.Description.
	 The TR0006 has been added in the dataItem MESSAGE.GOODS ITEM.RESULTS OF CONTROL.Description.
	 The datagroup MESSAGE.GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES has been amended according the specs.
	 The R027 has been deleted from the MESSAGE.GOODS ITEM.SPECIAL MENTIONS.Additional information.
	 The optionality in the datagroups MESSAGE.GOODS ITEM.(CONSIGNEE) TRADER and MESSAGE.GOODS ITEM.(CONSIGNOR) TRADER has been changed according the specs.
	 The rules in the datagroups MESSAGE.GOODS ITEM.(CONSIGNEE) TRADER and MESSAGE.GOODS ITEM.(CONSIGNOR) TRADER has been applied according the specs.
	 The E177 has been added in the dataItem MESSAGE.GOODS ITEM.CONTAINERS.Container number.
	 The C060 has been deleted from the dataItem MESSAGE.GOODS ITEM.CONTAINERS.Container number.
	 The E708 has been deleted from the dataItems of the following datagroups:
		MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER
		MESSAGE.GOODS ITEM.(CONSIGNOR-SECURITY) TRADER
		MESSAGE.(CONSIGNEE-SECURITY) TRADER
		MESSAGE.(CONSIGNOR-SECURITY) TRADER
	 The E100 has been added in the
		MESSAGE.(CARRIER) TRADER.TIN
		MESSAGE.(CONSIGNEE-SECURITY) TRADER.TIN
		MESSAGE.(CONSIGNOR-SECURITY) TRADER.TIN
		MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER.TIN
		MESSAGE.GOODS ITEM.(CONSIGNOR-SECURITY) TRADER.TIN
	 The E106 has been deleted from the
		MESSAGE.(CARRIER) TRADER.TIN
		MESSAGE.(CONSIGNEE-SECURITY) TRADER.TIN
		MESSAGE.(CONSIGNOR-SECURITY) TRADER.TIN
		MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER.TIN
		MESSAGE.GOODS ITEM.(CONSIGNOR-SECURITY) TRADER.TIN
		MESSAGE.(CARRIER) TRADER.Country code
		MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER.Country code
		MESSAGE.GOODS ITEM.(CONSIGNOR-SECURITY) TRADER.Country code
	 The EC160 has been added in the dataItems of the following datagroups:
		MESSAGE.GOODS ITEM.(CONSIGNOR-SECURITY) TRADER
		MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER
		MESSAGE.(CARRIER) TRADER
		MESSAGE.(CONSIGNEE-SECURITY) TRADER
		MESSAGE.(CONSIGNOR-SECURITY) TRADER
	 The optionality of the following datatgroups and its dataItems has been changed according the specs:
		MESSAGE.GOODS ITEM.(CONSIGNOR-SECURITY) TRADER
		MESSAGE.GOODS ITEM.(CONSIGNEE-SECURITY) TRADER
		MESSAGE.(CARRIER) TRADER
		MESSAGE.(CONSIGNEE-SECURITY) TRADER
		MESSAGE.(CONSIGNOR-SECURITY) TRADER
	 The C572 has been deleted from the MESSAGE.(CONSIGNOR-SECURITY) TRADER.Country code.
	 The C596 has been deleted from the MESSAGE.(CONSIGNEE-SECURITY) TRADER.Country code.

--- end of the NCTS messages ---

--- start AIS messages ---

DB015: The dataItem MESSAGE.(DEPARTURE DETAILS) ARRIVAL.Dock has been deleted.
	 The dataItem MESSAGE.HEADER.Pre-arrival date and time has been deleted.
	 The optionality of the dataItem MESSAGE.TRADER DETAILS.TIN has been changed from R to O.
	 The dataItem MESSAGE.TRANSPORTATION VESSEL DETAILS.Vessel Port of Registration Code has been deleted.
	 The datagroup MESSAGE.ARRIVAL INTENSION has been deleted with its dataItems.

DB115: The dataItem MESSAGE.(DEPARTURE DETAILS) ARRIVAL.Dock has been deleted.
	 The optionality of the dataItem MESSAGE.TRADER DETAILS.TIN has been changed from R to O.	 
	 The dataItem MESSAGE.TRANSPORTATION VESSEL DETAILS.Vessel Port of Registration Code has been deleted.
	 The datagroup MESSAGE.REFERENCED DECLARATION has been inserted.
	 The dataItem MESSAGE.REFERENCED DECLARATION.Declaration Reference Number has been created and added - new xml tag (DeReNuREFDEC).

DB215: The dataItem MESSAGE.REFERENCED DECLARATION.Declaration Number has been replaced by the MESSAGE.REFERENCED DECLARATION.Declaration Reference Number.
	 The optionality of the MESSAGE.TRADER DETAILS.TIN has been changed from R to O.
	 The dataItem MESSAGE.TRANSPORTATION VESSEL DETAILS.Vessel Port of Registration Code has been deleted.
	 The dataItem MESSAGE.TRANSPORTATION VESSEL DETAILS.Vessel Country of Registration has been deleted.

DB315: The datagroup MESSAGE.ATTACHED DOCUMENTS has been deleted with its dataItems.
	 The dataItem MESSAGE.HEADER.Document/reference number Communicated has been deleted.
	 The dataItem MESSAGE.SHIP AGENT DETAILS.Ship Agent TIN has been deleted.
	 The dataItem MESSAGE.SHIP AGENT DETAILS.Ship Agent Id has been created and added - new xml tag (ShAgIdSHAGDET8).
	 The dataItem MESSAGE.SHIP AGENT DETAILS.Ship Agent Id Type has been created and added - new xml tag (ShAgIdTySHAGDET9).
	 The dataItem MESSAGE.TRADER DETAILS.TIN has been deleted.
	 The dataItem MESSAGE.TRADER DETAILS.Id has been added.
	 The dataItem MESSAGE.TRADER DETAILS.Name has been added.
	 The dataItem MESSAGE.TRANSPORTATION VESSEL DETAILS.Vessel Registration Number has been deleted.
	 The dataItem MESSAGE.TRANSPORTATION VESSEL DETAILS.Vessel Registration Type has been deleted.

DB415: The dataItem MESSAGE.HEADER.Document/reference number Communicated has been deleted.
	 The dataItem MESSAGE.TRADER DETAILS.TIN has been deleted.
	 The dataItem MESSAGE.TRADER DETAILS.Id has been created and added - new xml tag (IdTRADET8).
	 The dataItem MESSAGE.TRADER DETAILS.Id Type has been created and added - new xml tag (IdTyTRADET9).
	 The dataItem MESSAGE.TRANSPORTATION VESSEL DETAILS.Vessel Registration Number has been deleted.
	 The dataItem MESSAGE.TRANSPORTATION VESSEL DETAILS.Vessel Registration Type has been deleted.
	 The datagroups MESSAGE.SHIP AGENT DETAILS has been added with the following dataItems:
		MESSAGE.SHIP AGENT DETAILS.Ship Agent Name
		MESSAGE.SHIP AGENT DETAILS.Ship Agent Street and number
		MESSAGE.SHIP AGENT DETAILS.Ship Agent Postal Code
		MESSAGE.SHIP AGENT DETAILS.Ship Agent City
		MESSAGE.SHIP AGENT DETAILS.Ship Agent Country Code
		MESSAGE.SHIP AGENT DETAILS.Ship Agent NAD LNG
		MESSAGE.SHIP AGENT DETAILS.Ship Agent Id - new xml tag (ShAgIdSHAGDET8)
		MESSAGE.SHIP AGENT DETAILS.Ship Agent Id Type - new xml tag (ShAgIdTySHAGDET9)

DB515: The dataItem MESSAGE.HEADER.Document/reference number Communicated has been deleted.
	 The dataItem MESSAGE.TRADER DETAILS.TIN has been deleted.
	 The dataItem MESSAGE.TRADER DETAILS.Id has been created and added - new xml tag (IdTRADET8).
	 The dataItem MESSAGE.TRADER DETAILS.Id Type has been created and added - new xml tag (IdTyTRADET9).
	 The dataItem MESSAGE.TRANSPORTATION VESSEL DETAILS.Vessel Registration Number has been deleted.
	 The dataItem MESSAGE.TRANSPORTATION VESSEL DETAILS.Vessel Registration Type has been deleted.
	 The datagroups MESSAGE.SHIP AGENT DETAILS has been added with the following dataItems:
		MESSAGE.SHIP AGENT DETAILS.Ship Agent Name
		MESSAGE.SHIP AGENT DETAILS.Ship Agent Street and number
		MESSAGE.SHIP AGENT DETAILS.Ship Agent Postal Code
		MESSAGE.SHIP AGENT DETAILS.Ship Agent City
		MESSAGE.SHIP AGENT DETAILS.Ship Agent Country Code
		MESSAGE.SHIP AGENT DETAILS.Ship Agent NAD LNG
		MESSAGE.SHIP AGENT DETAILS.Ship Agent Id - new xml tag (ShAgIdSHAGDET8)
		MESSAGE.SHIP AGENT DETAILS.Ship Agent Id Type - new xml tag (ShAgIdTySHAGDET9)

DB615: The dataItem MESSAGE.HEADER.Document/reference number Communicated has been deleted.
	 The dataItem MESSAGE.TRADER DETAILS.TIN has been deleted.
	 The optionality of the dataItems in group MESSAGE.TRADER DETAILS has been change from D to R.
	 The dataItem MESSAGE.TRADER DETAILS.Id has been created and added - new xml tag (IdTRADET8).
	 The dataItem MESSAGE.TRADER DETAILS.Id Type has been created and added - new xml tag (IdTyTRADET9).
	 The dataItem MESSAGE.TRANSPORTATION VESSEL DETAILS.Port of arrival/departure has been deleted.
	 The dataItem MESSAGE.TRANSPORTATION VESSEL DETAILS.Vessel Registration Number has been deleted.
	 The dataItem MESSAGE.TRANSPORTATION VESSEL DETAILS.Vessel Registration Type has been deleted.
	 The dataItem MESSAGE.TRANSPORTATION VESSEL DETAILS.Port arrived from has been created and added - new xml tag (PoArfrTRVEDE9).
	 The datagroups MESSAGE.SHIP AGENT DETAILS has been added with the following dataItems:
		MESSAGE.SHIP AGENT DETAILS.Ship Agent Name
		MESSAGE.SHIP AGENT DETAILS.Ship Agent Street and number
		MESSAGE.SHIP AGENT DETAILS.Ship Agent Postal Code
		MESSAGE.SHIP AGENT DETAILS.Ship Agent City
		MESSAGE.SHIP AGENT DETAILS.Ship Agent Country Code
		MESSAGE.SHIP AGENT DETAILS.Ship Agent NAD LNG
		MESSAGE.SHIP AGENT DETAILS.Ship Agent Id - new xml tag (ShAgIdSHAGDET8)
		MESSAGE.SHIP AGENT DETAILS.Ship Agent Id Type - new xml tag (ShAgIdTySHAGDET9)

DB715: The dataItem MESSAGE.HEADER.Document/reference number Communicated has been deleted.
	 The dataItem MESSAGE.TRADER DETAILS.TIN has been deleted.
	 The optionality of the dataItems in group MESSAGE.TRADER DETAILS has been change from D to R.
	 The dataItem MESSAGE.TRADER DETAILS.Id has been created and added - new xml tag (IdTRADET8).
	 The dataItem MESSAGE.TRADER DETAILS.Id Type has been created and added - new xml tag (IdTyTRADET9).
	 The dataItem MESSAGE.TRANSPORTATION VESSEL DETAILS.Vessel Registration Number has been deleted.
	 The dataItem MESSAGE.TRANSPORTATION VESSEL DETAILS.Vessel Registration Type has been deleted.
	 The dataItem MESSAGE.TRANSPORTATION VESSEL DETAILS.Shipping Agent has been added.
	 The datagroups MESSAGE.SHIP AGENT DETAILS has been added with the following dataItems:
		MESSAGE.SHIP AGENT DETAILS.Ship Agent Name
		MESSAGE.SHIP AGENT DETAILS.Ship Agent Street and number
		MESSAGE.SHIP AGENT DETAILS.Ship Agent Postal Code
		MESSAGE.SHIP AGENT DETAILS.Ship Agent City
		MESSAGE.SHIP AGENT DETAILS.Ship Agent Country Code
		MESSAGE.SHIP AGENT DETAILS.Ship Agent NAD LNG
		MESSAGE.SHIP AGENT DETAILS.Ship Agent Id - new xml tag (ShAgIdSHAGDET8)
		MESSAGE.SHIP AGENT DETAILS.Ship Agent Id Type - new xml tag (ShAgIdTySHAGDET9)

DB815: The dataItem MESSAGE.HEADER.Document/reference number Communicated has been deleted.
	 The dataItem MESSAGE.TRADER DETAILS.TIN has been deleted.
	 The optionality of the dataItems in group MESSAGE.TRADER DETAILS has been change from D to R.
	 The dataItem MESSAGE.TRADER DETAILS.Id has been created and added - new xml tag (IdTRADET8).
	 The dataItem MESSAGE.TRADER DETAILS.Id Type has been created and added - new xml tag (IdTyTRADET9).
	 The datagroups MESSAGE.SHIP AGENT DETAILS has been added with the following dataItems:
		MESSAGE.SHIP AGENT DETAILS.Ship Agent Name
		MESSAGE.SHIP AGENT DETAILS.Ship Agent Street and number
		MESSAGE.SHIP AGENT DETAILS.Ship Agent Postal Code
		MESSAGE.SHIP AGENT DETAILS.Ship Agent City
		MESSAGE.SHIP AGENT DETAILS.Ship Agent Country Code
		MESSAGE.SHIP AGENT DETAILS.Ship Agent NAD LNG
		MESSAGE.SHIP AGENT DETAILS.Ship Agent Id - new xml tag (ShAgIdSHAGDET8)
		MESSAGE.SHIP AGENT DETAILS.Ship Agent Id Type - new xml tag (ShAgIdTySHAGDET9)

--- end of the AIS messages ---

--- start Import/Export messages ---

IA13:	 The datagroup MESSAGE.GOODS ITEM.CONTAINERS has been deleted.
	 The dataItem MESSAGE.GOODS ITEM.(WAREHOUSE) IDENTIFICATION.Warehouse identification has been created and added - new xml tag (WarIdeWARIDEGI19).
	 The optionality of the following dataItems has been changed to O:
		MESSAGE.GOODS ITEM.(WAREHOUSE) IDENTIFICATION.Warehouse type
		MESSAGE.GOODS ITEM.(WAREHOUSE) IDENTIFICATION.Authorizing country
	 The dataItem MESSAGE.HEADER.Type of declaration (Box 1.2) has been deleted.

IA15:	 The datagroup MESSAGE.GOODS ITEM.CONTAINERS has been deleted.
	 The dataItem MESSAGE.GOODS ITEM.(WAREHOUSE) IDENTIFICATION.Warehouse identification has been created and added - new xml tag (WarIdeWARIDEGI19).
	 The optionality of the following dataItems has been changed to O:
		MESSAGE.GOODS ITEM.(WAREHOUSE) IDENTIFICATION.Warehouse type
		MESSAGE.GOODS ITEM.(WAREHOUSE) IDENTIFICATION.Authorizing country
	 The dataItem MESSAGE.HEADER.Type of declaration (Box 1.2) has been deleted.

EA13: The datagroup MESSAGE.GOODS ITEM.CONTAINERS has been deleted.
	The optionality of the following dataItems has been changed to O:
		MESSAGE.(WAREHOUSE) IDENTIFICATION.Warehouse type 
		MESSAGE.(WAREHOUSE) IDENTIFICATION.Authorizing country
	The dataItem MESSAGE.(WAREHOUSE) IDENTIFICATION.Warehouse identification has been created and added - new xml tag (WarIdeWARIDE19).

EA15: The datagroup MESSAGE.GOODS ITEM.CONTAINERS has been deleted.
	The optionality of the following dataItems has been changed to O:
		MESSAGE.(WAREHOUSE) IDENTIFICATION.Warehouse type 
		MESSAGE.(WAREHOUSE) IDENTIFICATION.Authorizing country
	The dataItem MESSAGE.(WAREHOUSE) IDENTIFICATION.Warehouse identification has been created and added - new xml tag (WarIdeWARIDE19).

IE513: The optionality of the following dataItems has been changed to O:
		MESSAGE.(WAREHOUSE) IDENTIFICATION.Warehouse type 
		MESSAGE.(WAREHOUSE) IDENTIFICATION.Authorizing country
	 The dataItem MESSAGE.(WAREHOUSE) IDENTIFICATION.Warehouse identification has been created and added - new xml tag (WarIdeWARIDE19).

IE515: The optionality of the following dataItems has been changed to O:
		MESSAGE.(WAREHOUSE) IDENTIFICATION.Warehouse type 
		MESSAGE.(WAREHOUSE) IDENTIFICATION.Authorizing country
	 The dataItem MESSAGE.(WAREHOUSE) IDENTIFICATION.Warehouse identification has been created and added - new xml tag (WarIdeWARIDE19).

ID13:	 The dataItem MESSAGE.GOODS ITEM.(WAREHOUSE) IDENTIFICATION.Warehouse identification has been created and added - new xml tag (WarIdeWARIDEGI19).
	 The optionality of the following dataItems has been changed to O:
		MESSAGE.GOODS ITEM.(WAREHOUSE) IDENTIFICATION.Warehouse type
		MESSAGE.GOODS ITEM.(WAREHOUSE) IDENTIFICATION.Authorizing country

ID15:  The dataItem MESSAGE.GOODS ITEM.(WAREHOUSE) IDENTIFICATION.Warehouse identification has been created and added - new xml tag (WarIdeWARIDEGI19).
	 The optionality of the following dataItems has been changed to O:
		MESSAGE.GOODS ITEM.(WAREHOUSE) IDENTIFICATION.Warehouse type
		MESSAGE.GOODS ITEM.(WAREHOUSE) IDENTIFICATION.Authorizing country

ID51:	 The dataItem MESSAGE.GOODS ITEM.(WAREHOUSE) IDENTIFICATION.Warehouse identification has been created and added - new xml tag (WarIdeWARIDEGI19).
	 The optionality of the following dataItems has been changed to O:
		MESSAGE.GOODS ITEM.(WAREHOUSE) IDENTIFICATION.Warehouse type
		MESSAGE.GOODS ITEM.(WAREHOUSE) IDENTIFICATION.Authorizing country

ID99:	 The dataItem MESSAGE.GOODS ITEM.(WAREHOUSE) IDENTIFICATION.Warehouse identification has been created and added - new xml tag (WarIdeWARIDEGI19).
	 The optionality of the following dataItems has been changed to O:
		MESSAGE.GOODS ITEM.(WAREHOUSE) IDENTIFICATION.Warehouse type
		MESSAGE.GOODS ITEM.(WAREHOUSE) IDENTIFICATION.Authorizing country

The new message IA80 (I_IMP_STA_INF, Ðëçñïöïñßá êáôÜóôáóçò) has been created for ICS domain:
The following datagroups have been stored with its dataItems:
	MESSAGE
	MESSAGE.HEADER

The new message EA80 (E_IMP_STA_INF, Ðëçñïöïñßá êáôÜóôáóçò) has been created for ECS domain:
The following datagroups have been stored with its dataItems:
	MESSAGE
	MESSAGE.HEADER

The new message IA29 (I_IMP_RF_IMPORT, Release For Import) has been created for ICS domain:
The following datagroups have been stored with its dataItems:
	MESSAGE
	MESSAGE.HEADER
	MESSAGE.CONTROL RESULTS
	MESSAGE.(IMPORT) CUSTOMS OFFICE

The new message EA29 (E_IMP_RF_EXPORT, Release For Export) has been created for ECS domain:
The following datagroups have been stored with its dataItems:
	MESSAGE
	MESSAGE.HEADER
	MESSAGE.CONTROL RESULTS
	MESSAGE.(IMPORT) CUSTOMS OFFICE

The new message IA51 (I_IMP_NO_REL, Import Not Release) has been created for ICS domain:
The following datagroups have been stored with its dataItems:
	MESSAGE
	MESSAGE.HEADER
	MESSAGE.(CONSIGNEE) TRADER
	MESSAGE.(CONSIGNOR) TRADER
	MESSAGE.(ENTRY) CUSTOMS OFFICE
	MESSAGE.(IMPORT) CUSTOMS OFFICE
	MESSAGE.(REPRESENTATIVE) TRADER
	MESSAGE.(STATUS) REPRESENTATIVE
	MESSAGE.(TERMS) DELIVERY
	MESSAGE.CONTROL RESULT
	MESSAGE.GOODS ITEM
	MESSAGE.GOODS ITEM.(CODE) COMMODITY
	MESSAGE.GOODS ITEM.(PAYMENT) POSTPONED
	MESSAGE.GOODS ITEM.(TAXES) ADDITIONAL ELEMENTS
	MESSAGE.GOODS ITEM.(TAXES) CALCULATION
	MESSAGE.GOODS ITEM.(WAREHOUSE) IDENTIFICATION
	MESSAGE.GOODS ITEM.GRN
	MESSAGE.GOODS ITEM.PACKAGES
	MESSAGE.GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES
	MESSAGE.GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES
	MESSAGE.GOODS ITEM.RELIEFS
	MESSAGE.RESULTS OF CONTROL

The new message EA51 (E_IMP_NO_REL, Export Not Release) has been created for ECS domain:
The following datagroups have been stored with its dataItems:
	MESSAGE
	MESSAGE.HEADER
	MESSAGE.(CONSIGNEE) TRADER
	MESSAGE.(DECLARANT) TRADER
	MESSAGE.(EXIT) CUSTOMS OFFICE
	MESSAGE.(EXPORT) CUSTOMS OFFICE
	MESSAGE.(EXPORTER) TRADER
	MESSAGE.(STATUS) REPRESENTATIVE
	MESSAGE.CONTROL RESULT
	MESSAGE.(WAREHOUSE) IDENTIFICATION
	MESSAGE.(PAYMENT) DEFERRED OR POSTPONED
	MESSAGE.GOODS ITEM
	MESSAGE.GOODS ITEM.(CODE) COMODITY
	MESSAGE.GOODS ITEM.(TAXES) CALCULATION
	MESSAGE.GOODS ITEM.GRN
	MESSAGE.GOODS ITEM.PACKAGES
	MESSAGE.GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES
	MESSAGE.GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES
	MESSAGE.RESULTS OF CONTROL

--- end of the Import/Export messages ---

============================
        VERSION 0.51        
============================

Changes from v0.50 to v0.51:

TF015: The datagroup (DECLARANT) TRADER has been added with the following dataItems:
	 	MESSAGE.(DECLARANT) TRADER.Name
	 	MESSAGE.(DECLARANT) TRADER.Street and number
	 	MESSAGE.(DECLARANT) TRADER.Postal code
	 	MESSAGE.(DECLARANT) TRADER.City
		MESSAGE.(DECLARANT) TRADER.Country code
		MESSAGE.(DECLARANT) TRADER.NAD LNG
		MESSAGE.(DECLARANT) TRADER.TIN
		MESSAGE.(DECLARANT) TRADER.TIN Type
	 The following datagroups have been deleted with its dataItems:
		MESSAGE.(PRINCIPAL) TRADER
		MESSAGE.(CONSIGNEE) TRADER
		MESSAGE.(TRANSIT) CUSTOMS OFFICE
		MESSAGE.REPRESENTATIVE
	 The optionality of the following datagroups has been changed from R to D:
		MESSAGE.GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES 
		MESSAGE.GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES
	 The optionality of the datagroup MESSAGE.(CONSIGNOR) TRADER has been changed from O to R.
	 The C567 has been deleted from the group MESSAGE.GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES.
	 The following dataItems have been deleted from the HEADER group:
		Identity of means of transport at departure (exp/trans)
		Identity of means of transport at departure LNG
		Nationality of means of transport at departure
		Dialog language indicator at departure
		Total number of packages
		Entypa
	 The C135 has been added in the MESSAGE.HEADER.Country of dispatch/export code.
	 The optionality in the dataItems for the groups MESSAGE.(CONSIGNOR) TRADER, MESSAGE.(DECLARANT) TRADER have been applied according the specs.
	 The EC160 has been added in the following dataItems:
	 	MESSAGE.(CONSIGNOR) TRADER.Name
	 	MESSAGE.(CONSIGNOR) TRADER.Street and number
	 	MESSAGE.(CONSIGNOR) TRADER.Postal code
	 	MESSAGE.(CONSIGNOR) TRADER.City
		MESSAGE.(CONSIGNOR) TRADER.Country code
	 The E095, E100 have been added in the MESSAGE.(CONSIGNOR) TRADER.TIN
	 The E705 has been added in the MESSAGE.(CONSIGNOR) TRADER.TIN Type
	 The EC160 has been added in the following dataItems:
		MESSAGE.(DECLARANT) TRADER.Name
	 	MESSAGE.(DECLARANT) TRADER.Street and number
	 	MESSAGE.(DECLARANT) TRADER.Postal code
	 	MESSAGE.(DECLARANT) TRADER.City
		MESSAGE.(DECLARANT) TRADER.Country code
	 The TR0099 has been added in the MESSAGE.(DECLARANT) TRADER.NAD LNG
	 The E094, E095, E100 have been added in the MESSAGE.(DECLARANT) TRADER.TIN
	 The E705 has been added in the MESSAGE.(DECLARANT) TRADER.TIN Type
	 The dataItem MESSAGE.(DEPARTURE) CUSTOMS OFFICE.Office reference number has been replaced
	 by the dataItem MESSAGE.(DEPARTURE) CUSTOMS OFFICE.Reference number.
	 The dataItem MESSAGE.(DESTINATION) CUSTOMS OFFICE.Office reference number has been replaced
	 by the dataItem MESSAGE.(DESTINATION) CUSTOMS OFFICE.Reference number.
	 The E102 and E600 has been added in the dataItem MESSAGE.(DEPARTURE) CUSTOMS OFFICE.Reference number.
	 The E103 and E600 has been added in the dataItem MESSAGE.(DESTINATION) CUSTOMS OFFICE.Reference number.
	 The C015, R060, TR0102, R470 have been deleted from the dataItem MESSAGE.GOODS ITEM.Commodity code.
	 The optionality of the dataItem MESSAGE.GOODS ITEM.Commodity code has been changed from D to O.
	 The ER060 has been added in the MESSAGE.GOODS ITEM.Commodity code.
	 The E200 has been deleted from the following dataItems:
		MESSAGE.GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Previous document reference
		MESSAGE.GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Previous document type
	 The E220 has been deleted from the dataItem MESSAGE.GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Previous document reference
	 The following dataItems have been created and added:
		GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Complement Information (ComInfPREADMREFGI4)
		GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Complement Information LNG (ComInfLNGPREADMREFGI5)
	 The following dataItems have been created and added:
		GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES.Complement Information (ComInfPRODOCCERGI4)
		GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES.Complement Information LNG (ComInfLNGPRODOCCERGI5)
	 The TR0099 has been added in the following dataItems:
		GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Complement Information LNG
		GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES.Complement Information LNG
	 The codelist 12 has been added in the following dataItems:
		GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Complement Information LNG
		GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES.Complement Information LNG

TF013: The datagroup (DECLARANT) TRADER has been added with the following dataItems:
	 	MESSAGE.(DECLARANT) TRADER.Name
	 	MESSAGE.(DECLARANT) TRADER.Street and number
	 	MESSAGE.(DECLARANT) TRADER.Postal code
	 	MESSAGE.(DECLARANT) TRADER.City
		MESSAGE.(DECLARANT) TRADER.Country code
		MESSAGE.(DECLARANT) TRADER.NAD LNG
		MESSAGE.(DECLARANT) TRADER.TIN
		MESSAGE.(DECLARANT) TRADER.TIN Type
	 The following datagroups have been deleted with its dataItems:
		MESSAGE.(PRINCIPAL) TRADER
		MESSAGE.(CONSIGNEE) TRADER
		MESSAGE.(TRANSIT) CUSTOMS OFFICE
		MESSAGE.REPRESENTATIVE
	 The optionality of the following datagroups has been changed from R to D:
		MESSAGE.GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES 
		MESSAGE.GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES
	 The optionality of the datagroup MESSAGE.(CONSIGNOR) TRADER has been changed from O to R.
	 The optionality of the datagroup MESSAGE.(DEPARTURE) CUSTOMS OFFICE has been changed from D to R.
	 The optionality of the datagroup MESSAGE.GOODS ITEM.SPECIAL MENTIONS has been changed from R to O.
	 The C567 has been deleted from the group MESSAGE.GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES.
	 The following dataItems have been deleted from the HEADER group:
		Identity of means of transport at departure (exp/trans)
		Identity of means of transport at departure LNG
		Nationality of means of transport at departure
		Dialog language indicator at departure
		Total number of packages
		Entypa
	 The C135 has been added in the MESSAGE.HEADER.Country of dispatch/export code.
 	 The format of the dataItem MESSAGE.HEADER.Reference T2L/T2LF Customs ID has been changed from an8 to an4.
	 The format of the dataItem MESSAGE.HEADER.Reference T2L/T2LF Number has been changed from an..10 to an..8.
	 The optionality in the dataItems for the groups MESSAGE.(CONSIGNOR) TRADER, MESSAGE.(DECLARANT) TRADER have been applied according the specs.
	 The EC160 has been added in the following dataItems:
	 	MESSAGE.(CONSIGNOR) TRADER.Name
	 	MESSAGE.(CONSIGNOR) TRADER.Street and number
	 	MESSAGE.(CONSIGNOR) TRADER.Postal code
	 	MESSAGE.(CONSIGNOR) TRADER.City
		MESSAGE.(CONSIGNOR) TRADER.Country code
	 The E095, E100 have been added in the MESSAGE.(CONSIGNOR) TRADER.TIN
	 The E705 has been added in the MESSAGE.(CONSIGNOR) TRADER.TIN Type
	 The EC160 has been added in the following dataItems:
		MESSAGE.(DECLARANT) TRADER.Name
	 	MESSAGE.(DECLARANT) TRADER.Street and number
	 	MESSAGE.(DECLARANT) TRADER.Postal code
	 	MESSAGE.(DECLARANT) TRADER.City
		MESSAGE.(DECLARANT) TRADER.Country code
	 The TR0099 has been added in the MESSAGE.(DECLARANT) TRADER.NAD LNG
	 The E094, E095, E100 have been added in the MESSAGE.(DECLARANT) TRADER.TIN
	 The E705 has been added in the MESSAGE.(DECLARANT) TRADER.TIN Type
	 The dataItem MESSAGE.(DEPARTURE) CUSTOMS OFFICE.Office reference number has been replaced
	 by the dataItem MESSAGE.(DEPARTURE) CUSTOMS OFFICE.Reference number.
	 The dataItem MESSAGE.(DESTINATION) CUSTOMS OFFICE.Office reference number has been replaced
	 by the dataItem MESSAGE.(DESTINATION) CUSTOMS OFFICE.Reference number.
	 The E102 and E600 has been added in the dataItem MESSAGE.(DEPARTURE) CUSTOMS OFFICE.Reference number.
	 The E103 and E600 has been added in the dataItem MESSAGE.(DESTINATION) CUSTOMS OFFICE.Reference number.
	 The C015, R060, TR0102, R470 have been deleted from the dataItem MESSAGE.GOODS ITEM.Commodity code.
	 The optionality of the dataItem MESSAGE.GOODS ITEM.Commodity code has been changed from D to O.
	 The ER060 has been added in the MESSAGE.GOODS ITEM.Commodity code.
	 The E200 has been deleted from the following dataItems:
		MESSAGE.GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Previous document reference
		MESSAGE.GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Previous document type
	 The E220 has been deleted from the dataItem MESSAGE.GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Previous document reference
	 The following dataItems have been created and added:
		GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Complement Information (ComInfPREADMREFGI4)
		GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Complement Information LNG (ComInfLNGPREADMREFGI5)
	 The following dataItems have been created and added:
		GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES.Complement Information (ComInfPRODOCCERGI4)
		GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES.Complement Information LNG (ComInfLNGPRODOCCERGI5)
	 The TR0099 has been added in the following dataItems:
		GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Complement Information LNG
		GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES.Complement Information LNG

TF029: The datagroup (DECLARANT) TRADER has been added with the following dataItems:
	 	MESSAGE.(DECLARANT) TRADER.Name
	 	MESSAGE.(DECLARANT) TRADER.Street and number
	 	MESSAGE.(DECLARANT) TRADER.Postal code
	 	MESSAGE.(DECLARANT) TRADER.City
		MESSAGE.(DECLARANT) TRADER.Country code
		MESSAGE.(DECLARANT) TRADER.NAD LNG
		MESSAGE.(DECLARANT) TRADER.TIN
		MESSAGE.(DECLARANT) TRADER.TIN Type
	 The following datagroups have been deleted with its dataItems:
		MESSAGE.(PRINCIPAL) TRADER
		MESSAGE.(CONSIGNEE) TRADER
		MESSAGE.(TRANSIT) CUSTOMS OFFICE
		MESSAGE.REPRESENTATIVE
	 The optionality of the following datagroups has been changed from R to D:
		MESSAGE.GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES 
		MESSAGE.GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES
	 The optionality of the datagroup MESSAGE.(CONSIGNOR) TRADER has been changed from O to R.
	 The optionality of the datagroup MESSAGE.(DEPARTURE) CUSTOMS OFFICE has been changed from D to R.
	 The optionality of the datagroup MESSAGE.GOODS ITEM.SPECIAL MENTIONS has been changed from R to O.
	 The C567 has been deleted from the group MESSAGE.GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES.
	 The following dataItems have been deleted from the HEADER group:
		Identity of means of transport at departure (exp/trans)
		Identity of means of transport at departure LNG
		Nationality of means of transport at departure
		Dialog language indicator at departure
		Total number of packages
		Entypa
	 The C135 has been added in the MESSAGE.HEADER.Country of dispatch/export code.
 	 The format of the dataItem MESSAGE.HEADER.Reference T2L/T2LF Customs ID has been changed from an8 to an4.
	 The format of the dataItem MESSAGE.HEADER.Reference T2L/T2LF Number has been changed from an..10 to an..8.
	 The optionality in the dataItems for the groups MESSAGE.(CONSIGNOR) TRADER, MESSAGE.(DECLARANT) TRADER have been applied according the specs.
	 The EC160 has been added in the following dataItems:
	 	MESSAGE.(CONSIGNOR) TRADER.Name
	 	MESSAGE.(CONSIGNOR) TRADER.Street and number
	 	MESSAGE.(CONSIGNOR) TRADER.Postal code
	 	MESSAGE.(CONSIGNOR) TRADER.City
		MESSAGE.(CONSIGNOR) TRADER.Country code
	 The E094, E095, E100 have been added in the MESSAGE.(CONSIGNOR) TRADER.TIN
	 The E705 has been added in the MESSAGE.(CONSIGNOR) TRADER.TIN Type
	 The EC160 has been added in the following dataItems:
		MESSAGE.(DECLARANT) TRADER.Name
	 	MESSAGE.(DECLARANT) TRADER.Street and number
	 	MESSAGE.(DECLARANT) TRADER.Postal code
	 	MESSAGE.(DECLARANT) TRADER.City
		MESSAGE.(DECLARANT) TRADER.Country code
	 The TR0099 has been added in the MESSAGE.(DECLARANT) TRADER.NAD LNG
	 The E094, E095, E100 have been added in the MESSAGE.(DECLARANT) TRADER.TIN
	 The E705 has been added in the MESSAGE.(DECLARANT) TRADER.TIN Type
	 The dataItem MESSAGE.(DEPARTURE) CUSTOMS OFFICE.Office reference number has been replaced
	 by the dataItem MESSAGE.(DEPARTURE) CUSTOMS OFFICE.Reference number.
	 The dataItem MESSAGE.(DESTINATION) CUSTOMS OFFICE.Office reference number has been replaced
	 by the dataItem MESSAGE.(DESTINATION) CUSTOMS OFFICE.Reference number.
	 The E102 and E600 has been added in the dataItem MESSAGE.(DEPARTURE) CUSTOMS OFFICE.Reference number.
	 The E103 and E600 has been added in the dataItem MESSAGE.(DESTINATION) CUSTOMS OFFICE.Reference number.
	 The C015, R060, TR0102, R470 have been deleted from the dataItem MESSAGE.GOODS ITEM.Commodity code.
	 The optionality of the dataItem MESSAGE.GOODS ITEM.Commodity code has been changed from D to O.
	 The ER060 has been added in the MESSAGE.GOODS ITEM.Commodity code.
	 The E200 has been deleted from the following dataItems:
		MESSAGE.GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Previous document reference
		MESSAGE.GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Previous document type
	 The E220 has been deleted from the dataItem MESSAGE.GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Previous document reference
	 The following dataItems have been created and added:
		GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Complement Information (ComInfPREADMREFGI4)
		GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Complement Information LNG (ComInfLNGPREADMREFGI5)
	 The following dataItems have been created and added:
		GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES.Complement Information (ComInfPRODOCCERGI4)
		GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES.Complement Information LNG (ComInfLNGPRODOCCERGI5)
	 The TR0099 has been added in the following dataItems:
		GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Complement Information LNG
		GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES.Complement Information LNG

TF004: The datagroup (CONSIGNOR) TRADER has been added with the following dataItems:
	 	MESSAGE.(CONSIGNOR) TRADER.Name
	 	MESSAGE.(CONSIGNOR) TRADER.Street and number
	 	MESSAGE.(CONSIGNOR) TRADER.Postal code
	 	MESSAGE.(CONSIGNOR) TRADER.City
		MESSAGE.(CONSIGNOR) TRADER.Country code
		MESSAGE.(CONSIGNOR) TRADER.NAD LNG
		MESSAGE.(CONSIGNOR) TRADER.TIN
		MESSAGE.(CONSIGNOR) TRADER.TIN Type
	 The datagroup MESSAGE.(PRINCIPAL) TRADER has been deleted with its dataItems.
 	 The format of the dataItem MESSAGE.HEADER.Reference T2L/T2LF Customs ID has been changed from an8 to an4.
	 The format of the dataItem MESSAGE.HEADER.Reference T2L/T2LF Number has been changed from an..10 to an..8.
	 The EC160 has been added in the following dataItems:
	 	MESSAGE.(CONSIGNOR) TRADER.Name
	 	MESSAGE.(CONSIGNOR) TRADER.Street and number
	 	MESSAGE.(CONSIGNOR) TRADER.Postal code
	 	MESSAGE.(CONSIGNOR) TRADER.City
		MESSAGE.(CONSIGNOR) TRADER.Country code
	 The TR0099 has been added in the dataItem MESSAGE.(CONSIGNOR) TRADER.NAD LNG.
	 The E094, E095, E100 has been added in the MESSAGE.(CONSIGNOR) TRADER.TIN.
	 The E705 has been added in the dataItem MESSAGE.(CONSIGNOR) TRADER.TIN type.
	 The dataItem MESSAGE.(DEPARTURE) CUSTOMS OFFICE.Office reference number has been replaced
	 by the dataItem MESSAGE.(DEPARTURE) CUSTOMS OFFICE.Reference number.

TF005: The datagroup (CONSIGNOR) TRADER has been added with the following dataItems:
	 	MESSAGE.(CONSIGNOR) TRADER.Name
	 	MESSAGE.(CONSIGNOR) TRADER.Street and number
	 	MESSAGE.(CONSIGNOR) TRADER.Postal code
	 	MESSAGE.(CONSIGNOR) TRADER.City
		MESSAGE.(CONSIGNOR) TRADER.Country code
		MESSAGE.(CONSIGNOR) TRADER.NAD LNG
		MESSAGE.(CONSIGNOR) TRADER.TIN
		MESSAGE.(CONSIGNOR) TRADER.TIN Type
	 The datagroup MESSAGE.(PRINCIPAL) TRADER has been deleted with its dataItems.
 	 The format of the dataItem MESSAGE.HEADER.Reference T2L/T2LF Customs ID has been changed from an8 to an4.
	 The format of the dataItem MESSAGE.HEADER.Reference T2L/T2LF Number has been changed from an..10 to an..8.
	 The C124 has been deleted from the following dataItems:
		MESSAGE.HEADER.Amendment rejection motivation code
		MESSAGE.HEADER.Date of amendment
	 The EC160 has been added in the following dataItems:
	 	MESSAGE.(CONSIGNOR) TRADER.Name
	 	MESSAGE.(CONSIGNOR) TRADER.Street and number
	 	MESSAGE.(CONSIGNOR) TRADER.Postal code
	 	MESSAGE.(CONSIGNOR) TRADER.City
		MESSAGE.(CONSIGNOR) TRADER.Country code
	 The TR0099 has been added in the dataItem MESSAGE.(CONSIGNOR) TRADER.NAD LNG.
	 The E094, E095, E100 has been added in the MESSAGE.(CONSIGNOR) TRADER.TIN.
	 The E705 has been added in the dataItem MESSAGE.(CONSIGNOR) TRADER.TIN type.
	 The dataItem MESSAGE.(DEPARTURE) CUSTOMS OFFICE.Office reference number has been replaced
	 by the dataItem MESSAGE.(DEPARTURE) CUSTOMS OFFICE.Reference number.

TF009: The datagroup (CONSIGNOR) TRADER has been added with the following dataItems:
	 	MESSAGE.(CONSIGNOR) TRADER.Name
	 	MESSAGE.(CONSIGNOR) TRADER.Street and number
	 	MESSAGE.(CONSIGNOR) TRADER.Postal code
	 	MESSAGE.(CONSIGNOR) TRADER.City
		MESSAGE.(CONSIGNOR) TRADER.Country code
		MESSAGE.(CONSIGNOR) TRADER.NAD LNG
		MESSAGE.(CONSIGNOR) TRADER.TIN
		MESSAGE.(CONSIGNOR) TRADER.TIN Type
	 The datagroup MESSAGE.(PRINCIPAL) TRADER has been deleted with its dataItems.
 	 The format of the dataItem MESSAGE.HEADER.Reference T2L/T2LF Customs ID has been changed from an8 to an4.
	 The format of the dataItem MESSAGE.HEADER.Reference T2L/T2LF Number has been changed from an..10 to an..8.
	 The EC160 has been added in the following dataItems:
	 	MESSAGE.(CONSIGNOR) TRADER.Name
	 	MESSAGE.(CONSIGNOR) TRADER.Street and number
	 	MESSAGE.(CONSIGNOR) TRADER.Postal code
	 	MESSAGE.(CONSIGNOR) TRADER.City
		MESSAGE.(CONSIGNOR) TRADER.Country code
	 The TR0099 has been added in the dataItem MESSAGE.(CONSIGNOR) TRADER.NAD LNG.
	 The E094, E095, E100 has been added in the MESSAGE.(CONSIGNOR) TRADER.TIN.
	 The E705 has been added in the dataItem MESSAGE.(CONSIGNOR) TRADER.TIN type.
	 The dataItem MESSAGE.(DEPARTURE) CUSTOMS OFFICE.Office reference number has been replaced
	 by the dataItem MESSAGE.(DEPARTURE) CUSTOMS OFFICE.Reference number.

TF014: The datagroup (CONSIGNOR) TRADER has been added with the following dataItems:
	 	MESSAGE.(CONSIGNOR) TRADER.Name
	 	MESSAGE.(CONSIGNOR) TRADER.Street and number
	 	MESSAGE.(CONSIGNOR) TRADER.Postal code
	 	MESSAGE.(CONSIGNOR) TRADER.City
		MESSAGE.(CONSIGNOR) TRADER.Country code
		MESSAGE.(CONSIGNOR) TRADER.NAD LNG
		MESSAGE.(CONSIGNOR) TRADER.TIN
		MESSAGE.(CONSIGNOR) TRADER.TIN Type
	 The datagroup MESSAGE.(PRINCIPAL) TRADER has been deleted with its dataItems.
 	 The format of the dataItem MESSAGE.HEADER.Reference T2L/T2LF Customs ID has been changed from an8 to an4.
	 The format of the dataItem MESSAGE.HEADER.Reference T2L/T2LF Number has been changed from an..10 to an..8.
	 The EC160 has been added in the following dataItems:
	 	MESSAGE.(CONSIGNOR) TRADER.Name
	 	MESSAGE.(CONSIGNOR) TRADER.Street and number
	 	MESSAGE.(CONSIGNOR) TRADER.Postal code
	 	MESSAGE.(CONSIGNOR) TRADER.City
		MESSAGE.(CONSIGNOR) TRADER.Country code
	 The TR0099 has been added in the dataItem MESSAGE.(CONSIGNOR) TRADER.NAD LNG.
	 The E094, E095, E100 has been added in the MESSAGE.(CONSIGNOR) TRADER.TIN.
	 The E705 has been added in the dataItem MESSAGE.(CONSIGNOR) TRADER.TIN type.
	 The dataItem MESSAGE.(DEPARTURE) CUSTOMS OFFICE.Office reference number has been replaced
	 by the dataItem MESSAGE.(DEPARTURE) CUSTOMS OFFICE.Reference number.

TF016: It remained as was.

TF028: The datagroup (DECLARANT) TRADER has been added with the following dataItems:
	 	MESSAGE.(DECLARANT) TRADER.Name
	 	MESSAGE.(DECLARANT) TRADER.Street and number
	 	MESSAGE.(DECLARANT) TRADER.Postal code
	 	MESSAGE.(DECLARANT) TRADER.City
		MESSAGE.(DECLARANT) TRADER.Country code
		MESSAGE.(DECLARANT) TRADER.NAD LNG
		MESSAGE.(DECLARANT) TRADER.TIN
		MESSAGE.(DECLARANT) TRADER.TIN Type
	 The datagroup MESSAGE.(PRINCIPAL) TRADER has been deleted with its dataItems.
 	 The format of the dataItem MESSAGE.HEADER.Reference T2L/T2LF Customs ID has been changed from an8 to an4.
	 The format of the dataItem MESSAGE.HEADER.Reference T2L/T2LF Number has been changed from an..10 to an..8.
	 The group MESSAGE.(CONSIGNOR) TRADER has been added with the following dataItems:
	 	MESSAGE.(CONSIGNOR) TRADER.Name
	 	MESSAGE.(CONSIGNOR) TRADER.Street and number
	 	MESSAGE.(CONSIGNOR) TRADER.Postal code
	 	MESSAGE.(CONSIGNOR) TRADER.City
		MESSAGE.(CONSIGNOR) TRADER.Country code
		MESSAGE.(CONSIGNOR) TRADER.NAD LNG
		MESSAGE.(CONSIGNOR) TRADER.TIN
		MESSAGE.(CONSIGNOR) TRADER.TIN Type
	 The EC160 has been added in the following dataItems:
	 	MESSAGE.(CONSIGNOR) TRADER.Name
	 	MESSAGE.(CONSIGNOR) TRADER.Street and number
	 	MESSAGE.(CONSIGNOR) TRADER.Postal code
	 	MESSAGE.(CONSIGNOR) TRADER.City
		MESSAGE.(CONSIGNOR) TRADER.Country code
	 	MESSAGE.(DECLARANT) TRADER.Name
	 	MESSAGE.(DECLARANT) TRADER.Street and number
	 	MESSAGE.(DECLARANT) TRADER.Postal code
	 	MESSAGE.(DECLARANT) TRADER.City
		MESSAGE.(DECLARANT) TRADER.Country code
	 The TR0099 has been added in the following dataItems:
		MESSAGE.(CONSIGNOR) TRADER.NAD LNG
		MESSAGE.(DECLARANT) TRADER.NAD LNG.
	 The E094 has been added in the MESSAGE.(DECLARANT) TRADER.TIN.
	 The E095 has been added in the MESSAGE.(DECLARANT) TRADER.TIN and MESSAGE.(CONSIGNOR) TRADER.TIN.
	 The E100 has been added in the MESSAGE.(DECLARANT) TRADER.TIN and MESSAGE.(CONSIGNOR) TRADER.TIN.
	 The E705 has been added in the dataItem MESSAGE.(CONSIGNOR) TRADER.TIN type and MESSAGE.(CONSIGNOR) TRADER.TIN type.
	 The dataItem MESSAGE.(DEPARTURE) CUSTOMS OFFICE.Office reference number has been replaced
	 by the dataItem MESSAGE.(DEPARTURE) CUSTOMS OFFICE.Reference number.

TF906: The optionality if the dataItem MESSAGE.HEADER.Reference T2L/T2LF Country Code has been changed from R to D.
 	 The format of the dataItem MESSAGE.HEADER.Reference T2L/T2LF Customs ID has been changed from an8 to an4.
	 The format of the dataItem MESSAGE.HEADER.Reference T2L/T2LF Number has been changed from an..10 to an..8.
	 The E099 has been added in the dataItem MESSAGE.HEADER.Reference T2L/T2LF Country Code.

DA215: The following dataItems have been deleted:
		MESSAGE.HEADER.Reference number
		MESSAGE.HEADER.Total gross mass
		MESSAGE.HEADER.Total number of packages
	 The otpionality of the dataItem MESSAGE.TEMPORARY STORAGE.Warehouse identification has been changed from O to R.
	 The otpionality of the dataItem MESSAGE.TEMPORARY STORAGE.Warehouse Keeper identification has been changed from R to D.
	 The new dataItem MESSAGE.TEMPORARY STORAGE.Warehouse section has been been created with format an..70 and added - new xml tag (WarSecTEMSTOMES).
	 The dataItem MESSAGE.TEMPORARY STORAGE.Warehouse sector has been deleted.
	 The otpionality of the dataItem MESSAGE.GOODS ITEM (DI).CONTAINERS has been changed from O to D.
	 The otpionality of the dataItem MESSAGE.GOODS ITEM (DI).Goods description has been changed from D to R.
	 The new dataItem MESSAGE.GOODS ITEM (DI).Other Remarks has been created and added - new xml tag (OthRemGIDIMES).
	 The otpionality of the dataItem MESSAGE.GOODS ITEM (OR).Item number has been changed from D to R.
	 The otpionality of the datagroups MESSAGE.GOODS ITEM (DI)and MESSAGE.GOODS ITEM (OR) has been changed from D to O.
	 The multiplicity of the datagroups MESSAGE.GOODS ITEM (DI)and MESSAGE.GOODS ITEM (OR) has been changed from 9999 to 99999.
	 The datagroup MESSAGE.(ENTRY CARRIER) TRADER has been deleted with its dataItem.
	 The datagroup MESSAGE.(ACTUAL OFFICE OF ENTRY) CUSTOMS OFFICE has been deleted with its dataItem.
	 The datagroup MESSAGE.PERSON LODGING REQUEST has been added with the following dataItems:
		MESSAGE.PERSON LODGING REQUEST.Name
		MESSAGE.PERSON LODGING REQUEST.Street and number
		MESSAGE.PERSON LODGING REQUEST.Postal code
		MESSAGE.PERSON LODGING REQUEST.City
		MESSAGE.PERSON LODGING REQUEST.Country code
		MESSAGE.PERSON LODGING REQUEST.NAD LNG
		MESSAGE.PERSON LODGING REQUEST.ID
		MESSAGE.PERSON LODGING REQUEST.ID Type
	 The new datagroup RELATED MANIFEST has been created and added - new xml tag (RELMANMES).
	 The new dataItem RELATED MANIFEST.MRN has been created and added - new xml tag (MrnRELMANMES).
	 The new datagroup HAND OVER PROTOCOL has been created and added - new xml tag (HAOVPRMES).
	 The new dataItem HAND OVER PROTOCOL.DRN has been created and added - new xml tag (DrnHAOVPRMES).

============================
        VERSION 0.52        
============================

Changes from v0.51 to v0.52:

IA80:  The dataItem "Status" has been inserted.

TF015: C050 has been removed from the dataItems in the datagroup MESSAGE.(CONSIGNOR) TRADER.
	 E4 has been added in the MESSAGE.(DECLARANT) TRADER.TIN type.
	 The dataItem MESSAGE.GOODS ITEM.Country of departure code has been replaced by the MESSAGE.GOODS ITEM.Country of dispatch/export code.

TF013: E600 has been added in the dataItem MESSAGE.Message recipient.
	 C050 has been removed from the dataItems in the datagroup MESSAGE.(CONSIGNOR) TRADER.
	 The dataItem MESSAGE.HEADER.Country of dispatch code has been replaced by the MESSAGE.HEADER.Country of dispatch/export code.
	 The dataItem MESSAGE.GOODS ITEM.Country of departure code has been replaced by the MESSAGE.GOODS ITEM.Country of dispatch/export code.
	 The TR0099 has been added in the MESSAGE.GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES.Complement Information LNG.

TF029: E600 has been added in the MESSAGE.Message recipient.
	 C050 has been removed from the dataItems in the datagroup MESSAGE.(CONSIGNOR) TRADER.
	 The dataItem MESSAGE.HEADER.Country of dispatch code has been replaced by the MESSAGE.HEADER.Country of dispatch/export code.
	 The dataItem MESSAGE.GOODS ITEM.Country of departure code has been replaced by the MESSAGE.GOODS ITEM.Country of dispatch/export code.

TF005: The optionality of the followinf datagroups has been changed from D to R:
	 MESSAGE.(CONSIGNOR) TRADER 
	 MESSAGE.(DEPARTURE) CUSTOMS OFFICE

TF009: The C180 has been added in the MESSAGE.HEADER.Date of cancellation request.
	 R175 and has been added in the MESSAGE.HEADER.Cancellation initiated by customs.

DA215: The optionality of the dataItem MESSAGE.GOODS ITEM (DI).Gross mass has been changed to O.

DA213: This message is a copy-paste from the DA215 and the following dataItems
		MESSAGE - HEADER.Declaration Request registration date and time
		MESSAGE - HEADER.Declaration Request submitted Date and Time
	 have been replaced from the following dataItems:
		MESSAGE - HEADER.Declaration Request amendment registration date and time
		MESSAGE - HEADER.Declaration Request amendment submitted Date and Time
		MESSAGE - HEADER.Declaration Request amendment date and time

DA315: The optionality of some dataItems has been amended.

DA313: This message is a copy-paste from the DA315 and the following dataItems
		MESSAGE - HEADER.Repacking registration date and time
		MESSAGE - HEADER.Repacking submitted Date and Time
	 have been replaced from the following dataItems:
		MESSAGE - HEADER.Repacking amendment date and time
		MESSAGE - HEADER.Repacking amendment registration date and time
		MESSAGE - HEADER.Repacking amendment submitted Date and Time

DB015: The dataItem MESSAGE.HEADER.Document/reference number Communicated has been deleted.

DB013: This message is a copy-paste from the DB015 and the following dataItems
		MESSAGE.HEADER.Pre-arrival registration date and time
		MESSAGE.HEADER.Pre-arrival submitted Date and Time
	 have been replaced from the following dataItems:
		MESSAGE.HEADER.Pre-arrival amendment date and time
		MESSAGE.HEADER.Pre-arrival amendment registration date and time
		MESSAGE.HEADER.Pre-arrival amendment submitted Date and Time

DB115: The dataItem MESSAGE.HEADER.Document/reference number Communicated has been deleted.

DB113: This message is a copy-paste from the DB115 and the following dataItems
		MESSAGE.HEADER.Arrival registration date and time
		MESSAGE.HEADER.Arrival Submitted Date and Time
	 have been replaced from the following dataItems:
		MESSAGE.HEADER.Arrival amendment date and time
		MESSAGE.HEADER.Arrival amendment registration date and time
		MESSAGE.HEADER.Arrival amendment Submitted Date and Time

DB213: This message is a copy-paste from the DB215 and the following dataItems
		MESSAGE.HEADER.Departure registration date and time
		MESSAGE.HEADER.Departure submitted Date and Time
	 have been replaced from the following dataItems:
		MESSAGE.HEADER.Departure amendment date and time
		MESSAGE.HEADER.Departure amendment registration date and time
		MESSAGE.HEADER.Departure amendment submitted Date and Time

DB313: This message is a copy-paste from the DB315 and the following dataItems
		MESSAGE.HEADER.Declaration registration date and time
		MESSAGE.HEADER.Declaration Submitted Date and Time
	 have been replaced from the following dataItems:
		MESSAGE.HEADER.Declaration Amendment date and time
		MESSAGE.HEADER.Declaration Amendment registration date and time
		MESSAGE.HEADER.Declaration Amendment Submitted Date and Time

DB413: This message is a copy-paste from the DB415 and the following dataItems
		MESSAGE.HEADER.Ship Store registration date and time
		MESSAGE.HEADER.Ship Store submitted Date and Time
	 have been replaced from the following dataItems:
		MESSAGE.HEADER.Ship Store amendment date and time
		MESSAGE.HEADER.Ship Store amendment registration date and time
		MESSAGE.HEADER.Ship Store amendment submitted Date and Time

DB513: This message is a copy-paste from the DB515 and the following dataItems
		MESSAGE.HEADER.Crew Effect registration date and time
		MESSAGE.HEADER.Crew Effect submitted Date and Time
	 have been replaced from the following dataItems:
		MESSAGE.HEADER.Crew Effect amendment date and time
		MESSAGE.HEADER.Crew Effect amendment registration date and time
		MESSAGE.HEADER.Crew Effect amendment submitted Date and Time

DB613: This message is a copy-paste from the DB615 and the following dataItems
		MESSAGE.HEADER.Crew List registration date and time
		MESSAGE.HEADER.Crew List submitted Date and Time
	 have been replaced from the following dataItems:
		MESSAGE.HEADER.Crew List amendment date and time
		MESSAGE.HEADER.Crew List amendment registration date and time
		MESSAGE.HEADER.Crew List amendment submitted Date and Time

DB713: This message is a copy-paste from the DB715 and the following dataItems
		MESSAGE.HEADER.Passenger List registration date and time
		MESSAGE.HEADER.Passenger List submitted Date and Time
	 have been replaced from the following dataItems:
		MESSAGE.HEADER.Passenger List amendment date and time
		MESSAGE.HEADER.Passenger List amendment registration date and time
		MESSAGE.HEADER.Passenger List amendment submitted Date and Time

DB813: This message is a copy-paste from the DB815 and the following dataItems
		MESSAGE.HEADER.Dangerous Goods registration date and time
		MESSAGE.HEADER.Dangerous Goods submitted Date and Time
	 have been replaced from the following dataItems:
		MESSAGE.HEADER.Dangerous Goods Amendment date and time
		MESSAGE.HEADER.Dangerous Goods Amendment registration date and time
		MESSAGE.HEADER.Dangerous Goods Amendment submitted Date and Time

DC013: This message is a copy-paste from the DC015 and the following dataItems
		MESSAGE.HEADER.Destruction Request registration date and time
		MESSAGE.HEADER.Destruction Request Submitted Date and Time
	 have been replaced from the following dataItems:
		MESSAGE.HEADER.Destruction Request amendment date and time
		MESSAGE.HEADER.Destruction Request amendment registration date and time
		MESSAGE.HEADER.Destruction Request amendment submitted Date and Time

DC113: This message is a copy-paste from the DC115 and the following dataItems
		MESSAGE.HEADER.Abandonment Request registration date and time
		MESSAGE.HEADER.Abandonment Request Submitted Date and Time
	 have been replaced from the following dataItems:
		MESSAGE.HEADER.Abandonment Request amendment date and time
		MESSAGE.HEADER.Abandonment Request amendment registration date and time
		MESSAGE.HEADER.Abandonment Request amendment submitted Date and Time

DE013: This message is a copy-paste from the DE015 and the following dataItems
		MESSAGE.HEADER.Declaration Request registration date and time
		MESSAGE.HEADER.Declaration Request Submitted Date and Time
	 have been replaced from the following dataItems:
		MESSAGE.HEADER.Declaration Request amendment date and time
		MESSAGE.HEADER.Declaration Request amendment registration date and time
		MESSAGE.HEADER.Declaration Request amendment submitted Date and Time

IE931B: The format of the dataItem MESSAGE - CUSTOMS OFFICE INFORMATION.Fax number has been changed from an..12 to an..35.

IE931C: The format of the dataItem MESSAGE - CUSTOMS OFFICE INFORMATION.Fax number has been changed from an..12 to an..35.

IE031B: The format of the dataItem MESSAGE - CUSTOMS OFFICE INFORMATION.Fax number has been changed from an..12 to an..35.

IE031C: The format of the dataItem MESSAGE - CUSTOMS OFFICE INFORMATION.Fax number has been changed from an..12 to an..35.

TB015: The E102 has been removed from the dataItem MESSAGE.(DEPARTURE) CUSTOMS OFFICE.Reference number.
	 The E104 has been added in the dataItem MESSAGE.(DEPARTURE) CUSTOMS OFFICE.Reference number.

TB013: The E104 has been added in the dataItem MESSAGE.(DEPARTURE) CUSTOMS OFFICE.Reference number.

TC015: The E102 has been removed from the dataItem MESSAGE.(DEPARTURE) CUSTOMS OFFICE.Reference number.
	 The E104 has been added in the dataItem MESSAGE.(DEPARTURE) CUSTOMS OFFICE.Reference number.

TC013: The E104 has been added in the dataItem MESSAGE.(DEPARTURE) CUSTOMS OFFICE.Reference number.

IE950: The multiplicity for the groups MESSAGE.CODELIST and MESSAGE.CODELIST.VALUE has been changed from 1 to 999.

TA015: The optionality of the datagroup MESSAGE.(REGISTRATION) CUSTOMS OFFICE has been changed from R to D.

TA013: The optionality of the datagroup MESSAGE.(REGISTRATION) CUSTOMS OFFICE has been changed from R to D.

IE932B, IE932C: The pattern of the dataItem UN/LOCODE name has been changed.

IE032B, IE032C: The pattern of the dataItem UN/LOCODE name has been changed.

============================
        VERSION 0.53        
============================

Changes from v0.52 to v0.53:

TA013: The optionality of the dataItem MESSAGE.GOODS ITEM.Declared Lines has been changed from Required to Dependent.

TA015: The optionality of the dataItem MESSAGE.GOODS ITEM.Declared Lines has been changed from Required to Dependent.

The following messages have been added in codelist 60:
	ED15A	Óõìðëçñùìáôéêü ÌÞíõìá ÄéáóÜöçóçò Ôõðïõ D
	ED80A	Ðëçñïöïñßá êáôÜóôáóçò
	EA04A	Áðïäï÷Þ Áéôçìáôïò Äéïñèùóçò ÅÄÅ Áíåõ Óôáôéóôéêçò ÅîáãùãÞò
	EA05A	Áðüññéøç ÁéôÞìáôïò Äéüñèùóçò ÅÄÅ ¢íåõ ÓôáôéóôéêÞò
	EA09A	Áðüöáóç Áêýñùóçò ÅÄÅ Áíåõ Óôáôéóôéêçò ÅîáãùãÞò
	EA13A	Áéôçìá Äéïñèùóçò ÅÄÅ Áíåõ ÓôáôéóôéêÞò ÅîáãùãÞò
	EA14A	Áéôçìá Áêõñùóçò ÅÄÅ Áíåõ Óôáôéóôéêçò ÅîáãùãÞò
	EA16A	Áðüññéøç ÅÄÅ Áíåõ Óôáôéóôéêçò ÅîáãùãÞò
	EA28A	A/A ÅÄÅ Áíåõ ÓôáôéóôéêÞò ÅîáãùãÞò
	EA29A	Release For Export
	EA51A	Export Not Release
	EA80A	Ðëçñïöïñßá êáôÜóôáóçò

DX313: The dataItem MESSAGE.Message sender has been inserted for the ICS domain.

============================
        VERSION 0.54        
============================

Changes from v0.53 to v0.54:

Aligned with KEL v0.23 for ECS domain:

KEL 180 --> IE518: The optionality of the dataItem GOODS ITEM.Statistical value amount is already changed from ‘R’ to ‘O’.
	  --> The technical rule TR0011 has already amended.

KEL 181 --> TR0035 has been deleted from the dataItem MESSAGE.HEADER.Identity of means of transport at departure (exp/trans)
		of the messages IE513, IE515, IE517, IE529, IE551, IE599
	  --> R035 has been added in the dataItem MESSAGE.HEADER.Identity of means of transport at departure (exp/trans)
		in the messages IE513, IE515, IE517, IE529, IE551, IE599
	  --> R035 has been renamed: "Condition ‘C005’ and ‘C006’ can not be checked in case box 26 is not used.".

KEL 182 --> R875 has been added in the dataItem “MESSAGE.RISK ANALYSIS. Item Number involved” for message IE603.

KEL 184 --> Already implemented.

KEL 198 --> Already implemented.

KEL 211 --> TR0021 has been added in the dataItem MESSAGE.GOODS ITEM.Net mass to messages IE501,IE503,IE513,IE515,IE517,IE518,IE529,IE538,IE551,IE599.

KEL 212 --> The TR9120 has been removed from the dataItem MESSAGE.GOODS ITEM.Transport charges/ Method of Payment from message IE518.

KEL 217 --> Already implemented.

KEL 218 --> R858 has been renamed: “Nationally defined values shall not be transmitted to the office of exit.”.
 	  --> R858 has been removed from the dataItem "National Additional Code" of the messages
		IE501, IE503, IE513, IE515, IE517, IE518, IE529, IE538, IE551, IE599
	  --> Codelist 102 has been removed from the External domain messages.

KEL 220 --> C567 has been removed from the messages IE501, IE503, IE513, IE515, IE517, IE518, IE529, IE538, IE551, IE599

KEL 221 --> TR0554 has been added: "The Condition "C554" should be checked only for the goods items with the RoC Control Indicator 'DI'."
		and added in the datagroup MESSAGE.GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES of the message IE518.

KEL 224 --> This KEL concerns also the ICS, ECS and NCTS domain.
	  --> The TR0021 has been removed from the common domain messages of ECS and NCTS.
	  --> The R021 has been applied in the following dataItems of ECS (in all messages):
			MESSAGE - HEADER.Grand total taxes amount (IE513, IE515, IE517, IE529, IE551, IE599)
			MESSAGE - GOODS ITEM.Statistical value amount (IE501, IE503, IE513, IE515, IE517, IE518, IE529, IE538, IE551, IE599)
			MESSAGE - GOODS ITEM.Total item taxes amount (IE513, IE515, IE517, IE529, IE551, IE599)
			MESSAGE - (DATA) TRANSACTION.Total amount invoiced (IE513, IE515, IE517, IE529, IE551, IE599)
			MESSAGE - GOODS ITEM - (TAXES) CALCULATION.Amount of tax (IE513, IE515, IE517, IE529, IE551, IE599)
			MESSAGE - GOODS ITEM - (TAXES) CALCULATION.Tax base (IE513, IE515, IE517, IE529, IE551, IE599)
	  --> The R021 has been applied in the following dataItems of NCTS (in all messages):
			MESSAGE - HEADER.Amount claimed (IE035)
			MESSAGE - GUARANTEE - GUARANTEE REFERENCE.Amount concerned (IE201, IE204)
			MESSAGE - GUARANTEE REFERENCE - EXPOSURE.Balance (IE037)
			MESSAGE - GUARANTEE REFERENCE -USAGE.Covered amount (IE037)
			MESSAGE - GUARANTEE REFERENCE - EXPOSURE.Exposure (IE037)
			MESSAGE - GUARANTEE REFERENCE - COMPREHENSIVE GUARANTEE.Guarantee amount (IE037)
			MESSAGE - GUARANTEE REFERENCE - INDIVIDUAL GUARANTEE BY GUARANTOR.Guarantee amount (IE037)
			MESSAGE - GUARANTEE REFERENCE.Guarantee amount (IE225, IE228)
			MESSAGE - GUARANTEE REFERENCE.Percentage of reference amount (IE225)
			MESSAGE - GUARANTEE REFERENCE - COMPREHENSIVE GUARANTEE.Reference amount (IE037)
			MESSAGE - GUARANTEE REFERENCE.Reference amount (IE225)
			MESSAGE - GUARANTEE REFERENCE - INDIVIDUAL GUARANTEE VOUCHER.Voucher amount (IE037)
			MESSAGE - GUARANTEE REFERENCE.Voucher amount (IE224)
			MESSAGE - GUARANTEE REFERENCE.Number of certificates (IE225)
			MESSAGE - GUARANTEE REFERENCE – COMPREHENSIVE GUARANTEE.Number of certificates (IE037)
			MESSAGE - GOODS ITEM - PACKAGES.Number of packages (due to the removal of the TR0020) (IE001, IE003, IE011, IE013, IE015, IE017, IE018, IE029, IE038, IE043, IE044, IE050, IE051, IE115)
	  --> The R021 has been applied in the following dataItems of ICS (in all messages):
			MESSAGE - SENDING COUNTRY - SYSTEM APPLICABILITY - STATISTICAL CHARACTERISTICS - SERIES ELEMENTS.Counter (IE411)
			MESSAGE - STATISTICAL CONSOLIDATION - STATISTICAL CHARACTERISTICS - SERIES ELEMENTS.Counter (IE412)

KEL 230 --> The xmltags of the followings dataItems have been changed:
		MESSAGE.TRANSPORT CHARGES METHOD OF PAYMENT.Transport charges/ Method of Payment (from TraChaMetOfPayTMG569 to TraChaMetOfPayHEA1)
		MESSAGE.SUMMARY DECLARATION REJECTION REASON CODE.Summary Declaration rejection reason code (from SumDecRejReaCodSMD556 to SumDecRejReaCodSUMDECREJREACOD556)
		MESSAGE.ITEM NUMBER REJECTION REASON CODE.Item number rejection reason code (from IteNumRejReaCodINJ444 to ItemNumRejReaCodITENUMREJREACOD444)

KEL 255 --> The format of the MESSAGE.GOODS ITEM.Statistical value amount has been changed from n..11,2 to n..15,2 in the messages IE501,IE503,IE513,IE515,IE517,IE518,IE529,IE538,IE551 and IE599.

KEL 256 --> The optionality of the dataItem MESSAGE.GOODS ITEM.Statistical value amount has been changed from 'R' to 'D' in messages IE501,IE503,IE513,IE515,IE529,IE538,IE551,IE599.
		The C028 has been (created and) added on the dataItem “MESSAGE.GOODS ITEM.Statistical value amount” of the IE501,IE503,IE513,IE515,IE529,IE538,IE551,IE599 messages.

KEL 257 --> The R876 has been removed from the dataItem MESSAGE.GOODS ITEM.Commercial reference number in the IE518.

KEL 258 --> The optionality of the datagtoup MESSAGE.CTL_CONTROL in IE538 has been changed from ‘O’ to ‘R’.

KEL 259 --> The message IE599 has been renamed from 'C_EXP_NOT' to 'C_EXP_NTF'.

KEL 261 --> The wording of the rules R830, R831, R832 and R838 has been amended.

KEL 264 --> Amendements in message IE411:
		The following groups and dataItems have been deleted:
			MESSAGE.STATISTICAL CHARACTERISTICS
			MESSAGE.STATISTICAL CHARACTERISTICS.SERIES ELEMENTS
			MESSAGE.STATISTICAL CHARACTERISTICS.SERIES ELEMENTS.Counter
			MESSAGE.STATISTICAL CHARACTERISTICS.SERIES ELEMENTS.Country of destination code
			MESSAGE.STATISTICAL CHARACTERISTICS.SERIES ELEMENTS.Month
			MESSAGE.STATISTICAL CHARACTERISTICS.SERIES ELEMENTS.Year
			MESSAGE.STATISTICAL CHARACTERISTICS.First day of requested period from
			MESSAGE.STATISTICAL CHARACTERISTICS.Last day of requested period to
			MESSAGE.STATISTICAL CHARACTERISTICS.Statistics type
		The following groups and dataItems have been created and added:
			MESSAGE.SENDING COUNTRY.Year (new xml tag YeaSDD400)
			MESSAGE.SENDING COUNTRY.Month (new xml tag MonSED230)
			MESSAGE.SENDING COUNTRY.SYSTEM APPLICABILITY (new xml tag SYSAPP405)
			MESSAGE.SENDING COUNTRY.SYSTEM APPLICABILITY.System code (new xml tag SysCodSYSAPP406)
			MESSAGE.SENDING COUNTRY.SYSTEM APPLICABILITY.STATISTICAL CHARACTERISTICS (new xml tag STACHA607)
			MESSAGE.SENDING COUNTRY.SYSTEM APPLICABILITY.STATISTICAL CHARACTERISTICS.Statistics type (new xml tag StaTypSTACHA608)
			MESSAGE.SENDING COUNTRY.SYSTEM APPLICABILITY.STATISTICAL CHARACTERISTICS.SERIES ELEMENTS (new xml tag SERELE202)
			MESSAGE.SENDING COUNTRY.SYSTEM APPLICABILITY.STATISTICAL CHARACTERISTICS.SERIES ELEMENTS.Other country (new xml tag OthCouSERELE100)
			MESSAGE.SENDING COUNTRY.SYSTEM APPLICABILITY.STATISTICAL CHARACTERISTICS.SERIES ELEMENTS.Counter (new xml tag CouSERELE101)
	   --> Amendements in message IE412:
		The following groups and dataItems have been deleted:
			MESSAGE.STATISTICAL CHARACTERISTICS
			MESSAGE.STATISTICAL CHARACTERISTICS.SERIES ELEMENTS
			MESSAGE.STATISTICAL CHARACTERISTICS.SERIES ELEMENTS.Counter
			MESSAGE.STATISTICAL CHARACTERISTICS.SERIES ELEMENTS.Country of departure code
			MESSAGE.STATISTICAL CHARACTERISTICS.SERIES ELEMENTS.Country of destination code
			MESSAGE.STATISTICAL CHARACTERISTICS.SERIES ELEMENTS.Month
			MESSAGE.STATISTICAL CHARACTERISTICS.SERIES ELEMENTS.Year
			MESSAGE.STATISTICAL CHARACTERISTICS.First day of requested period from
			MESSAGE.STATISTICAL CHARACTERISTICS.Last day of requested period to
			MESSAGE.STATISTICAL CHARACTERISTICS.Statistics type
		The following groups and dataItems have been created and added:
			MESSAGE.STATISTICAL CONSOLIDATION (new xml tag STACON400)
			MESSAGE.STATISTICAL CONSOLIDATION.Year (new xml tag YeaSTACON401)
			MESSAGE.STATISTICAL CONSOLIDATION.Month (new xml tag MonSTACON444)
			MESSAGE.STATISTICAL CONSOLIDATION.System Code (new xml tag SysCodSTACON300)
			MESSAGE.STATISTICAL CONSOLIDATION.STATISTICAL CHARACTERISTICS (new xml tag STACHASTACON478)
			MESSAGE.STATISTICAL CONSOLIDATION.STATISTICAL CHARACTERISTICS.Statistics type (new xml tag StaTypSTACHA302)
			MESSAGE.STATISTICAL CONSOLIDATION.STATISTICAL CHARACTERISTICS.SERIES ELEMENTS (new xml tag SERELESTACHA008)
			MESSAGE.STATISTICAL CONSOLIDATION.STATISTICAL CHARACTERISTICS.SERIES ELEMENTS.Sending country code (new xml tag SenCouCodSERELE003)
			MESSAGE.STATISTICAL CONSOLIDATION.STATISTICAL CHARACTERISTICS.SERIES ELEMENTS.Other country code (new xml tag OthCouCodSERELESTA001)
			MESSAGE.STATISTICAL CONSOLIDATION.STATISTICAL CHARACTERISTICS.SERIES ELEMENTS.Counter (new xml tag CouSERELESTACHA7800)
	   --> A new technical rule has been created and added (TR9190) on the following dataItems:
			MESSAGE.SENDING COUNTRY.SYSTEM APPLICABILITY.System code (IE411).
			MESSAGE.STATISTICAL CONSOLIDATION.System Code (IE412).
	   --> A new codelist named Custom System, number 136, with format n..2 has been created and added in the following dataItems:
			MESSAGE.SENDING COUNTRY.SYSTEM APPLICABILITY.System code
			MESSAGE.STATISTICAL CONSOLIDATION.System Code

KEL 266 --> The TR0218 has been added on the IE603 message in the following fields:
			HEADER.Summary Declaration rejection reason code 
			HEADER.Summary Declaration rejection reason
	  --> The TR0217 has been added on the IE503 message in the following fields:
			HEADER.AER rejection reason code
			HEADER.AER rejection reason

KEL 271 --> Already implemented.

KEL 272 --> Condition C501 has been amended.

KEL 273 --> Condition C567 has been amended.

============================
        VERSION 0.55        
============================

Changes from v0.54 to v0.55:

Aligned with KEL v0.23 for ICS/AIS:

KEL 222 --> The codelist 8 has been added in the IE328, IE351 (MESSAGE-HEADER.Nationality).

KEL 229 --> Modification on patterns affects several data elements in ICS XSDs - they have been applied also in national messages.
		1.The pattern "Language Code" has been amended.
		2.The pattern "NumericMin4Max8Type" has been created and applied in item "Combined Nomenclature".
		3.The pattern "Country Code" has been amended.
		4.The format for the MessageTypes has been amended.
		5.The pattern "Country Code" has been applied in item "Nationality".
		6.The pattern "Customs Office Reference Number" has been amended.
		7.The data element “UN dangerous goods code” has been amended in order to use the “Numeric_4” type instead of the “Alphanumeric_4” type.
		8.The pattern "AlphanumericSpecMax35Type" has been created and applied in item "Place of loading".
		9.The pattern "AlphanumericSpecMax35Type" has been created and applied in item "Place of unloading".
		10.The pattern "Alphanumeric_Max5" has been created and applied in item "Risk Analysis result code".
		11.The pattern "MRNType" has been amended.
		12.The “Kind of packages” data element uses the "Alphanumeric_2" type.
		13.The pattern "DateType" has been amended and applied in item "Expected date of arrival".
		14.The pattern "DeclarationRequestNumberType" has been created and applied in “Declaration request number” item.
		15.The pattern "TimeType" has been created and applied in the data elements "Time of preparation", "Opening hours time first period from",
		"Opening hours time first period to", "Opening hours time second period from", "Opening hours time second period to".
		16.The pattern "DayInTheMonthType" has been created and applied in “Day” data elements.
		17.The pattern "emailAddressType" has been created and applied in “E-mail address” data elements.
		18.The pattern "DatePrepType" has been created and applied in “Date of preparation” data elements.

KEL 230 --> It is already implemented from version 0.54.

KEL 253 --> The messages IE411, IE412 has been corrected. 
	  --> The format of the dataItem MESSAGE - STATISTICS TYPE.Statistics type has changed to an..4, for IE032, IE932.
	  --> TR1002 has been removed from MESSAGE - STATISTICS TYPE data group of IE032 and IE932.

KEL 270 --> IE302: The Optionality of the MESSAGE.HEADER.Country code of Office of first Entry declared has been changed from R to D.
	  --> IE302: The Optionality of the MESSAGE.IMPORT OPERATION.GOODS ITEM.Item number has been changed from O to R.
	  --> IE303: The Optionality of the MESSAGE.HEADER.Country code of Office of first Entry declared has been changed from R to D.

KEL 272 --> It has been amended from version 0.54.

KEL 273 --> It has been amended from version 0.54.

KEL 275 --> The C513, C516, C518, R031, C062, R899, R806, R814 and R891 have been amended.

KEL 276 --> The R133 has been amended.

IE13: The C572 has been deleted from the dataItem MESSAGE.(CONSIGNOR-SECURITY) TRADER.Country code.

============================
        VERSION 0.56        
============================

Changes from v0.55 to v0.56:

Aligned with KEL v0.23 for NCTS:

KEL 224 --> It is already implemented from version 0.54.
		From the database “DDNA KEL Known Error List v0.23c_SfA.mdb” the KEL has been amended.
	  --> Just to add that the R021 has been applied in the following dataItems in all the domains ICS, ECS and NCTS (in all messages):
			MESSAGE - SENDING COUNTRY - SYSTEM APPLICABILITY - STATISTICAL CHARACTERISTICS - SERIES ELEMENTS.Counter (IE411)
			MESSAGE - STATISTICAL CONSOLIDATION - STATISTICAL CHARACTERISTICS - SERIES ELEMENTS.Counter (IE412)
	 --> TR0020 has been deleted  from IE01, IE03, IE11, IE13, IE15, IE17, IE18, IE29, IE38, IE43, IE44, IE50, IE51, IE115
	     (MESSAGE - GOODS ITEM - PACKAGES.Number of packages)
	 --> The R021 has been applied in the following dataItem MESSAGE.GUARANTEE.GUARANTEE REFERENCE.Amount concerned of IE200 message.

KEL 225 --> The optionality of the datagroup MESSAGE.(PRESENTATION OFFICE) CUSTOMS OFFICE has been changed from O to R.

KEL 230 --> KEL #147 has been cancelled.  So, the xml tags have been changed from version 0.54.

KEL 232 --> The C100 has been removed from the following dataItems for the messages IE01B, IE03B, IE50B, IE51B, IE115B, IE38B and IE11A:
		MESSAGE - HEADER.Customs sub place
		MESSAGE - HEADER.Authorised location of goods, code
		MESSAGE - HEADER.Agreed location of goods
		MESSAGE - HEADER.Agreed location of goods, code

KEL 233 --> The optionality of the dataItem MESSAGE.(PRINCIPAL) TRADER. TIN has been changed from D to O, in the messages IE01, IE03, IE11, IE50, IE115.
	  --> The condition C111 has been removed from the dataItem MESSAGE.(PRINCIPAL) TRADER.TIN in messages IE01, IE03, IE11, IE50, IE115.
	  Just to add that the message IE12 isn't in the scope of the ICISnet.

KEL 234 --> The rule R911 has been created: "When the country code of the Office of Departure is 'SM' and the country code of the Office of Destination
		is an EU country, 'Declaration type (box 1)' can only be 'T2' or 'T2F'"
	  --> The R911 has been applied in the dataitem "MESSAGE.HEADER.Type of declaration", for the following messages
		IE01, IE03, IE11, IE13, IE15, IE29, IE38, IE50, IE51, IE115.
	  Just to add that the message IE12 isn't in the scope of the ICISnet.
	  	For national reasons, the R911 has been added in the "MESSAGE.HEADER.Type of declaration(ED)", for the messages IE13, IE15, IE29, IE51.

KEL 235 --> The Condition C547 has been created: "IF the attribute 'TRANSIT OPERATION.Security' is not present or
		if the 'Specific circumstance indicator' = 'A' ('TRANSIT OPERATION.Security' is present)
		THEN the attributes 'Commercial Reference Number (box 7)', 'Commercial Reference Number (ex box 7)' and the data group
		'PRODUCED DOCUMENTS/CERTIFICATES' = 'O'
		ELSE ('Security' is present and 'Specific circumstance indicator' not present or other than 'A')
		IF the attribute 'Commercial Reference Number (box 7)' and 'Commercial Reference Number (ex box 7)' is not used
		THEN at least one attribute 'PRODUCED DOCUMENTS/CERITIFICATES.Document type' for the first GOODS ITEM
		pointing to a transport document must be present ELSE the data group 'PRODUCED DOCUMENTS/CERTIFICATES' = 'O'"
	  --> The C547 has been applied in the following dataItems and datagroup:
			MESSAGE.PRODUCED DOCUMENTS/CERTIFICATES
			MESSAGE.HEADER.Commercial Reference Number
			MESSAGE.GOODS ITEM.Commercial Reference Number
		for the following messages IE01, IE03, IE11, IE13, IE15, IE17, IE29, IE38, IE50, IE51, IE115
	  Just to add that the message IE12 isn't in the scope of the ICISnet.
	  --> The C567 has been deleted from the datagroup MESSAGE.GOOD ITEM.PRODUCED DOCUMENTS/CERTIFICATES, for message IE017.
		The C547 has been applied in the datagroup MESSAGE.GOOD ITEM.PRODUCED DOCUMENTS/CERTIFICATES, for message IE017.
	  --> The C567 has been deleted from the following dataItems:
			MESSAGE- HEADER. Commercial Reference Number
			MESSAGE- GOODS ITEM. Commercial Reference Number
		for the following messages IE01, IE03, IE11, IE13, IE15, IE17, IE29, IE38, IE50, IE51, IE115
	  Just to add that the message IE12 isn't in the scope of the ICISnet.

KEL 236 --> The rule R021 has been created through the KEL 224.
	  --> The rule R021 has been applied in the messages 
		IE001, IE003, IE011, IE013, IE015, IE017, IE018, IE029, IE038, IE043, IE044, IE050, IE051, IE115
		on the following dataItem "MESSAGE.GOODS ITEM.PACKAGES.Number of packages" through the KEL 224.
	  Just to add that the message IE12 isn't in the scope of the ICISnet.

KEL 237 --> Already implemented.

KEL 238 --> The optionality of the datagroup MESSAGE.CTL_CONTROL in message IE38 has been changed from O to R.

KEL 239 --> The format of the dataItem MESSAGE.REQUEST FOR ENQUIRY INFORMATION.Requested Information Code in IE145 message has been changed from an..2 to n1 (same xml tag).

KEL 240 --> The following changes will take place in the IE144 message:
	  --> The data group MESSAGE.(REQUESTED) CUSTOMS OFFICE has been renamed to MESSAGE.(DEPARTURE) CUSTOMS OFFICE.
		The xml tag of "MESSAGE.(DEPARTURE) CUSTOMS OFFICE.Address" become AddDEPCUS120 and the Edifact mapping of MESSAGE.(DEPARTURE) CUSTOMS OFFICE.Address has been set to FTX[11](4451=SPH).C108.4440#1.
		The xml tag of "MESSAGE.(DEPARTURE) CUSTOMS OFFICE.Address LNG" become AddDEPCUS121LNG and the Edifact mapping of MESSAGE.(DEPARTURE) CUSTOMS OFFICE. Address LNG has been set to FTX[11](4451=SPH).3453.
		The xml tag of "MESSAGE.(DEPARTURE) CUSTOMS OFFICE.Contact person Details" become ConPerDetDEPCUS2 and the Edifact mapping of MESSAGE.(DEPARTURE) CUSTOMS OFFICE.Contact person Details has been set to FTX[11](4451=SSR).C108.4440#1.
		The xml tag of "MESSAGE.(DEPARTURE) CUSTOMS OFFICE.Contact person Details LNG" become ConPerDetDEPCUS3LNG and the Edifact mapping of MESSAGE.(DEPARTURE) CUSTOMS OFFICE.Contact person Details LNG has been set to FTX[11](4451=SSR).3453.
		(The dataItem MESSAGE.(REQUESTED) CUSTOMS OFFICE.Reference number has been replaced also from the MESSAGE.(DEPARTURE) CUSTOMS OFFICE.Reference number).
	  --> The data group MESSAGE.(COUNTRY OF DESTINATION / REQUESTING) CUSTOMS OFFICE has been renamed to MESSAGE.(COMPETENT AUTHORITY OF DESTINATION) CUSTOMS OFFICE.
		The optionality of the new data group "MESSAGE.(COMPETENT AUTHORITY OF DESTINATION) CUSTOMS OFFICE" has been changed from Depentant to Required.
		C003 is removed from the new data group "MESSAGE.(COMPETENT AUTHORITY OF DESTINATION) CUSTOMS OFFICE".
		For the "MESSAGE.(COMPETENT AUTHORITY OF DESTINATION) CUSTOMS OFFICE. Contact person Details", the XML tag has been set to ConDetCOUDESINGCUS060 and the EDIFACT mapping has be set to FTX[11](4451=CEX).C108.4440#3.
		For the "MESSAGE.(COMPETENT AUTHORITY OF DESTINATION) CUSTOMS OFFICE. Contact person Details LNG", the XML tag has been set to ConDetCOUDESINGCUS060LNG and the EDIFACT mapping will be set to FTX[11](4451=CEX).3453.
	  --> The data group MESSAGE.(COMPETENT AUTHORITY OF DEPARTURE / REQUESTED) CUSTOMS OFFICE has been renamed to MESSAGE.(COMPETENT AUTHORITY OF DEPARTURE) CUSTOMS OFFICE.
		For the "MESSAGE.(COMPETENT AUTHORITY OF DEPARTURE) CUSTOMS OFFICE.Address", the XML tag has been set to AddAUT1 and the EDIFACT mapping has been set to FTX[11](4451=CUS).C108.4440#1.
		For the "MESSAGE.(COMPETENT AUTHORITY OF DEPARTURE) CUSTOMS OFFICE.Address LNG", the XML tag has been set to AddAUT1LNG and the EDIFACT mapping has been set to FTX[11](4451=CUS).3453.
		For the "MESSAGE.(COMPETENT AUTHORITY OF DEPARTURE) CUSTOMS OFFICE.Contact person Details", the XML tag has been set to ConPerDetAUT1 and the EDIFACT mapping has been set to FTX[11](4451=CHG).C108.4440#3.
		For the "MESSAGE.(COMPETENT AUTHORITY OF DEPARTURE) CUSTOMS OFFICE.Contact person Details LNG", the XML tag has been set to ConPerDetAUT1LNG and the EDIFACT mapping has been set to FTX[11](4451=CHG).3453.
		(The dataItem MESSAGE.(COMPETENT AUTHORITY OF DEPARTURE / REQUESTED) CUSTOMS OFFICE.Reference number has been replaced also from the MESSAGE.(COMPETENT AUTHORITY OF DEPARTURE) CUSTOMS OFFICE.Reference number).

KEL 241 --> The following changes will take place in the IE145 message:
	  --> The data group MESSAGE.(COUNTRY OF DESTINATION / REQUESTING) CUSTOMS OFFICE is renamed to MESSAGE.(COMPETENT AUTHORITY OF DESTINATION) CUSTOMS OFFICE.
		For the "MESSAGE.(COMPETENT AUTHORITY OF DESTINATION) CUSTOMS OFFICE.Contact person Details", the XML tag has been set to ConDetCOUDESINGCUS060 and the EDIFACT mapping has been set to FTX[11(4451=CEX).C108.4440#3.
		For the "MESSAGE.(COMPETENT AUTHORITY OF DESTINATION) CUSTOMS OFFICE.Contact person Details LNG", the XML tag has been set to ConDetCOUDESINGCUS060LNG and the EDIFACT mapping has been set to FTX[11(4451=CEX).3453.
		For the "MESSAGE.(COMPETENT AUTHORITY OF DESTINATION) CUSTOMS OFFICE.Reply Address", the XML tag has been set to RepAddCOUDESINGCUS063 and the EDIFACT mapping has been set to FTX[11(4451=CCI).C108.4440#1.
		For the "MESSAGE.(COMPETENT AUTHORITY OF DESTINATION) CUSTOMS OFFICE.Reply Address LNG", the XML tag has been set to RepAddCOUDESINGCUS063LNG and the EDIFACT mapping has been set to FTX[11(4451=CCI).3453.
	  --> The data group MESSAGE.(COMPETENT AUTHORITY OF DEPARTURE / REQUESTED) CUSTOMS OFFICE is renamed to MESSAGE.(COMPETENT AUTHORITY OF DEPARTURE) CUSTOMS OFFICE.
		For the MESSAGE.(COMPETENT AUTHORITY OF DEPARTURE) CUSTOMS OFFICE. Address, the XML tag has been set to AddAUT1 and the EDIFACT mapping has been set to FTX[11(4451=CUS).C108.4440#1.
		For the MESSAGE.(COMPETENT AUTHORITY OF DEPARTURE) CUSTOMS OFFICE. Address LNG, the XML tag has been set to AddAUT1LNG and the EDIFACT mapping has been set to FTX[11(4451=CUS).3453.
		For the MESSAGE.(COMPETENT AUTHORITY OF DEPARTURE) CUSTOMS OFFICE. Contact person Details, the XML tag has been set to ConPerDetAUT1 and the EDIFACT mapping has been set to FTX[11(4451=CHG).C108.4440#3.
		For the MESSAGE.(COMPETENT AUTHORITY OF DEPARTURE) CUSTOMS OFFICE. Contact person Details LNG, the XML tag has been set to ConPerDetAUT1LNG and the EDIFACT mapping has been set to FTX[11(4451=CHG).3453.
		(The dataItem MESSAGE.(COMPETENT AUTHORITY OF DEPARTURE / REQUESTED) CUSTOMS OFFICE.Reference number has been replaced also from the MESSAGE.(COMPETENT AUTHORITY OF DEPARTURE) CUSTOMS OFFICE.Reference number).
	  --> The data field MESSAGE.REQUEST FOR ENQUIRY INFORMATION.Requested Information has been renamed to MESSAGE.REQUEST FOR ENQUIRY INFORMATION.Requested Information Text.
	  --> The data field MESSAGE.REQUEST FOR ENQUIRY INFORMATION.Requested Information LNG has been renamed to MESSAGE.REQUEST FOR ENQUIRY INFORMATION.Requested Information Text LNG.

KEL 242 --> The optionality of the dataItem "MESSAGE.ENQUIRY.Enquiry request date" in message IE144 has been changed from D to R.
		The C524 has been deleted from the dataItem "MESSAGE.ENQUIRY.Enquiry request date" in message IE144.
	  --> The optionality of the dataItem "MESSAGE.ENQUIRY.Enquiry request date" in message IE145 has been changed from D to R.
		The C524 has been deleted from the dataItem "MESSAGE.ENQUIRY.Enquiry request date" in message IE145.
	  --> The format of the "MESSAGE.REQUEST FOR ENQUIRY INFORMATION. Requested Information Code", in message IE145 has been changed from KEL 239.
	  --> The C330 is already deleted from the dataItem "MESSAGE.REQUEST FOR ENQUIRY INFORMATION.Requested Information Code" in message IE145.
	  --> The C330 has been applied in the dataItem "MESSAGE.REQUEST FOR ENQUIRY INFORMATION. Requested Information Text" in message IE145.

KEL 243 --> The following changed have been applied in the IE150 and IE151 messages:
	  	1) The datagroup "MESSAGE.GUARANTOR" with its dataItems has been deleted.
		2) The datagroup "MESSAGE.GUARANTEE REFERENCE" with its dataItems has been deleted.
		3) The datagroup "MESSAGE.GUARANTEE INFORMATION" has been created (with xml tag GUARNTINFO) and applied as D with multiplicity 99x.
		   The C004 in the IE150 and the C025 in the IE151 have been applied for datagroup "MESSAGE.GUARANTEE INFORMATION".
		4) The datagroup "MESSAGE.GUARANTEE INFORMATION.GUARANTOR" has been created (with xml tag GUARNRGUARNTINFO) and applied as D with multiplicity 1x.
		   The C014 in IE150 and IE151 have been applied for datagroup "MESSAGE.GUARANTEE INFORMATION.GUARANTOR".
		5) The dataItem "MESSAGE.GUARANTEE INFORMATION.GUARANTOR.Guarantee reference number (GRN)" has been created (with xml tag GuaRefNumGUARNTINFO)
		   and applied as R. EDIFACT mapping has been set to: DMS[33(1001=429).1004.
		6) The dataItem "MESSAGE.GUARANTEE INFORMATION.GUARANTOR.Name" has been created (with xml tag NamGU720)
		   and applied as R. EDIFACT mapping has been set to: DMS(1001=429).NAD[42](3035=SX).C080.3036#1.
		7) The dataItem "MESSAGE.GUARANTEE INFORMATION.GUARANTOR.Street and number" has been created (with xml tag StrAndNumGU721)
		   and applied as R. EDIFACT mapping has been set to: DMS(1001=429).NAD[42](3035=SX).3251.
		8) The dataItem "MESSAGE.GUARANTEE INFORMATION.GUARANTOR.Postal code" has been created (with xml tag PosCodGU722)
		   and applied as R. EDIFACT mapping has been set to: DMS(1001=429).NAD[42](3035=SX).3251.
		9) The dataItem "MESSAGE.GUARANTEE INFORMATION.GUARANTOR.City" has been created (with xml tag CitGU723)
		   and applied as R. EDIFACT mapping has been set to: DMS(1001=429).NAD[42](3035=SX).3164.
		10) The dataItem "MESSAGE.GUARANTEE INFORMATION.GUARANTOR.NAD LNG" has been created (with xml tag NADLNGGU725)
		   and applied as O. EDIFACT mapping has been set to: DMS(1001=429).NAD[42](3035=SX).3229.
 		   The Codelist 12 and TR0099 in the IE150 and IE151 have been applied for dataItem "MESSAGE.GUARANTEE INFORMATION.GUARANTOR.NAD LNG".
		11) The dataItem "MESSAGE.GUARANTEE INFORMATION.GUARANTOR.Contact details in country of competent authority" has been created (with xml tag ConDetGU725)
		   and applied as R. EDIFACT mapping has been set to: DMS(1001=429).NAD[42](3035=SX).C058.3124#1.
		12) The dataItem "MESSAGE.GUARANTEE INFORMATION.GUARANTOR.TIN" has been created (with xml tag TINGU726)
		   and applied as O. EDIFACT mapping has been set to: DMS(1001=429).NAD[42](3035=SX).C082.3039.
	  --> The optionality of the datagroup MESSAGE.INFORMATION in message IE151 has been changed from D to O.
		The C006 has been deleted from the datagroup MESSAGE.INFORMATION in message IE151.
	  --> For message IE152 the data group (COMPETENT AUTHORITY OF REQUESTED COUNTRY) CUSTOMS OFFICE has been renamed to (COMPETENT AUTHORITY FOR RECOVERY) CUSTOMS OFFICE.
		For message IE152 the data group (COMPETENT AUTHORITY OF REQUESTING COUNTRY) CUSTOMS OFFICE has been renamed to (COMPETENT AUTHORITY OF DEPARTURE) CUSTOMS OFFICE.

KEL 244 --> The dataItem "MESSAGE.(PRINCIPAL) TRADER.Holder ID TIR " has been deleted from the messages IE26, IE225 and IE231.
	  --> The dataItem "MESSAGE.GUARANTEE REFERENCE.(PRINCIPAL) TRADER.Holder ID TIR" has been deleted from the message IE228.

KEL 245 --> The following changed have been applied in the IE111 message:
		1) The datagroup "MESSAGE.CTL_CONTROL" has been added, as R and with multiplicity 1x.
		2) The dataItem "MESSAGE.CTL_CONTROL.Trader authorised NCTS" has been added, as R, with n1 format.
		   R017 and R230 have been applied for this dataItem.
		3) The dataItem "MESSAGE.CTL_CONTROL.Trader authorised TIR" has been added, as R, with n1 format.
		   R017 and R230 have been applied for this dataItem.
	  --> The following changed have been applied in the IE112 message:
		1) The dataItem "MESSAGE.CTL_CONTROL.Trader authorised NCTS" has been deleted.
		2) The dataItem "MESSAGE.CTL_CONTROL.Trader authorised TIR" has been deleted.
		3) The dataItem "MESSAGE.CTL_CONTROL.Trader authorised" has been created and added, as R, with n1 format (xml tag TraAutCL626).
		   TR9065 has been applied for this dataItem.
	  --> The following changed have been applied in the IE111 and IE112 messages:
		1) The dataItem "MESSAGE.(AUTHORISED CONSIGNEE) TRADER.Holder ID TIR" has been added, as D, with an..17 format (with xml tag HolTIRTRA64).
		   C037 has been applied for this dataItem. The EDIFACT Mapping has been set to FTX[12](4451=AUT).C108.4440#5.
		2) The dataItem "MESSAGE.(AUTHORISED CONSIGNEE) TRADER.Name" has been changed to Optional;
		3) The dataItem "MESSAGE.(AUTHORISED CONSIGNEE) TRADER.Street and number" has been changed to Optional;
		4) The dataItem "MESSAGE.(AUTHORISED CONSIGNEE) TRADER.Postal code" has been changed to Optional;
		5) The dataItem "MESSAGE.(AUTHORISED CONSIGNEE) TRADER.City" has been changed to Optional;
		6) The dataItem "MESSAGE.(AUTHORISED CONSIGNEE) TRADER.Country code" has been changed to Optional;
		7) The dataItem "MESSAGE.(AUTHORISED CONSIGNEE) TRADER.TIN" has been changed to Dependent;
		8) C037 has been applied on the dataItem "MESSAGE.(AUTHORISED CONSIGNEE) TRADER.TIN".
	 --> The wording of TR9065 has been amended as follows: "The value of this attribute can be "0" (Not authorised), "1" (Authorised) or "3" (Trader not found)."

KEL 246 --> C004 is already implemented.
	  --> C008 has been updated as follows:
		"IF the Competent Authority of the Country of Departure is equal to the Customs Office of Departure
		THEN 'CUSTOMS OFFICE of Departure = "O" ELSE 'CUSTOMS OFFICE of Departure = "R"."
	  --> C014 has been updated as follows:
		"IF Recovery Request is performed by the Country of Guarantee and if 'Guarantee type' is '1', '2', '4', or '9'
		THEN "GUARANTOR" = "R" ELSE "GUARANTOR" = "O"."
	  --> C220 has been updated as follows:
		"IF ENQUIRY.TC11 delivered by Customs = "1" (= yes)
		THEN "Delivery date information/ TC11" = "R"
		ELSE "Delivery date information/ TC11 cannot be used"

KEL 248 --> The KEL for the Business Statistics has been implemented partial for the alignement of ICS and ECS with KEL 23.
		The TR1002 has been removed from the datagroup "MESSAGE.STATISTICS TYPE" of IE032 and IE932 messages.
		The message version has been changed for IE411 and IE412 (from A to B).
		Codelists have been applied according the KEL.

KEL 249 --> The TR0215 has been applied in the following dataItems in message IE003:
		MESSAGE.HEADER.AAR rejection reason code
		MESSAGE.HEADER.AAR rejection reason
	  --> The TR0216 has been applied in the following dataItems in message IE115:
		MESSAGE.HEADER.AAR rejection reason code
		MESSAGE.HEADER.AAR rejection reason

KEL 271 --> Already implemented.
		TR002 has been added in the IE51 to the dataItems "HEADER.Identity of means of transport at departure (exp/trans)" and "HEADER.Total number of package".

KEL 272 --> It has been amended from version 0.54.

============================
        VERSION 0.57        
============================

Changes from v0.56 to v0.57:

The namespaces have been introduced in the xsds.
In this version we used the same database from previus version and we created with the updated tool the 
	version 0.57 with namespaces (v0.57_with_namespaces) and
	version 0.57 without namespaces (v0.57_no_namespaces)

============================
        VERSION 0.58        
============================

Changes from v0.57 to v0.58:

The following changes have been change in NCTS domain:

COM4: The following new dataItems have been created and added:
	MESSAGE.RISK INFORMATION.MRN Version (xmltag: mrnVersion)
	MESSAGE.RISK INFORMATION.Message Type Version (xmltag: msgTypeVersion)
	MESSAGE.RISK INFORMATION.Customs Office (xmltag: customsOffice)

COM5: The dataItem MESSAGE.Correlation identification (xmltag: CorIdeMES21) has been created and added.
	The format of the following dataItems have been changed from n..5 to n..3:
	MESSAGE.NATIONAL GOODS ITEM RISK.Item Number involved
	MESSAGE.EU GOODS ITEM RISK.Item Number involved

COM7: The dataItem MESSAGE.Correlation identifier has been deleted.
	The dataItem MESSAGE.Correlation identification (xmltag: CorIdeMES21) has been created and added.

============================
        VERSION 0.59        
============================

Changes from v0.58 to v0.59:

In this version we used the same database from the previïus version and we created with the updated tool the 
	version 0.59 with namespaces (v0.59_with_namespaces) and
	version 0.59 without namespaces (v0.59_no_namespaces)
in order to correct an error came from the KEL229 with the patterns.


============================
        VERSION 0.59b        
============================

Changes from v0.59 to v0.59b:

IE347: The dataItem "MESSAGE.HEADER.Country code of Office of first Entry declared" has been added. (10431)
	 The optionality of the dataItem "MESSAGE.HEADER.Total gross mass" should be change from O to R.
	 The optionality of the dataItem "MESSAGE.HEADER.Identification of the means of transport" should be change from R to O.
	 The optionality of the dataItem "MESSAGE.HEADER.Total number of arrival packages from O to R.

============================
        VERSION 0.60        
============================
(We used the database v0.59 and not the database v0.59b which created in a later state)

Changes from v0.59 to v0.60:

DA104: The datagroup "MESSAGE.CUSTOMS OFFICE" and the dataItem "MESSAGE.CUSTOMS OFFICE.Reference number" have been deleted.
	 The following dataItems have been deleted:
		"MESSAGE.HEADER.Document/reference number"
		"MESSAGE.HEADER.Document/reference number Communicated"
		"MESSAGE.HEADER.Reference number"
	 The dateItem "MESSAGE.HEADER.Manifest reference number" has been added.
	 The format of the dataItem "MESSAGE.HEADER.Manifest Amendment accepting date" has been changed from n6 to n8.

DA105: The optionality of the dataItem "MESSAGE.HEADER.Amendment rejection motivation text" has been changed from D to O.
	 The following dataItems have been deleted:
		"MESSAGE.HEADER.Document/reference number"
		"MESSAGE.HEADER.Document/reference number Communicated"
		"MESSAGE.HEADER.Reference number"
	 The dateItem "MESSAGE.HEADER.Manifest reference number" has been added.
	 The TR0099 has been added in the dataItem "MESSAGE.HEADER.Amendment rejection motivation text LNG".

ID15: The dataItem "MESSAGE.HEADER.Transit" has been deleted.
	The dataItem "MESSAGE.HEADER.Place of loading" remained with this name instead of the "MESSAGE.HEADER.Loading Place s17"
	- and we can have 2 different xml tags for the 2 dataItems "Loading place".
	The dataItem "MESSAGE.(ADDITIONAL CONSIGNEE) ADDITIONAL TRADER.Country code" has been deleted.
	The dataItem "MESSAGE.(ADDITIONAL CONSIGNEE) ADDITIONAL TRADER.Phone number" has been created and added
	with xml tag (PhoNumASCOASTR), optionality O and format an..35 (as we have conflict with this format - issue with subject ICS/ECS messages since 23/06/2011).

ID13 and ID51:
	The dataItem "MESSAGE.HEADER.Place of loading" remained with this name instead of the "MESSAGE.HEADER.Loading Place s17"
	- and we can have 2 different xml tags for the 2 dataItems "Loading place".
	The dataItem "MESSAGE.(ADDITIONAL CONSIGNEE) ADDITIONAL TRADER.Country code" has been deleted.
	The dataItem "MESSAGE.(ADDITIONAL CONSIGNEE) ADDITIONAL TRADER.Phone number" has been created and added
	with xml tag (PhoNumASCOASTR), optionality O and format an..35 (as we have conflict with this format - issue with subject ICS/ECS messages since 23/06/2011).

ID99: The following dataItems have been deleted:
	"MESSAGE.HEADER.Grand total taxes amount"
	"MESSAGE.HEADER.Import Date"
	The dataItem "MESSAGE.HEADER.Loading Place" has been added. (TMS 12341)
	The dataItem "MESSAGE.HEADER.Place of loading" remained with this name instead of the "MESSAGE.HEADER.Loading Place s17"
	- and we can have 2 different xml tags for the 2 dataItems "Loading place".
	The dataItem "MESSAGE.(ADDITIONAL CONSIGNEE) ADDITIONAL TRADER.Country code" has been deleted.
	The dataItem "MESSAGE.(ADDITIONAL CONSIGNEE) ADDITIONAL TRADER.Phone number" has been created and added
	with xml tag (PhoNumASCOASTR), optionality O and format an..35 (as we have conflict with this format - issue with subject ICS/ECS messages since 23/06/2011).

IA13: The datagroup MESSAGE.(TERMS) DELIVERY has been deleted with its dataItems:
		MESSAGE.(TERMS) DELIVERY.Complement of info
		MESSAGE.(TERMS) DELIVERY.Complement of info LNG
		MESSAGE.(TERMS) DELIVERY.Complementary code
		MESSAGE.(TERMS) DELIVERY.Incoterm Code

IA15: The datagroup MESSAGE.(TERMS) DELIVERY has been deleted with its dataItems:
		MESSAGE.(TERMS) DELIVERY.Complement of info
		MESSAGE.(TERMS) DELIVERY.Complement of info LNG
		MESSAGE.(TERMS) DELIVERY.Complementary code
		MESSAGE.(TERMS) DELIVERY.Incoterm Code

IA51: The datagroup MESSAGE.(TERMS) DELIVERY has been deleted with its dataItems:
		MESSAGE.(TERMS) DELIVERY.Complement of info
		MESSAGE.(TERMS) DELIVERY.Complement of info LNG
		MESSAGE.(TERMS) DELIVERY.Complementary code
		MESSAGE.(TERMS) DELIVERY.Incoterm Code

The messages IE517 and IE519 should be deleted, but we kept them in the database for future need.

The messages COM04 (DSS REQUEST), COM05 (DSS REPLY), COM06 (Retrospective REQUEST), COM07 (Positive Acknowledgement)
have been added in the tcl xsds (simpleType: MessageTypes – codelist 60).
These messages have also included in all domains ICS, ECS and NCTS.

After implemetnation NTCS alignemt with KEL 0.23, we have to do some corrections based on the DDNTA_Q2_14.00 (undocumented discrepancy).

1. Sequence problems due to KEL0.23 has been corrected in the NCTS messages IE150, IE151
(the DG_SEQ of GUARANTEE INFORMATION changed from 69413230000000 to 69409884000000)
(the DG_SEQ of GUARANTOR changed from 69413240000000 to 69409887000000)
2. Also, according the DDNTA_Q2_14.00 the IE145 message has to be amended.
So, the following dataItems have been deleted from the datagroup MESSAGE.(COMPETENT AUTHORITY OF DEPARTURE) CUSTOMS OFFICE
	MESSAGE.(COMPETENT AUTHORITY OF DEPARTURE) CUSTOMS OFFICE.Address
	MESSAGE.(COMPETENT AUTHORITY OF DEPARTURE) CUSTOMS OFFICE.Address LNG
3. The dataItem "MESSAGE.GUARANTEE INFORMATION.GUARANTOR.Guarantee reference number (GRN)" has been deleted from the IE150 and IE151 messages.
4. The dataItem "MESSAGE.GUARANTEE INFORMATION.Guarantee reference number (GRN)" has been added in the IE150 and IE151 messages.
5. C016 has been deleted from MESSAGE.INFORMATION in message IE151.
6.    The codelist 12 and the technical rule TR0099 have been added in the following dataItems of the message IE144:
	MESSAGE.(DEPARTURE) CUSTOMS OFFICE.Contact person Details LNG
	MESSAGE.(DEPARTURE) CUSTOMS OFFICE.Address LNG
	MESSAGE.(COMPETENT AUTHORITY OF DEPARTURE) CUSTOMS OFFICE.Address LNG
	MESSAGE.(COMPETENT AUTHORITY OF DEPARTURE) CUSTOMS OFFICE.Contact person Details LNG
7.    The codelist 12 and the technical rule TR0099 have been added in the following dataItem of the message IE145:
	MESSAGE.(COMPETENT AUTHORITY OF DEPARTURE) CUSTOMS OFFICE.Contact person Details LNG
8.    TR9130 has been deleted from the dataItem "MESSAGE.REQUEST FOR ENQUIRY INFORMATION.Requested Information Text" in message IE145.
9.    The rule R012 has been deleted from the dataItem "MESSAGE.(AUTHORISED CONSIGNEE) TRADER.TIN" from IE111 and IE112 messages.
10.   Sequence problem has been corrected in the NCTS message IE145 in order the dataItem
	"MESSAGE.REQUEST FOR ENQUIRY INFORMATION.Requested Information Code" to be displayed first.
      (for the DG_SEQ 69409880000000 the DI_SEQ becomes from 0000000300 to 0000000050)
11.   The format of the dataItem "MESSAGE.REQUEST INFORMATION.Requested Information Code" has been changed from an..2 to n1
	in messages IE032, IE932 in all the domains (ICS, ECS, NCTS).

12.	The C547 was applied in the datagroup "MESSAGE.GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES" for the messages IE01, IE03, IE11, IE13, IE15, IE29, IE38, IE50, IE51
	and I deleted the C567 from the datagroup "MESSAGE.GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES" of the following messages IE01, IE03, IE11, IE13, IE15, IE29, IE50, IE51 and IE115.
13.	The R021 has been applied in the dataItem "MESSAGE.GUARANTEE.GUARANTEE REFERENCE.Amount concerned" for the message IE023 (from KEL database 0.23(c)).
14.	The optionality has been changed from R to O (aligned to FTSS) for message IE015 and
	the rule R105 has been deleted from the following messages IE029 and IE051 (dataItem “MESSAGE.HEADER.Total number of packages”).
15.	The R660 has been deleted from the dataItem “MESSAGE.HEADER.Declaration Date” for the messages IE015, IE029 and IE051.
16.	The C045 has been deleted from the dataItem “MESSAGE.HEADER.Type of declaration(ED)” of message IE15.
17.	The dataItem “MESSAGE.GUARANTEE REFERENCE. (PRINCIPAL) TRADER.Holder ID TIR” has been deleted from the IE224 message.
18.	The TR0009 has been applied in dataItem “MESSAGE.GOODS ITEM.RESULTS OF CONTROL.Description” for message IE51.
	The TR0006 has been deleted from the dataItem “MESSAGE.GOODS ITEM.RESULTS OF CONTROL.Description” for message IE51.

19.   The xmltag for the dataItem MESSAGE.SENDING COUNTRY.Country code has been changed from CouCodSC635 to CouCodSENCOU342 (we have them in IE411 and IE413 messages).
20.	The following dataItems from the messages IE032/IE932 have been corrected as far concern the format as is in DDNTA v14.00:
	"MESSAGE.AMENDMENT REJECTION MOTIVATION.LANGUAGE SPECIFIC DATA.Description" from an..70 to an..140
	"MESSAGE.COMMUNITY NATIONAL PROCEDURE.LANGUAGE SPECIFIC DATA.Description" from an..70 to an..350
	"MESSAGE.COMPLEMENTARY CODE.LANGUAGE SPECIFIC DATA.Description" from an..70 to an..140
	"MESSAGE.CONTROL RESULT CODE.LANGUAGE SPECIFIC DATA.Description" from an..70 to an..140
	"MESSAGE.COUNTRY.LANGUAGE SPECIFIC DATA.Description" from an..35 to an..140
	"MESSAGE.COUNTRY REGIME.LANGUAGE SPECIFIC DATA.Description" from an..35 to an..140
	"MESSAGE.CURRENCY CODE.LANGUAGE SPECIFIC DATA.Description" from an..35 to an..140
	"MESSAGE.CUSTOMS INTERVENTION.LANGUAGE SPECIFIC DATA.Description" from an..70 to an..140
	"MESSAGE.CUSTOMS OFFICE GEO INFO.LANGUAGE SPECIFIC DATA.Description" from an..35 to an..140
	"MESSAGE.CUSTOMS OPERATION STATE TYPE.LANGUAGE SPECIFIC DATA.Description" from an..35 to an..140
	"MESSAGE.DECLARATION TYPE.LANGUAGE SPECIFIC DATA.Description" from an..70 to an..140
	"MESSAGE.DECLARATION TYPE (BOX 1.2).LANGUAGE SPECIFIC DATA.Description" from an..70 to an..140
	"MESSAGE.DISCREPANCIES SOLVED NOTIFICATION.LANGUAGE SPECIFIC DATA.Description" from an..70 to an..140
	"MESSAGE.DOCUMENT TYPE.LANGUAGE SPECIFIC DATA.Description" from an..140 to an..350
	"MESSAGE.EXPORT QUERY REASON CODE.LANGUAGE SPECIFIC DATA.Description" from an..70 to an..140
	"MESSAGE.INCOTERM CODE.LANGUAGE SPECIFIC DATA.Description" from an..70 to an..140
	"MESSAGE.INFORMATION TYPE.LANGUAGE SPECIFIC DATA.Description" from an..70 to an..140
	"MESSAGE.ITEM NUMBER REJECTION REASON CODE.LANGUAGE SPECIFIC DATA.Description" from an..70 to an..140
	"MESSAGE.LANGUAGE CODE.LANGUAGE SPECIFIC DATA.Description" from an..35 to an..140
	"MESSAGE.METHOD OF PAYMENT.LANGUAGE SPECIFIC DATA.Description" from an..70 to an..140
	"MESSAGE.NATURE OF TRANSACTION CODE.LANGUAGE SPECIFIC DATA.Description" from an..70 to an..350
	"MESSAGE.PREVIOUS DOCUMENT CATEGORY.LANGUAGE SPECIFIC DATA.Description" from an..70 to an..140
	"MESSAGE.PREVIOUS PROCEDURE.LANGUAGE SPECIFIC DATA.Description" from an..140 to an..350
	"MESSAGE.PROCEDURE REQUESTED.LANGUAGE SPECIFIC DATA.Description" from an..140 to an..350
	"MESSAGE.QUERY ON GUARANTEE TYPE.LANGUAGE SPECIFIC DATA.Description" from an..70 to an..140
	"MESSAGE.REPRESENTATIVE STATUS CODE.LANGUAGE SPECIFIC DATA.Description" from an..70 to an..140
	"MESSAGE.REQUESTED INFORMATION.LANGUAGE SPECIFIC DATA.Description" from an..70 to an..140
	"MESSAGE.RESPONSE CODE.LANGUAGE SPECIFIC DATA.Description" from an..70 to an..140
	"MESSAGE.ROLE.LANGUAGE SPECIFIC DATA.Description" from an..70 to an..140
	"MESSAGE.SENSITIVE GOODS CODE.LANGUAGE SPECIFIC DATA.Description" from an..70 to an..140
	"MESSAGE.SPECIAL MENTION CODE.LANGUAGE SPECIFIC DATA.Description" from an..70 to an..140
	"MESSAGE.SPECIFIC CIRCUMSTANCE INDICATOR - LANGUAGE SPECIFIC DATA.Description" from an..70 to an..140
	"MESSAGE.STATISTICS TYPE.LANGUAGE SPECIFIC DATA.Description" from an..70 to an..140
	"MESSAGE.SUMMARY DECLARATION REJECTION REASON CODE - LANGUAGE SPECIFIC DATA.Description" from an..70 to an..140
	"MESSAGE.TRAFFIC TYPE.LANGUAGE SPECIFIC DATA.Description" from an..35 to an..140
	"MESSAGE.TRANSPORT CHARGES METHOD OF PAYMENT.LANGUAGE SPECIFIC DATA.Description" from an..70 to an..140
	"MESSAGE.TRANSPORT MODE.LANGUAGE SPECIFIC DATA.Description" from an..35 to an..140
	"MESSAGE.TYPE OF TAX.LANGUAGE SPECIFIC DATA.Description" from an..70 to an..140
	"MESSAGE.UN DANGEROUS GOODS CODE.LANGUAGE SPECIFIC DATA.Description" from an..140 to an..350
	"MESSAGE.UNIT OF MEASURE.LANGUAGE SPECIFIC DATA.Description" from an..35 to an..140
	"MESSAGE.WAREHOUSE TYPE.LANGUAGE SPECIFIC DATA.Description" from an..70 to an..140

Also, the xsdtool has been fixed in order to have correct validation for the xsds with namespaces.

============================
        VERSION 0.60a        
============================

Changes from v0.60 to v0.60a:

The comment for the DDNA versions has been changed in all the ICS, ECS and NCTS messages.

============================
        VERSION 0.61        
============================

Changes from v0.60a to v0.61:

The messages ID016 and ID028 have been deleted from the database (ICS domain).
The messages CC017B and CC928A have been deleted from the database (NCTS domain).
The message CC517A has been deleted from the database (ECS domain).
The tcl xsds in all the domains have been updated with the version B of the messages CD411 and CD412.

The version A has been added in the COM04A, COM05A, COM06A, COM07A messages.
The following new dataItems have been added without indicating any pattern:
	MESSAGE.Date of preparation (DSS) with format n6 and xml tag DatOfPreMES9
	MESSAGE.Time of preparation (DSS) with format n4 and xml tag TimOfPreMES10
for all the COMxx messages (COM04A, COM05A, COM06A, COM07A).

============================
        VERSION 0.62        
============================

Changes from v0.61 to v0.62:

DA216: The optionality of the dataItem "MESSAGE.HEADER.Declaration rejection reason" has been changed from R to O.
	 The optionality of the dataItem "MESSAGE.HEADER.Declaration registration date and time" has been changed from D to R.

DA228: The optionality of the dataItem MESSAGE.HEADER.Nationality from D to R
	 The optionality of the dataItem "MESSAGE.HEADER.Total number of packages" from D to O
	 The optionality of the dataItem "MESSAGE.HEADER.Identity of means of transport crossing border" from O to R
	 The optionality of the dataItem "MESSAGE.HEADER.Identity of means of transport crossing border LNG" from O to R
	 The optionality of the dataItem "MESSAGE.(LODGING SUMMARY DECLARATION) PERSON.TIN" from O to R
	 The optionality of the dataItem "MESSAGE.(LODGING SUMMARY DECLARATION) PERSON.NAD LNG" from O to D
	 The optionality of the dataItem "MESSAGE.(ENTRY CARRIER) TRADER" from R to O
	 The optionality of the dataItem "MESSAGE.(ENTRY CARRIER) TRADER.NAD LNG" from O to D
	 The optionality of the dataItem "MESSAGE.(FIRST ENTRY) CUSTOMS OFFICE" from R to O
	 The optionality of the dataItem "MESSAGE.(FIRST ENTRY) CUSTOMS OFFICE.Expected date and time of arrival" from O to R
	 The optionality of the dataItem "MESSAGE.GOODS ITEM.Commercial Reference Number" from O to D.
	 The optionality of the dataItem "MESSAGE.GOODS ITEM.(MEANS OF TRANSPORT AT BORDER) IDENTITY" from R to O
	 The optionality of the dataItem "MESSAGE.GOODS ITEM.(MEANS OF TRANSPORT AT BORDER) IDENTITY.Nationality" from O to R
	 The optionality of the dataItem "MESSAGE.(LODGEMENT) CUSTOMS OFFICE" from O to R

DB115: The dataItem "MESSAGE.HEADER.Document/Reference number Communicate" has been added.
	 The dataItem "MESSAGE.TRADER DETAILS.TIN" has been deleted.
	 The dataItem "MESSAGE.TRADER DETAILS.ID" has been added.
	 The dataItem "MESSAGE.TRADER DETAILS.ID Type" has been added.
	 The optionality of the dataItem "MESSAGE.TRANSPORTATION VESSEL DETAILS.Vessel Country of Registration" has been changed from R to O.

DB113: The dataItem "MESSAGE.HEADER.Document/Reference number Communicate" has been added.
	 The dataItem "MESSAGE.TRADER DETAILS.TIN" has been deleted.
	 The dataItem "MESSAGE.TRADER DETAILS.ID" has been added.
	 The dataItem "MESSAGE.TRADER DETAILS.ID Type" has been added.
	 The optionality of the dataItem "MESSAGE.TRANSPORTATION VESSEL DETAILS.Vessel Country of Registration" has been changed from R to O.

DB215: The dataItem "MESSAGE.TRADER DETAILS.TIN" has been deleted.
	 The dataItem "MESSAGE.TRADER DETAILS.ID" has been added.
	 The dataItem "MESSAGE.TRADER DETAILS.ID Type" has been added.
	 The datagroup "MESSAGE.CUSTOMS OFFICE" has been added.
	 The dataItem "MESSAGE.CUSTOMS OFFICE.Reference number" has been added.

DB213: The dataItem "MESSAGE.TRADER DETAILS.TIN" has been deleted.
	 The dataItem "MESSAGE.TRADER DETAILS.ID" has been added.
	 The dataItem "MESSAGE.TRADER DETAILS.ID Type" has been added.
	 The datagroup "MESSAGE.CUSTOMS OFFICE" has been added.
	 The dataItem "MESSAGE.CUSTOMS OFFICE.Reference number" has been added.

DB415: The format of the dateItem "MESSAGE.TRANSPORTATION VESSEL DETAILS.Name of Ship" has been changed from an..25 to an..50.
DB413: The format of the dateItem "MESSAGE.TRANSPORTATION VESSEL DETAILS.Name of Ship" has been changed from an..25 to an..50.

DB515: The format of the dateItem "MESSAGE.TRANSPORTATION VESSEL DETAILS.Name of Ship" has been changed from an..25 to an..50.
	 The following dataItems have been deleted:
	 MESSAGE.TRANSPORTATION VESSEL DETAILS.EFFECTS DETAILS
	 MESSAGE.TRANSPORTATION VESSEL DETAILS.EFFECTS DETAILS.Name of effect
	 MESSAGE.TRANSPORTATION VESSEL DETAILS.EFFECTS DETAILS.Quantity
	 The following dataItems have been created and added with the same xml tag with the above deleted items:
	 MESSAGE.TRANSPORTATION VESSEL DETAILS.CREW DETAILS.EFFECTS DETAILS (EFFDET)
	 MESSAGE.TRANSPORTATION VESSEL DETAILS.CREW DETAILS.EFFECTS DETAILS.Name of effect (NamEff2206)
	 MESSAGE.TRANSPORTATION VESSEL DETAILS.CREW DETAILS.EFFECTS DETAILS.Quantity (Qua2207)

DB513: The format of the dateItem "MESSAGE.TRANSPORTATION VESSEL DETAILS.Name of Ship" has been changed from an..25 to an..50.
	 The following dataItems have been deleted:
	 MESSAGE.TRANSPORTATION VESSEL DETAILS.EFFECTS DETAILS
	 MESSAGE.TRANSPORTATION VESSEL DETAILS.EFFECTS DETAILS.Name of effect
	 MESSAGE.TRANSPORTATION VESSEL DETAILS.EFFECTS DETAILS.Quantity
	 The following dataItems have been created and added with the same xml tag with the above deleted items:
	 MESSAGE.TRANSPORTATION VESSEL DETAILS.CREW DETAILS.EFFECTS DETAILS (EFFDET)
	 MESSAGE.TRANSPORTATION VESSEL DETAILS.CREW DETAILS.EFFECTS DETAILS.Name of effect (NamEff2206)
	 MESSAGE.TRANSPORTATION VESSEL DETAILS.CREW DETAILS.EFFECTS DETAILS.Quantity (Qua2207)

DB615: The format of the dateItem "MESSAGE.TRANSPORTATION VESSEL DETAILS.Name of Ship" has been changed from an..25 to an..50.
DB613: The format of the dateItem "MESSAGE.TRANSPORTATION VESSEL DETAILS.Name of Ship" has been changed from an..25 to an..50.

DB715: The format of the dateItem "MESSAGE.TRANSPORTATION VESSEL DETAILS.Name of Ship" has been changed from an..25 to an..50.
DB713: The format of the dateItem "MESSAGE.TRANSPORTATION VESSEL DETAILS.Name of Ship" has been changed from an..25 to an..50.

DB815: The format of the dateItem "MESSAGE.TRANSPORTATION VESSEL DETAILS.Name of Ship" has been changed from an..25 to an..50.
DB813: The format of the dateItem "MESSAGE.TRANSPORTATION VESSEL DETAILS.Name of Ship" has been changed from an..25 to an..50.

DE015: The optionality of the dataItem "MESSAGE.REPRESENTATIVE.NAD LNG" has been changed from D to O.
	 The xml tag was added in the dataItem "MESSAGE.TEMPORARY STORAGE.Warehouse Sector" - xml tag: WarSecTEMPSTOR4.

DE013: The optionality of the dataItem "MESSAGE.REPRESENTATIVE.NAD LNG" has been changed from D to O.
	 The xml tag was added in the dataItem "MESSAGE.TEMPORARY STORAGE.Warehouse Sector" - xml tag: WarSecTEMPSTOR4.

DA291: The following dataItems and datagroups have been deleted:
	 MESSAGE - HEADER.Document/reference number Communicated
	 MESSAGE - WAREHOUSE KEEPER
	 MESSAGE - WAREHOUSE KEEPER.City
	 MESSAGE - WAREHOUSE KEEPER.Country code
	 MESSAGE - WAREHOUSE KEEPER.NAD LNG
	 MESSAGE - WAREHOUSE KEEPER.Name
	 MESSAGE - WAREHOUSE KEEPER.Postal code
	 MESSAGE - WAREHOUSE KEEPER.Street and number
	 MESSAGE - WAREHOUSE KEEPER.TIN
	 MESSAGE - IMPORT OPERATION
	 MESSAGE - IMPORT OPERATION.Commercial Reference Number
	 MESSAGE - IMPORT OPERATION.Conveyance reference number
	 MESSAGE - IMPORT OPERATION.MRN
	 
	 The following dataItems and datagroups have been created and added:
	 MESSAGE.HEADER.Warehouse Identification	- newxml tag: HEAWarIden
	 MESSAGE.DOCUMENT. 				- newxml tag: MESDOC
	 MESSAGE.DOCUMENT.Mrn 				- newxml tag: MESDOCMrn
	 MESSAGE.DOCUMENT.GOODS ITEM 			- newxml tag: MESDOCGI
	 MESSAGE.DOCUMENT.GOODS ITEM.Item Number 	- newxml tag: MESDOCGIIteNum
	 MESSAGE.CARRIER				- newxml tag: MESCAR
	 MESSAGE.CARRIER.Name			- newxml tag: MESCARNam
	 MESSAGE.CARRIER.Street and number	- newxml tag: MESCARStrNum
	 MESSAGE.CARRIER.Postal code		- newxml tag: MESCARPosCod
	 MESSAGE.CARRIER.City			- newxml tag: MESCARCity
	 MESSAGE.CARRIER.Country code		- newxml tag: MESCARCoun
	 MESSAGE.CARRIER.NAD LNG		- newxml tag: MESCARNadLng
	 MESSAGE.CARRIER.ID			- newxml tag: MESCARId
	 MESSAGE.CARRIER.ID TYPE		- newxml tag: MESCARIdTyp

	 The following dategroups have been added:
	 MESSAGE - PERSON LODGING REQUEST
	 MESSAGE - WAREHOUSE KEEPER

	 The following dataItems have been added:
	 MESSAGE - HEADER.Declaration Submitted Date and Time
	 MESSAGE - PERSON LODGING REQUEST.Name
	 MESSAGE - PERSON LODGING REQUEST.Street and number
	 MESSAGE - PERSON LODGING REQUEST.Postal code
	 MESSAGE - PERSON LODGING REQUEST.City
	 MESSAGE - PERSON LODGING REQUEST.Country code
	 MESSAGE - PERSON LODGING REQUEST.NAD LNG
	 MESSAGE - PERSON LODGING REQUEST.ID
	 MESSAGE - PERSON LODGING REQUEST.ID Type
	 MESSAGE - WAREHOUSE KEEPER.TIN

DA292: The following dataItems and datagroups have been deleted:
	 MESSAGE - GOODS ITEM - CONTAINERS
	 MESSAGE - GOODS ITEM - CONTAINERS.Container number
	 MESSAGE - GOODS ITEM - CREDIT DETAILS
	 MESSAGE - GOODS ITEM - CREDIT DETAILS.Credit document reference number
	 MESSAGE - GOODS ITEM - CREDIT DETAILS.Credit issue date
	 MESSAGE - GOODS ITEM - CREDIT DETAILS.Credit quantity
	 MESSAGE - GOODS ITEM - PACKAGES
	 MESSAGE - GOODS ITEM - PACKAGES.Kind of packages
	 MESSAGE - GOODS ITEM - PACKAGES.Marks & numbers of packages (long)
	 MESSAGE - GOODS ITEM - PACKAGES.Marks & numbers of packages (long) LNG
	 MESSAGE - GOODS ITEM - PACKAGES.Number of packages
	 MESSAGE - GOODS ITEM - PACKAGES.Number of pieces
	 MESSAGE - GOODS ITEM.Commercial Reference Number
 	 MESSAGE - GOODS ITEM.Goods description
	 MESSAGE - GOODS ITEM.Goods description LNG
	 MESSAGE - GOODS ITEM.Gross mass
	 MESSAGE - GOODS ITEM.Place of loading
	 MESSAGE - GOODS ITEM.Place of loading LNG
	 MESSAGE - GOODS ITEM.Place of unloading
	 MESSAGE - GOODS ITEM.Place of unloading LNG
	 MESSAGE - GOODS ITEM.Remark Code
	 MESSAGE - GOODS ITEM.TARIC Code
	 MESSAGE - GOODS ITEM.Transport charges/ Method of Payment
	 MESSAGE - GOODS ITEM.UN dangerous goods code
	 MESSAGE - IMPORT OPERATION
	 MESSAGE - IMPORT OPERATION.Commercial Reference Number
	 MESSAGE - IMPORT OPERATION.Conveyance reference number
	 MESSAGE - IMPORT OPERATION.MRN
	 MESSAGE - WAREHOUSE KEEPER
	 MESSAGE - WAREHOUSE KEEPER.City
	 MESSAGE - WAREHOUSE KEEPER.Country code
	 MESSAGE - WAREHOUSE KEEPER.NAD LNG
	 MESSAGE - WAREHOUSE KEEPER.Name
	 MESSAGE - WAREHOUSE KEEPER.Postal code
	 MESSAGE - WAREHOUSE KEEPER.Street and number
	 MESSAGE - WAREHOUSE KEEPER.TIN	   
	 MESSAGE - CUSTOMS OFFICE
	 MESSAGE - CUSTOMS OFFICE.Reference number	   
	 MESSAGE - HEADER.Document/reference number Communicated
	 MESSAGE - HEADER.Reference number
	 
	 The following dataItems and datagroups have been created and added:
	 MESSAGE.HEADER.Declaration Respone submitted Date and Time - newxml tag: HEADecResSubDaT
	 MESSAGE.HEADER.Warehouse Keeper 					- newxml tag: HEAWarKeep
	 MESSAGE.HEADER.Warehouse Identification				- newxml tag: HEAWarIden
	 MESSAGE.DOCUMENT. 							- newxml tag: MESDOC
	 MESSAGE.DOCUMENT.Mrn 							- newxml tag: MESDOCMrn
	 MESSAGE.DOCUMENT.GOODS ITEM 						- newxml tag: MESDOCGI
	 MESSAGE.DOCUMENT.GOODS ITEM.Item Number 				- newxml tag: MESDOCGIIteNum
	 MESSAGE.DOCUMENT.GOODS ITEM.DEBITS 				- newxml tag: MESDOCGIDEB
	 MESSAGE.DOCUMENT.GOODS ITEM.DEBITS.Document Type 		- newxml tag: MESDOCGIDEBDocTyp
	 MESSAGE.DOCUMENT.GOODS ITEM.DEBITS.Document/reference Number - newxml tag: MESDOCGIDEBDocRefNum
	 MESSAGE.DOCUMENT.GOODS ITEM.DEBITS.Kind of packages 		- newxml tag: MESDOCGIDEBKinofPac
	 MESSAGE.DOCUMENT.GOODS ITEM.DEBITS.Quantity 			- newxml tag: MESDOCGIDEBQua

DX313: The LRN field (MESSAGE.HEADER.Reference number - xml tag: RefNumHEA4) has been removed and
	 its place was taken by the MRN field (MESSAGE.HEADER.Document/reference number - xml tag: DocNumHEA5).

DX315: The xml tag was added in the dataItem "MESSAGE.TEMPORARY STORAGE.Warehouse Sector" - xml tag: WarSecTEMPSTOR4.

============================
        VERSION 0.63        
============================

Changes from v0.62 to v0.63:

DA104: The dataItem "MESSAGE.HEADER.Manifest reference number" has been replaced by the "MESSAGE.HEADER.Manifest number".

DA105: The dataItem "MESSAGE.HEADER.Manifest reference number" has been replaced by the "MESSAGE.HEADER.Manifest number".

DA113: The dataItem "MESSAGE.HEADER.Manifest reference number" has been replaced by the "MESSAGE.HEADER.Manifest number".

DB015: The dataItem MESSAGE.HEADER.Document/reference number Communicated has been added.
	 The dataItem "MESSAGE.TRADER DETAILS.TIN" has been deleted.
	 The following dataItems have been added:
	 	MESSAGE.TRADER DETAILS.ID Type
	 	MESSAGE.TRADER DETAILS.ID

DC015: The datagroup MESSAGE.REFERENCED DECLARATION.GOODS ITEM.CONTAINERS has been deleted.
	 The dataItem MESSAGE.REFERENCED DECLARATION.GOODS ITEM.CONTAINERS.Container number has been deleted.
	 The optionality of the dataItem "MESSAGE.REFERENCED DECLARATION.GOODS ITEM.PACKAGES.Marks & numbers of packages (long)" has been changed from D to O.
	 The optionality of the dataItem "MESSAGE.REFERENCED DECLARATION.GOODS ITEM.Place of loading" has been changed from D to O.

DC115: The following dataItems have been deleted:
	 	MESSAGE.HEADER.Document/reference number Communicated
	 	MESSAGE.REFERENCED DECLARATION.GOODS ITEM.Commercial Reference Number
		MESSAGE.REFERENCED DECLARATION.GOODS ITEM.Place of loading
	 	MESSAGE.REFERENCED DECLARATION.GOODS ITEM.Place of loading LNG
	 	MESSAGE.REFERENCED DECLARATION.GOODS ITEM.Place of unloading
	 	MESSAGE.REFERENCED DECLARATION.GOODS ITEM.Place of unloading LNG
	 The optionality of the "MESSAGE.REFERENCED DECLARATION.GOODS ITEM.TARIC Code" has been changed from R to O.
	 The optionality of the "MESSAGE.REFERENCED DECLARATION.GOODS ITEM.PACKAGES.Marks & numbers of packages (long)" has been changed from D to O.

DB016: The dataItem "MESSAGE.HEADER.Document/reference number Communicated" (xml tag: DocRefComHEA120) has been deleted.
DB116: The dataItem "MESSAGE.HEADER.Document/reference number Communicated" (xml tag: DocRefComHEA120) has been deleted.
DB216: The dataItem "MESSAGE.HEADER.Document/reference number Communicated" (xml tag: DocRefComHEA120) has been deleted.
DB316: The dataItem "MESSAGE.HEADER.Document/reference number Communicated" (xml tag: DocRefComHEA120) has been deleted.
DB416: The dataItem "MESSAGE.HEADER.Document/reference number Communicated" (xml tag: DocRefComHEA120) has been deleted.
DB516: The dataItem "MESSAGE.HEADER.Document/reference number Communicated" (xml tag: DocRefComHEA120) has been deleted.
DB616: The dataItem "MESSAGE.HEADER.Document/reference number Communicated" (xml tag: DocRefComHEA120) has been deleted.
DB716: The dataItem "MESSAGE.HEADER.Document/reference number Communicated" (xml tag: DocRefComHEA120) has been deleted.
DB816: The dataItem "MESSAGE.HEADER.Document/reference number Communicated" (xml tag: DocRefComHEA120) has been deleted.

DA315: The optionality of the dataItem "MESSAGE.HEADER.Conveyance reference number" has been changed from D to O.
	 The optionality of the dataItem "MESSAGE.HEADER.Repacking Reason Description" has been changed from D to O.
	 The following dataItems have been deleted:
	 	MESSAGE.HEADER.Document/reference number 
	 	MESSAGE.HEADER.Identity of means of transport crossing border
	 	MESSAGE.HEADER.Identity of means of transport crossing border LNG
	 	MESSAGE.HEADER.Nationality of means of transport crossing border

	 The datagroup "MESSAGE.WAREHOUSE KEEPER" with its dataItems have been deleted.
	 The datagroup "MESSAGE.REPACKING ITEM" with its dataItems have been deleted. 
	 The datagroup "MESSAGE.TEMPORARY STORAGE" with its dataItems have been deleted.
	 The datagroup "MESSAGE.DECLARATION" with its dataItems have been deleted.
	 The datagroup "MESSAGE.DECLARATION CONTAINERS" with its dataItems have been deleted.
	 The datagroup "MESSAGE.DECLARATION ITEM" with its dataItems have been deleted.
	 The datagroup "MESSAGE.DECLARATION PACKAGES" with its dataItems have been deleted.
	 The datagroup "MESSAGE.CONSOLIDATION DOCUMENTS / CERTIFICATES" with its dataItems have been deleted.
	 
	 The dategroup "MESSAGE.REPRESENTATIVE" with its dataItems have been added.
	 The dategroup "MESSAGE.PERSON LODGING REQUEST" with its dataItems have been added.
	 The dategroup "MESSAGE.GOODS ITEM" with its dataItems have been added.
	 The dategroup "MESSAGE.GOODS ITEM.PACKAGES" with its dataItems have been added.

	 The dategroup "MESSAGE.GOODS ITEM.DECLARATION CONTAINERS" with its dataItems have been created and added.
	 The dategroup "MESSAGE.PREVIOUS DECLARATION" with its dataItems have been created and added.

DX315: The multiplicity of the group "MESSAGE.SEALS ID" has been changed from 1x to 99x.
	 The multiplicity of the group "MESSAGE.GOODS ITEM.CUSTOMS DATA REFERENCE.CUSTOMS DATA REFERENCE DETAILS" has been changed from 1x to 99x.


The rule E716 has been deleted:
"Ôï ïíôüôçôá åßíáé õðï÷ñåùôéêÞ üôáí ç êßíçóç êáôá÷ùñåßôáé/ôñïðïðïéåßôáé áðü ôï ôåëùíåßï,
óå áíôßèåôç ðåñßðôùóç äåí ìðïñåß íá ÷ñçóéìïðïéçèåß.".

New rule has been added, the E719:
"Äåí åðéôñÝðåôáé ç ìåôáâïëÞ ôçò ôéìÞò ðïõ åß÷å äùèåß óôçí áðïäåêôÞ áñ÷éêÞ êßíçóç.".

New rule has been added, the E720:
"Ôï äçëùìÝíï Ôåëùíåßï Áíá÷þñçóçò ðñÝðåé íá åßíáé ôï ßäéï ìå ôï äçëùìÝíï Ôåëùíåßï Êáôá÷þñçóçò.".

New rule has been added, the E721:
"Äåí ìðïñåß íá åßíáé ðñéí ôçí çìåñïìçíßá áðïäï÷Þò ôçò äÞëùóçò.".

TA013: The rule E719 has been added in the following dataItems:
	 	MESSAGE.HEADER.ATA Carnet Number
	 	MESSAGE.HEADER.ATA Carnet Country Code
	 	MESSAGE.(PRINCIPAL) TRADER
	 	MESSAGE.(DEPARTURE) CUSTOMS OFFICE
	 The rule E720 has been added in the following dataItem:
	 	MESSAGE.(DEPARTURE) CUSTOMS OFFICE

	 The optionality of the datagroup "MESSAGE - (REGISTRATION) CUSTOMS OFFICE" has been change from D to R.
	 The optionality of the dataItem "MESSAGE.(PRINCIPAL) TRADER.TIN type" has been changed from O to D.
	 
TA015: The rule E720 has been added in the following dataItems:
	 	MESSAGE.(DEPARTURE) CUSTOMS OFFICE
	 The optionality of the datagroup "MESSAGE.(REGISTRATION) CUSTOMS OFFICE" has been change from D to R.

TA004: The optionality of the dataItem "MESSAGE.(PRINCIPAL) TRADER.TIN type" has been changed from O to D.

TA005: The optionality of the dataItem "MESSAGE.(PRINCIPAL) TRADER.TIN type" has been changed from O to D.

TA009: The optionality of the dataItem "MESSAGE.(PRINCIPAL) TRADER.TIN type" has been changed from O to D.

TA014: The optionality of the dataItem "MESSAGE.(PRINCIPAL) TRADER.TIN type" has been changed from O to D.
	 The rule E719 has been added in the following dataItems:
	 	MESSAGE.HEADER.ATA Carnet Number
	 	MESSAGE.HEADER.ATA Carnet Country Code
	 The rule E719 has been added in the following datagroups:
		MESSAGE.(DEPARTURE) CUSTOMS OFFICE
		MESSAGE.(PRINCIPAL) TRADER
	 The rule E721 has been added in the following dataItem:
	 	MESSAGE.HEADER.Date of cancellation request

TA028: The optionality of the dataItem "MESSAGE.(PRINCIPAL) TRADER.TIN type" has been changed from O to D.

New rule has been added, the E714:
"Ôï ðåäßï Ôýðïò ÄÞëùóçò óôçí ïíôüôçôá «ÅÌÐÏÑÅÕÌÁÔÁ» ðñÝðåé íá Ý÷åé ôçí ßäéá ôéìÞ
ìå áõôÞ ðïõ Ý÷åé äçëùèåß óôï áíôßóôïé÷ï ðåäßï óôçí ïíôüôçôá «ËÅÉÔÏÕÑÃÉÁ»".

TF015: The optionality of the datagroup "MESSAGE.(DESTINATION) CUSTOMS OFFICE" has been changed from R to O.
	 The optionality of the datagroup "MESSAGE.GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES" has been changed from D to R.
	 The optionality of the datagroup "MESSAGE.GOODS ITEM.SPECIAL MENTIONS" has been changed from R to O.
	 The rule R010 has been deleted from the datagroup "MESSAGE.(CONSIGNOR) TRADER".
	 The condition C903 has been deleted from the datagroup "MESSAGE.GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES".
	 The rule E600 has been added in the dataItem "MESSAGE.Message recipient".
	 The optionality of the datagroup "MESSAGE.HEADER.Country of destination code" has been changed from O to R.
	 The dataItem "MESSAGE.HEADER.Total net mass" has been deleted.
	 The condition C140 has been deleted from the dataItem "MESSAGE.HEADER.Country of destination code".
	 The rule E714 has been added in the dataItem "MESSAGE.GOODS ITEM.Type of declaration".
	 The C135 has been added in the dataItem "MESSAGE.GOODS ITEM.Country of dispatch/export code".
	 The rule R020 has been deleted from the "MESSAGE.GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Previous document type".
	 The dataItem "MESSAGE.GOODS ITEM.Country of destination code" has been deleted.

TF013: The rule R010 has been deleted from the datagroup "MESSAGE.(CONSIGNOR) TRADER".
	 The condition C903 has been deleted from the datagroup "MESSAGE.GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES".
	 The rule R020 has been deleted from the "MESSAGE.GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Previous document type".
	 The optionality of the datagroup "MESSAGE.(DESTINATION) CUSTOMS OFFICE" has been changed from R to O.
	 The optionality of the datagroup "MESSAGE.GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES" has been changed from D to R.
	 The rule E719 has been added in the following dataItems/datagroups:
	 	MESSAGE.(CONSIGNOR) TRADER
	 	MESSAGE.(DEPARTURE) CUSTOMS OFFICE
	 	MESSAGE.HEADER.Type of declaration
	 	MESSAGE.HEADER.Country of dispatch/export code
		MESSAGE.GOODS ITEM.Type of declaration
	 The rule E714 has been added in the dataItem "MESSAGE.GOODS ITEM.Type of declaration".
	 The condition C140 has been deleted form the dataItem "MESSAGE.HEADER.Country of destination code".
	 The optionality of the dateItem "MESSAGE.HEADER.Country of destination code" has been changed from O to R.
	 The dataItem "MESSAGE.HEADER.Total net mass" has been deleted.
	 The E721 has been added in the dataItem "MESSAGE.HEADER.Amendment date".
	 The C135 has been added in the dataItem "MESSAGE.GOODS ITEM.Country of dispatch/export code".
	 The dataItem "MESSAGE.GOODS ITEM.Country of destination code" has been deleted.
	 
TF029: The rule R010 has been deleted from the datagroup "MESSAGE.(CONSIGNOR) TRADER".
	 The condition C903 has been deleted from the datagroup "MESSAGE.GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES".
	 The rule R020 has been deleted from the "MESSAGE.GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Previous document type".
	 The optionality of the datagroup "MESSAGE.(DESTINATION) CUSTOMS OFFICE" has been changed from R to O.
	 The optionality of the datagroup "MESSAGE.GOODS ITEM.PRODUCED DOCUMENTS/CERTIFICATES" has been changed from D to R.
	 The dataItem "MESSAGE.HEADER.Total net mass" has been deleted.
	 The optionality of the dateItem "MESSAGE.HEADER.Country of destination code" has been changed from O to R.
	 The condition C140 has been deleted form the dataItem "MESSAGE.HEADER.Country of destination code".
	 The dataItem "MESSAGE.GOODS ITEM.Country of destination code" has been deleted.
	 The C135 has been added in the dataItem "MESSAGE.GOODS ITEM.Country of dispatch/export code".
	 The rule E714 has been added in the dataItem "MESSAGE.GOODS ITEM.Type of declaration".
	 
TF014: The rule E719 has been added in the following dataItems:
	 	MESSAGE.(CONSIGNOR) TRADER
	 	MESSAGE.(DEPARTURE) CUSTOMS OFFICE	 
	 The rule E721 has been added in the following dataItem:
		MESSAGE.HEADER.Date of cancellation request

New rule has been added, the E725:
"ÅÜí ç äÞëùóç åßíáé ôýðïõ ‘I’ ôüôå ôï óýìâïëï ôïõ äçëùôéêïý ìðïñåß íá Ý÷åé ìüíï ìßá áðü ôéò åîÞò ôéìÝò ‘T1’, ‘T2’ êáé ‘T2F’.
Óå ðåñßðôùóç ðïõ ç äÞëùóç åßíáé ôýðïõ ‘II’ ôüôå ôï óýìâïëï ôïõ äçëùôéêïý ìðïñåß íá Ý÷åé ìüíï ìßá áðü ôéò åîÞò ôéìÝò ‘T1’, ‘T2’, ‘TF’, ‘TD’, ‘C’, ‘F’ êáé ‘X’. 
ÅÜí ç äÞëùóç åßíáé ôýðïõ ‘Êïéíïôéêïý’ ôüôå ôï óýìâïëï ôïõ äçëùôéêïý ìðïñåß íá Ý÷åé ìüíï ìßá áðü ôéò åîÞò ôéìÝò ‘C’, ‘F’ êáé ‘N’.".

New rule has been added, the E089:
"ÅÜí ï ôýðïò åããýçóçò åßíáé ‘3’ ôüôå ôï GRN èá ðñÝðåé íá åßíáé åëëçíéêü.".

TBxxx and TCxxx messages: The format of the following dataItems has been changed from an..4 to n1:
	 				MESSAGE.MANIFEST ITEMS.Manifest symbol
	 				MESSAGE.HEADER.Manifest symbol

A new codelist E8 has been added for the Cargo Manifest Symbol:
	The code number for the codelist: E8
	The name for this codelist: Cargo Manifest Symbol
	The format for the codelist: n1
	Domain: NCTS
	Phase: NCTS SEC

The following dataItems have been added in the codelist E8:
	MESSAGE.MANIFEST ITEMS.Manifest symbol
	MESSAGE.HEADER.Manifest symbol

TB015: The rule E725 has been added in the following dataItems:
	 	MESSAGE.MANIFEST ITEMS.Manifest symbol
	 	MESSAGE.HEADER.Manifest symbol

TB013: The rule E725 has been added in the following dataItems:	 
	 	MESSAGE.MANIFEST ITEMS.Manifest symbol
	 	MESSAGE.HEADER.Manifest symbol
	 The rule E719 has been added in the following:
	 	MESSAGE.(DEPARTURE) CUSTOMS OFFICE
		MESSAGE.(PRINCIPAL) TRADER
		MESSAGE.HEADER.Initiation Role
	 The rule E721 has been added in the following dataItem:
		MESSAGE.HEADER.Amendment date

TB051: The rule E725 has been added in the following dataItems:
	 	MESSAGE.MANIFEST ITEMS.Manifest symbol
	 	MESSAGE.HEADER.Manifest symbol

TB014: The rule E719 has been added in the following datagroups:
	 	MESSAGE.(DEPARTURE) CUSTOMS OFFICE
		MESSAGE.(PRINCIPAL) TRADER
	 The rule E721 has been added in the following dataItem:
		MESSAGE.HEADER.Date of cancellation request

TC015: The rule E725 has been added in the following dataItems:
	 	MESSAGE.MANIFEST ITEMS.Manifest symbol
	 	MESSAGE.HEADER.Manifest symbol

TC013: The rule E725 has been added in the following dataItems:
	 	MESSAGE.MANIFEST ITEMS.Manifest symbol
	 	MESSAGE.HEADER.Manifest symbol
	 The rule E719 has been added in the following:
	 	MESSAGE.(DEPARTURE) CUSTOMS OFFICE
		MESSAGE.(PRINCIPAL) TRADER
		MESSAGE.HEADER.Initiation Role
 	 The rule E721 has been added in the following dataItem:
		MESSAGE.HEADER.Amendment date

TC014: The rule E719 has been added in the following datagroups:
	 	MESSAGE.(DEPARTURE) CUSTOMS OFFICE
		MESSAGE.(PRINCIPAL) TRADER
	 The rule E721 has been added in the following dataItem:
		MESSAGE.HEADER.Date of cancellation request

TC051: The rule E725 has been added in the following dataItems:
	 	MESSAGE.MANIFEST ITEMS.Manifest symbol
	 	MESSAGE.HEADER.Manifest symbol

Also, for the messages TC013, TC015 and TC051 the sequense has been changed bettween the datagroups "MANIFEST ITEMS" and "MARINE TRASNPORT DETAILS".
The DG_SEQ of the datagroup and its dataItem of the “MANIFEST ITEMS” has been changed from 69411650000000 to 69411660005000.

IE014: The rule E719 has been added in the following datagroups:
	 	MESSAGE.(DEPARTURE) CUSTOMS OFFICE
		MESSAGE.(PRINCIPAL) TRADER
	 The rule E721 has been added in the following dataItem:
		MESSAGE.HEADER.Date of cancellation request

IE044: The rule E719 has been added in the following datagroups:
		MESSAGE.(DESTINATION) TRADER
		MESSAGE.(PRESENTATION OFFICE) CUSTOMS OFFICE
	 The rule E721 has been added in the following dataItem:
		MESSAGE.UNLOADING REMARK.Unloading date

IE054: The rule E719 has been added in the following datagroups:
		MESSAGE.(PRINCIPAL) TRADER
		MESSAGE.(DEPARTURE) CUSTOMS OFFICE
	 The rule E721 has been added in the following dataItem:
		MESSAGE.HEADER.Date of release request

IE013: The rule E719 has been added in the following datagroups:
		MESSAGE.(PRINCIPAL) TRADER
		MESSAGE.(DEPARTURE) CUSTOMS OFFICE
	 The rule E721 has been added in the following dataItem:
		MESSAGE.HEADER.Date of amendment
	 The optionality of the dataItem "MESSAGE.GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Previous document reference(ED)" from R to D.
	 The format of the dataItem "MESSAGE.GOODS ITEM.PACKAGES.Kind of packages(ED)" has been changed from a2 to an..3.
	 The rule E230 has been added in the "MESSAGE.GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Previous document reference(ED)".
	 The condition C186 has been deleted from the dataItem "MESSAGE.GOODS ITEM.Commercial Reference Number".
	 The rule R876 has been deleted from the dataItem "MESSAGE.GOODS ITEM.Commercial Reference Number".
	 The rule E094 has been deleted from the dataItem "MESSAGE.(CARRIER) TRADER.TIN".
	 The rule E106 has been added in the dateIem "MESSAGE.(CARRIER) TRADER.TIN type".
	 The rule E089 has been added in the dataItem "MESSAGE.GUARANTEE.GUARANTEE REFERENCE.Guarantee reference number (GRN)(ED)".

IE029: The optionality of the dataItem "MESSAGE.GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Previous document reference(ED)" from R to D.
	 The format of the dataItem "MESSAGE.GOODS ITEM.PACKAGES.Kind of packages(ED)" has been changed from a2 to an..3.
	 The rule E230 has been added in the "MESSAGE.GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Previous document reference(ED)".
	 The rule E100 has been deleted from the dataItem "MESSAGE.(CARRIER) TRADER.TIN".
	 The rule E106 has been deleted from the dataItem "MESSAGE.(CARRIER) TRADER.TIN".
	 The rule E089 has been added in the dataItem "MESSAGE.GUARANTEE.GUARANTEE REFERENCE.Guarantee reference number (GRN)(ED)".

IE051: The optionality of the dataItem "MESSAGE.GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Previous document reference(ED)" from R to D.
	 The format of the dataItem "MESSAGE.GOODS ITEM.PACKAGES.Kind of packages(ED)" has been changed from a2 to an..3.
	 The rule E230 has been added in the "MESSAGE.GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Previous document reference(ED)".
	 The rule E100 has been deleted from the dataItem "MESSAGE.(CARRIER) TRADER.TIN".
	 The rule E089 has been added in the dataItem "MESSAGE.GUARANTEE.GUARANTEE REFERENCE.Guarantee reference number (GRN)(ED)".

IE015: The optionality of the dataItem "MESSAGE.GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Previous document reference(ED)" from R to D.
	 The rule E230 has been added in the "MESSAGE.GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Previous document reference(ED)".
	 The format of the dataItem "MESSAGE.GOODS ITEM.PACKAGES.Kind of packages(ED)" has been changed from a2 to an..3.
	 The R105 has been deleted from the dataItem "MESSAGE.HEADER.Total number of packages".
	 The rule E094 has been deleted from the dataItem "MESSAGE.(CARRIER) TRADER.TIN".
	 The rule E106 has been added in the dateIem "MESSAGE.(CARRIER) TRADER.TIN type".
	 The dataItem "MESSAGE.HEADER.Submission type" has been added.
	 The rule E089 has been added in the dataItem "MESSAGE.GUARANTEE.GUARANTEE REFERENCE.Guarantee reference number (GRN)(ED)".

The following changes from database 0.59b have been added also here in v0.63:

IE347: The dataItem "MESSAGE.HEADER.Country code of Office of first Entry declared" has been added. (10431)
	 The optionality of the dataItem "MESSAGE.HEADER.Total gross mass" should be change from O to R.
	 The optionality of the dataItem "MESSAGE.HEADER.Identification of the means of transport" should be change from R to O.
	 The optionality of the dataItem "MESSAGE.HEADER.Total number of arrival packages from O to R.

============================
        VERSION 0.63a        
============================

Changes from v0.63 to v0.63a:

The message version C for the message IE411 and IE412 has been introduced in the ICS domain, CD411C and CD412C.
Also, they have been aligned with the version of the DDNIA 7.10.

============================
        VERSION 0.64        
============================

Changes from v0.63a to v0.64:

DB013: The dataItem MESSAGE.HEADER.Document/reference number Communicated has been added.
	 The dataItem "MESSAGE.TRADER DETAILS.TIN" has been deleted.
	 The following dataItems have been added:
	 	MESSAGE.TRADER DETAILS.ID Type
	 	MESSAGE.TRADER DETAILS.ID

DC013: The datagroup MESSAGE.REFERENCED DECLARATION.GOODS ITEM.CONTAINERS has been deleted.
	 The dataItem MESSAGE.REFERENCED DECLARATION.GOODS ITEM.CONTAINERS.Container number has been deleted.
	 The optionality of the dataItem "MESSAGE.REFERENCED DECLARATION.GOODS ITEM.PACKAGES.Marks & numbers of packages (long)" has been changed from D to O.
	 The optionality of the dataItem "MESSAGE.REFERENCED DECLARATION.GOODS ITEM.Place of loading" has been changed from D to O.

DC113: The following dataItems have been deleted:
	 	MESSAGE.HEADER.Document/reference number Communicated
	 	MESSAGE.REFERENCED DECLARATION.GOODS ITEM.Commercial Reference Number
		MESSAGE.REFERENCED DECLARATION.GOODS ITEM.Place of loading
	 	MESSAGE.REFERENCED DECLARATION.GOODS ITEM.Place of loading LNG
	 	MESSAGE.REFERENCED DECLARATION.GOODS ITEM.Place of unloading
	 	MESSAGE.REFERENCED DECLARATION.GOODS ITEM.Place of unloading LNG
	 The optionality of the "MESSAGE.REFERENCED DECLARATION.GOODS ITEM.TARIC Code" has been changed from R to O.
	 The optionality of the "MESSAGE.REFERENCED DECLARATION.GOODS ITEM.PACKAGES.Marks & numbers of packages (long)" has been changed from D to O.

DA313: The optionality of the dataItem "MESSAGE.HEADER.Conveyance reference number" has been changed from D to O.
	 The optionality of the dataItem "MESSAGE.HEADER.Repacking Reason Description" has been changed from D to O.
	 The following dataItems have been deleted:
	 	MESSAGE.HEADER.Document/reference number 
	 	MESSAGE.HEADER.Identity of means of transport crossing border
	 	MESSAGE.HEADER.Identity of means of transport crossing border LNG
	 	MESSAGE.HEADER.Nationality of means of transport crossing border

	 The datagroup "MESSAGE.WAREHOUSE KEEPER" with its dataItems have been deleted.
	 The datagroup "MESSAGE.REPACKING ITEM" with its dataItems have been deleted. 
	 The datagroup "MESSAGE.TEMPORARY STORAGE" with its dataItems have been deleted.
	 The datagroup "MESSAGE.DECLARATION" with its dataItems have been deleted.
	 The datagroup "MESSAGE.DECLARATION CONTAINERS" with its dataItems have been deleted.
	 The datagroup "MESSAGE.DECLARATION ITEM" with its dataItems have been deleted.
	 The datagroup "MESSAGE.DECLARATION PACKAGES" with its dataItems have been deleted.
	 The datagroup "MESSAGE.CONSOLIDATION DOCUMENTS / CERTIFICATES" with its dataItems have been deleted.
	 
	 The dategroup "MESSAGE.REPRESENTATIVE" with its dataItems have been added.
	 The dategroup "MESSAGE.PERSON LODGING REQUEST" with its dataItems have been added.
	 The dategroup "MESSAGE.GOODS ITEM" with its dataItems have been added.
	 The dategroup "MESSAGE.GOODS ITEM.PACKAGES" with its dataItems have been added.

	 The dategroup "MESSAGE.GOODS ITEM.DECLARATION CONTAINERS" with its dataItems have been created and added.
	 The dategroup "MESSAGE.PREVIOUS DECLARATION" with its dataItems have been created and added.

DX313: The multiplicity of the group "MESSAGE.SEALS ID" has been changed from 1x to 99x.
	 The multiplicity of the group "MESSAGE.GOODS ITEM.CUSTOMS DATA REFERENCE.CUSTOMS DATA REFERENCE DETAILS" has been changed from 1x to 99x.

DA215: The optionality of the dataItem "MESSAGE.GOODS ITEM (OR).Item number" has been changed from R to D.
	 The optionality of the datagroup "MESSAGE.GOODS ITEM (OR).ITEM RANGE" has been changed from O to D.

DA315: The dataItem "MESSAGE.GOODS ITEM.commodity code" has been added.

DA313: The dataItem "MESSAGE.GOODS ITEM.commodity code" has been added.

DC004: The dataItem "MESSAGE.HEADER.Document/reference number Communicated" has been deleted.

DC005: The dataItem "MESSAGE.HEADER.Document/reference number Communicated" has been deleted.

DC115: The optionality of the "MESSAGE.HEADER.Abandonment Request registration date and time" has been changed from R to O - backend item only.
	 The optionality of the "MESSAGE.REFERENCED DECLARATION.GOODS ITEM.WAREHOUSE" has been changed from R to O.
	 The optionality of the "MESSAGE.REFERENCED DECLARATION.GOODS ITEM.Available QUANTITY PACKAGES" has been changed from R to O
	 The optionality of the "MESSAGE.REFERENCED DECLARATION.GOODS ITEM.REFERENCED DECLARATION PACKAGES" has been changed from R to O
	 The optionality of the "MESSAGE.REFERENCED DECLARATION.Customs Office" has been changed from R to O.
	 The optionality of the "MESSAGE.REFERENCED DECLARATION.Declaration date" has been changed from R to O.
	 The optionality of the "MESSAGE.REFERENCED DECLARATION.Total Lines" has been changed from R to O.
	 The dataItem "MESSAGE.REFERENCED DECLARATION.Status" has been added - backend item only.
	 The multiplicity of the dategroup "MESSAGE.REFERENCED DECLARATION.GOODS ITEM.WAREHOUSE" has been changed from 99 to 1.

DC113: The optionality of the "MESSAGE.HEADER.Abandonment Request amendment registration date and time" has been changed from R to O.
	 The optionality of the "MESSAGE.REFERENCED DECLARATION.GOODS ITEM.WAREHOUSE" has been changed from R to O.
	 The optionality of the "MESSAGE.REFERENCED DECLARATION.GOODS ITEM.Available QUANTITY PACKAGES" has been changed from R to O
	 The optionality of the "MESSAGE.REFERENCED DECLARATION.GOODS ITEM.REFERENCED DECLARATION PACKAGES" has been changed from R to O
	 The optionality of the "MESSAGE.REFERENCED DECLARATION.Customs Office" has been changed from R to O.
	 The optionality of the "MESSAGE.REFERENCED DECLARATION.Declaration date" has been changed from R to O.
	 The optionality of the "MESSAGE.REFERENCED DECLARATION.Total Lines" has been changed from R to O.
	 The dataItem "MESSAGE.REFERENCED DECLARATION.Status" has been added - backend item only.
	 The multiplicity of the dategroup "MESSAGE.REFERENCED DECLARATION.GOODS ITEM.WAREHOUSE" has been changed from 99 to 1.

DX313: The dataItem "MESSAGE.TEMPORARY STORAGE.Warehouse Sector" has been added.

COM05: The format of the dataItem "MESSAGE.EU GOODS ITEM RISK.EU Risk Result Code" has been changed from a..5 to an..5.
	 The format of the dataItem "MESSAGE.RISK INFORMATION.EU Risk Result Code" has been changed from a..5 to an..5.

============================
        VERSION 0.64b        
============================

Changes from v0.64 to v0.64b:

IE347: The optionality of the dataItem "MESSAGE.HEADER.Total number of packages" has been changed from R to O.
	 The optionality of the dataItem "MESSAGE.HEADER.Total gross mass" has been changed from R to O.
	 The optionality of the dataItem "MESSAGE.HEADER.Identity of means of transport" has been changed from O to R.

============================
        VERSION 0.65        
============================

Changes from v0.64 to v0.65:

IE513: The optionality of the datagroup "MESSAGE - GOODS ITEM - PACKAGES" is already R.
	 The optionality of the dataItem "MESSAGE - HEADER.Transport mode at border" has been changed from R to D.
	 The optionality of the dataItem "MESSAGE - (EXPORTER) TRADER.TIN" has been changed from R to D.
	 The optionality of the dataItem "MESSAGE - (EXPORTER) TRADER.Special Mention" has been changed from O to D.
	 The optionality of the dataItem "MESSAGE - (CONSIGNEE) TRADER.City" has been changed from R to D.
	 The optionality of the dataItem "MESSAGE - (CONSIGNEE) TRADER.Country code" has been changed from R to D.
	 The optionality of the dataItem "MESSAGE - (CONSIGNEE) TRADER.Name" has been changed from R to D.
	 The optionality of the dataItem "MESSAGE - (CONSIGNEE) TRADER.Postal code" has been changed from R to D.
	 The optionality of the dataItem "MESSAGE - (CONSIGNEE) TRADER.Special Mention" has been changed from O to D.
	 The optionality of the dataItem "MESSAGE - (CONSIGNEE) TRADER.Street and number" has been changed from R to D.
	 The optionality of the dataItem "MESSAGE - GOODS ITEM.Goods description" has been changed from R to O.
	 The optionality of the dataItem "MESSAGE - GOODS ITEM.Previous Procedure" has been changed from O to R.
	 The optionality and the format of the dataItem "MESSAGE - GOODS ITEM.Statistical value amount" is already correct.
	 The optionality of the dataItem "MESSAGE - GOODS ITEM - PREVIOUS ADMINISTRATIVE REFERENCES.Previous document reference" has been changed from R to D.
	 The optionality of the dataItem "MESSAGE - (DECLARANT) TRADER.TIN" has been changed from R to D.
	 The optionality of the dataItem "MESSAGE - (DECLARANT) TRADER.Special Mention" has been changed from O to D.

IE515: The dataItem "MESSAGE - (EXPORTER) TRADER.Special Mention" has been added, it was missing.
	 The optionality of the datagroup "MESSAGE - GOODS ITEM - PACKAGES" is already R.
	 The optionality of the dataItem "MESSAGE - HEADER.Transport mode at border" has been changed from R to D.
	 The optionality of the dataItem "MESSAGE - (EXPORTER) TRADER.TIN" has been changed from R to D.
	 The optionality of the dataItem "MESSAGE - (CONSIGNEE) TRADER.City" has been changed from R to D.
	 The optionality of the dataItem "MESSAGE - (CONSIGNEE) TRADER.Country code" has been changed from R to D.
	 The optionality of the dataItem "MESSAGE - (CONSIGNEE) TRADER.Name" has been changed from R to D.
	 The optionality of the dataItem "MESSAGE - (CONSIGNEE) TRADER.Postal code" has been changed from R to D.
	 The optionality of the dataItem "MESSAGE - (CONSIGNEE) TRADER.Special Mention" has been changed from O to D.
	 The optionality of the dataItem "MESSAGE - (CONSIGNEE) TRADER.Street and number" has been changed from R to D.
	 The optionality of the dataItem "MESSAGE - GOODS ITEM.Goods description" has been changed from R to O.
	 The optionality of the dataItem "MESSAGE - GOODS ITEM.Previous Procedure" has been changed from O to R.
	 The optionality and the format of the dataItem "MESSAGE - GOODS ITEM.Statistical value amount" is already correct.
	 The optionality of the dataItem "MESSAGE - GOODS ITEM - PREVIOUS ADMINISTRATIVE REFERENCES.Previous document reference" has been changed from R to D.
	 The optionality of the dataItem "MESSAGE - (DECLARANT) TRADER.TIN" has been changed from R to D.
	 The optionality of the dataItem "MESSAGE - (DECLARANT) TRADER.Special Mention" has been changed from O to D.

ED15: The optionality of the dataItem "MESSAGE - (EXPORTER) TRADER.TIN" has been changed from R to D.
	The optionality of the dataItem "MESSAGE - (EXPORTER) TRADER.Special Mention" has been changed from O to D.
	The optionality ofr the datagoup "MESSAGE - (EXPORTER) TRADER" has been changed from R to D.
	The optionality of the dataItem "MESSAGE - (DECLARANT) TRADER.TIN" has been changed from R to D.
	The optionality of the dataItem "MESSAGE - (DECLARANT) TRADER.Special Mention" has been changed from O to D.
	The optionality of the dataItem "MESSAGE - GOODS ITEM - PREVIOUS ADMINISTRATIVE REFERENCES.Previous document reference" has been changed from R to D.
	The group "MESSAGE - (STATUS) REPRESENTATIVE" with the dataItem "MESSAGE - (STATUS) REPRESENTATIVE.Representative status code" have been added.

DE004: The optionality of the dataItem "HEADER.Document reference number communicated" has been changed from R to O.

DE005: The optionality of the dataItem "HEADER.Document reference number communicated" has been changed from R to O.

DC104: The optionality of the dataItem "HEADER.Document reference number communicated" has been changed from R to O.

DC105: The optionality of the dataItem "HEADER.Document reference number communicated" has been changed from R to O.

DX313: The optionality of the dataItem "MESSAGE - (CONSIGNOR) TRADER" has been changed from O to D.
	 The optionality of the dataItem "MESSAGE - GOODS ITEM - SEALS ID.Seals identity LNG" has been changed from O to R.
	 The multiplicity of the group "MESSAGE - GOODS ITEM - PREVIOUS DOCUMENTS” has been changed from 1 to 99.

DX315: The optionality of the dataItem "MESSAGE - (CONSIGNOR) TRADER" has been changed from O to D.
	 The optionality of the dataItem "MESSAGE - GOODS ITEM - SEALS ID.Seals identity LNG" has been changed from O to R.
	 The multiplicity of the group "MESSAGE - GOODS ITEM - PREVIOUS DOCUMENTS" has been changed from 1 to 99.

DC116: The optionality of the dataItem "MESSAGE - HEADER.Document/reference number Communicated" has been changed from R to O.

DE016: The optionality of the dataItem "MESSAGE - HEADER.Document/reference number" has been changed from R to O.
	 The optionality of the dataItem "MESSAGE - HEADER.Document/reference number Communicated" has been changed from R to O.

DC016: The dataItem "HEADER.Document reference number communicated" has been deleted.
	 The optionality of the dataItem "HEADER.Document/reference number" has been changed from R to O.

DC028: The dataItem "MESSAGE - HEADER.Document/reference number Communicated" has been deleted.

DC128: The optionality of the dataItem "MESSAGE - HEADER.Document/reference number Communicated" has been changed from R to O.

DE028: The optionality of the dataItem "MESSAGE - HEADER.Document/reference number" has been changed from R to O.
	 The optionality of the dataItem "MESSAGE - HEADER.Document/reference number Communicated" has been changed from R to O.

DC013: The optionality of the group "MESSAGE – REPRESENTATIVE" has been changed from R to O.

DC113: The dataItem "MESSAGE - HEADER.Document/reference number Communicated" has been added.

DA316: The multiplicity of the group "MESSAGE - FUNCTIONAL ERROR" has been changed from 999 to 99.
	 The optionality of the dataItem "MESSAGE - HEADER.Document/reference number" has been changed from R to O.
	 The optionality of the dataItems "MESSAGE - HEADER.Repacking registration date and time" has been changed from R to O.
	 The optionality of the dataItems "MESSAGE - HEADER.Repacking Submitted Date and Time" has been changed from R to O.
	 The following dataItems have been added:
		MESSAGE - HEADER.Repacking Reason Type
		MESSAGE - HEADER.Repacking Reason Description
	The following group with its groups and dataItems have been added:
		MESSAGE.GOODS ITEMS
		MESSAGE.GOODS ITEMS.Item number
		MESSAGE.GOODS ITEMS.Referenced Declaration Item Number
		MESSAGE.GOODS ITEMS.Goods description
		MESSAGE.GOODS ITEMS.Goods description LNG
		MESSAGE.GOODS ITEMS.Gross Mass
		MESSAGE.GOODS ITEMS.Description
		MESSAGE.GOODS ITEMS.Comments
		MESSAGE.GOODS ITEMS.Commodity code
		MESSAGE.GOODS ITEMS.NATIONAL PACKAGES
		MESSAGE.GOODS ITEMS.NATIONAL PACKAGES.Kind of packages
		MESSAGE.GOODS ITEMS.NATIONAL PACKAGES.Number of packages
		MESSAGE.GOODS ITEMS.NATIONAL PACKAGES.Number of pieces
		MESSAGE.GOODS ITEMS.NATIONAL PACKAGES.Marks & numbers of packages (long)
		MESSAGE.GOODS ITEMS.NATIONAL PACKAGES.Marks & numbers of packages (long) LNG
		MESSAGE.GOODS ITEMS.DECLARATION CONTAINERS
		MESSAGE.GOODS ITEMS.DECLARATION CONTAINERS.Container number
	The following groups and dataItems have been deleted:
		MESSAGE - HEADER.Commercial Reference Number	   
		MESSAGE - HEADER.Document/reference number Communicated	   
		MESSAGE - HEADER.Identity of means of transport crossing border	   
		MESSAGE - HEADER.Identity of means of transport crossing border LNG	   
		MESSAGE - HEADER.Nationality of means of transport crossing border	   
		MESSAGE - HEADER.Place of loading	   
		MESSAGE - HEADER.Place of loading LNG	   
		MESSAGE - HEADER.Place of unloading	   
		MESSAGE - HEADER.Place of unloading LNG	   
		MESSAGE - HEADER.Repacking date and time	   
		MESSAGE - HEADER.Repacking place	   
		MESSAGE - HEADER.Specific Circumstance Indicator	   
		MESSAGE - HEADER.Total gross mass	   
		MESSAGE - HEADER.Total number of items	   
		MESSAGE - HEADER.Total number of packages	   
		MESSAGE - HEADER.Transport charges/ Method of Payment	   
		MESSAGE - HEADER.Transport mode at border	   
		MESSAGE - IMPORT OPERATION	   
		MESSAGE - IMPORT OPERATION.Commercial Reference Number	   
		MESSAGE - IMPORT OPERATION.Conveyance reference number	   
		MESSAGE - IMPORT OPERATION.MRN

DA328: The following dataItems have been added:
		MESSAGE - HEADER.Repacking Reason Type
		MESSAGE - HEADER.Repacking Reason Description
	 The following group with its groups and dataItems have been added:
		MESSAGE.GOODS ITEMS
		MESSAGE.GOODS ITEMS.Item number
		MESSAGE.GOODS ITEMS.Referenced Declaration Item Number
		MESSAGE.GOODS ITEMS.Goods description
		MESSAGE.GOODS ITEMS.Goods description LNG
		MESSAGE.GOODS ITEMS.Gross Mass
		MESSAGE.GOODS ITEMS.Description
		MESSAGE.GOODS ITEMS.Comments
		MESSAGE.GOODS ITEMS.Commodity code
		MESSAGE.GOODS ITEMS.NATIONAL PACKAGES
		MESSAGE.GOODS ITEMS.NATIONAL PACKAGES.Kind of packages
		MESSAGE.GOODS ITEMS.NATIONAL PACKAGES.Number of packages
		MESSAGE.GOODS ITEMS.NATIONAL PACKAGES.Number of pieces
		MESSAGE.GOODS ITEMS.NATIONAL PACKAGES.Marks & numbers of packages (long)
		MESSAGE.GOODS ITEMS.NATIONAL PACKAGES.Marks & numbers of packages (long) LNG
		MESSAGE.GOODS ITEMS.DECLARATION CONTAINERS
	MESSAGE.GOODS ITEMS.DECLARATION CONTAINERS.Container number
 The following groups and dataItems have been deleted:
		MESSAGE - HEADER.Commercial Reference Number	   
		MESSAGE - HEADER.Document/reference number Communicated	   
		MESSAGE - HEADER.Identity of means of transport crossing border	   
		MESSAGE - HEADER.Identity of means of transport crossing border LNG	   
		MESSAGE - HEADER.Nationality of means of transport crossing border	   
		MESSAGE - HEADER.Place of loading	   
		MESSAGE - HEADER.Place of loading LNG	   
		MESSAGE - HEADER.Place of unloading	   
		MESSAGE - HEADER.Place of unloading LNG	   
		MESSAGE - HEADER.Repacking date and time	   
		MESSAGE - HEADER.Repacking place	   
		MESSAGE - HEADER.Repacking place LNG	   
		MESSAGE - HEADER.Specific Circumstance Indicator	   
		MESSAGE - HEADER.Total gross mass	   
		MESSAGE - HEADER.Total number of items	   
		MESSAGE - HEADER.Total number of packages	   
		MESSAGE - HEADER.Transport charges/ Method of Payment	   
		MESSAGE - HEADER.Transport mode at border	   
		MESSAGE - IMPORT OPERATION	   
		MESSAGE - IMPORT OPERATION.Commercial Reference Number	   
		MESSAGE - IMPORT OPERATION.Conveyance reference number
		MESSAGE - IMPORT OPERATION.MRN

The messages DC704, DC705, DC713, DC715, DC716 and DC728 have been deleted.

============================
        VERSION 0.66        
============================

Changes from v0.65 to v0.66:

DA291: The format of the dataITem "MESSAGE.WAREHOUSE KEEPER.TIN" has been changed from an..19 to an..21.

ÉÅ515: The codelist "Flag" has been added in the dataItem "MESSAGE.HEADER.TIR Follows".
	 The dataItem "MESSAGE.GOODS ITEM.(EXPORTER) TRADER.Special Mention" has been deleted.

ÉÅ513: The codelist "Flag" has been added in the dataItem "MESSAGE.HEADER.TIR Follows".

The pattern for the TIN has been changed in NCTS domain.


============================
        VERSION 0.67        
============================

Changes from v0.66 to v0.67:

--------------------
The following changes from database 0.64b have been added also here in v0.67:

IE347: The optionality of the dataItem "MESSAGE.HEADER.Total number of packages" has been changed from R to O.
	 The optionality of the dataItem "MESSAGE.HEADER.Total gross mass" has been changed from R to O.
	 The optionality of the dataItem "MESSAGE.HEADER.Identity of means of transport" has been changed from O to R.
--------------------

The following xml tags have been added:
ChaGroMasGIREFDEC for the dataItem "MESSAGE.REFERENCED DECLARATION.GOODS ITEM.Charging Gross mass"
GenLinDesGIREFDEC for the dataItem "MESSAGE.REFERENCED DECLARATION.GOODS ITEM.General Line Description" 
NatCroBorMTBIDE for the dataItem "MESSAGE.GOODS ITEM.(MEANS OF TRANSPORT AT BORDER) IDENTITY.Nationality crossing border"

So, it seems that the following xsds have been updated:
DC113: The dataItem "MESSAGE.REFERENCED DECLARATION.GOODS ITEM.Charging Gross mass" has been added.
DC113: The dataItem "MESSAGE.REFERENCED DECLARATION.GOODS ITEM.General Line Description" has been added.
DC115: The dataItem "MESSAGE.REFERENCED DECLARATION.GOODS ITEM.Charging Gross mass" has been added.
DC115: The dataItem "MESSAGE.REFERENCED DECLARATION.GOODS ITEM.General Line Description" has been added.
DA229: The dataItem "MESSAGE.GOODS ITEM.(MEANS OF TRANSPORT AT BORDER) IDENTITY.Nationality crossing border" has been added.
DX322: The dataItem "MESSAGE.GOODS ITEM.(MEANS OF TRANSPORT AT BORDER) IDENTITY.Nationality crossing border" has been added.
DX329: The dataItem "MESSAGE.GOODS ITEM.(MEANS OF TRANSPORT AT BORDER) IDENTITY.Nationality crossing border" has been added.
DX361: The dataItem "MESSAGE.GOODS ITEM.(MEANS OF TRANSPORT AT BORDER) IDENTITY.Nationality crossing border" has been added.

DA328: The dataItem "MESSAGE.GOODS ITEM.Commodity code" has been added (xmltag: ComCodGIMES).

DX329: The dataItem "MESSAGE.HEADER.Specific Circumstance Indicator" has been deleted.
	 The dataItem "MESSAGE.HEADER.Transport charges/ Method of Payment" has been deleted.
	 The dataItems from group "MESSAGE.TRADER REPRESENTATIVE" have been replaced by the following:
		MESSAGE.(REPRESENTATIVE) TRADER.City
		MESSAGE.(REPRESENTATIVE) TRADER.Country code
		MESSAGE.(REPRESENTATIVE) TRADER.NAD LNG
		MESSAGE.(REPRESENTATIVE) TRADER.Name
		MESSAGE.(REPRESENTATIVE) TRADER.Postal code
		MESSAGE.(REPRESENTATIVE) TRADER.Street and number
		MESSAGE.(REPRESENTATIVE) TRADER.TIN

DA292: The following dataItems have been deleted:
		MESSAGE.GOODS ITEM
		MESSAGE.GOODS ITEM.Item number

DBx16: The dataItem "MESSAGE.HEADER.Document/reference number Communicated" has been added with optionality R.

DC016: The dataItem "MESSAGE.HEADER.Document/reference number Communicated" has been added with optionality O.

DC028: The dataItem "MESSAGE.HEADER.Document/reference number Communicated" has been added with optionality O.

============================
        VERSION 0.68        
============================

Changes from v0.67 to v0.68:

The messages IA29, IA51, IA80, ID80 have been added in the codelist 60.

DB115: The field "Notes" with optionality O, format "an..240" has been added at HEADER group (xmltag: NotHEA) - Jira issue 4118 (customer id 632)

DB113: The field "Notes" with optionality O, format "an..240" has been added at HEADER group (xmltag: NotHEA) - Jira issue 4118 (customer id 632)

DB015: The field "Notes" with optionality O, format "an..240" has been added at TRANSPORTATION VESSEL DETAILS group (xmltag: NotTRVEDE) - Jira issue 4113 (customer id 603)

DB013: The field "Notes" with optionality O, format "an..240" has been added at TRANSPORTATION VESSEL DETAILS group (xmltag: NotTRVEDE) - Jira issue 4113 (customer id 603)

DC113: For ICISNET-4032:
	 The group MESSAGE.REFERENCED DECLARATION.GOODS ITEM.WAREHOUSE has been deleted with its dataItems
	 	MESSAGE - REFERENCED DECLARATION - GOODS ITEM - WAREHOUSE
	 	MESSAGE - REFERENCED DECLARATION - GOODS ITEM - WAREHOUSE.Warehouse identification
	 	MESSAGE - REFERENCED DECLARATION - GOODS ITEM - WAREHOUSE.Warehouse section
	 	MESSAGE - REFERENCED DECLARATION - GOODS ITEM - WAREHOUSE.Warehouse type
	 The group MESSAGE.REFERENCED DECLARATION.GOODS ITEM.AVAILABLE QUANTITY PACKAGES has been deleted with its dataItems
		MESSAGE - REFERENCED DECLARATION - GOODS ITEM - Available QUANTITY PACKAGES
		MESSAGE - REFERENCED DECLARATION - GOODS ITEM - Available QUANTITY PACKAGES.Kind of packages
		MESSAGE - REFERENCED DECLARATION - GOODS ITEM - Available QUANTITY PACKAGES.Marks & numbers of packages (long)
		MESSAGE - REFERENCED DECLARATION - GOODS ITEM - Available QUANTITY PACKAGES.Marks & numbers of packages LNG
		MESSAGE - REFERENCED DECLARATION - GOODS ITEM - Available QUANTITY PACKAGES.Number of packages
		MESSAGE - REFERENCED DECLARATION - GOODS ITEM - Available QUANTITY PACKAGES.Number of pieces

DC115: For ICISNET-4032:
	 The group MESSAGE.REFERENCED DECLARATION.GOODS ITEM.WAREHOUSE has been deleted with its dataItems
	 	MESSAGE - REFERENCED DECLARATION - GOODS ITEM - WAREHOUSE
	 	MESSAGE - REFERENCED DECLARATION - GOODS ITEM - WAREHOUSE.Warehouse identification
	 	MESSAGE - REFERENCED DECLARATION - GOODS ITEM - WAREHOUSE.Warehouse section
	 	MESSAGE - REFERENCED DECLARATION - GOODS ITEM - WAREHOUSE.Warehouse type
	 The group MESSAGE.REFERENCED DECLARATION.GOODS ITEM.AVAILABLE QUANTITY PACKAGES has been deleted with its dataItems
		MESSAGE - REFERENCED DECLARATION - GOODS ITEM - Available QUANTITY PACKAGES
		MESSAGE - REFERENCED DECLARATION - GOODS ITEM - Available QUANTITY PACKAGES.Kind of packages
		MESSAGE - REFERENCED DECLARATION - GOODS ITEM - Available QUANTITY PACKAGES.Marks & numbers of packages (long)
		MESSAGE - REFERENCED DECLARATION - GOODS ITEM - Available QUANTITY PACKAGES.Marks & numbers of packages LNG
		MESSAGE - REFERENCED DECLARATION - GOODS ITEM - Available QUANTITY PACKAGES.Number of packages
		MESSAGE - REFERENCED DECLARATION - GOODS ITEM - Available QUANTITY PACKAGES.Number of pieces

DBx13: For ICISNET-4120: In all IMO DBx13, the following dataItems have been created and added:
	 MESSAGE.HEADER.Arrival (ArrivHEA1), format an1 and C
	 MESSAGE.HEADER.Departure (DeparHEA2), format an1 and C

DBx15: For ICISNET-4120: In all IMO DBx15, the following dataItems have been created and added:
	 MESSAGE.HEADER.Arrival (ArrivHEA1), format an1 and C
	 MESSAGE.HEADER.Departure (DeparHEA2), format an1 and C

DB115: For ICISNET-4119: The dataItem "Position of the ship in the port" has been created and added (PosportDEPARRDET)
       in the MESSAGE.(DEPARTURE DETAILS) ARRIVAL group, format an..50 and O.

DB015: For ICISNET-4133: Only the optionality has been changed for the field "Document/reference number Communicated"
	 from R to O.

DB115 and DB215: Optionality has been changed for the field "Document/reference number Communicated" from R to O.

DB013, DB113, DB213: Optionality has been changed for the field "Document/reference number Communicated" from R to O.

IA15: The dataItem "Non Coded Produced Documents" has been created and added in GOODS ITEM level, as O and with format an..280

IA13: The dataItem "Non Coded Produced Documents" has been created and added in GOODS ITEM level, as O and with format an..280

IA51: The dataItem "Non Coded Produced Documents" has been created and added in GOODS ITEM level, as O and with format an..280

EA13: The dataItem "Non Coded Produced Documents" has been created and added in GOODS ITEM level, as O and with format an..280

EA15: The dataItem "Non Coded Produced Documents" has been created and added in GOODS ITEM level, as O and with format an..280

EA51: The dataItem "Non Coded Produced Documents" has been created and added in GOODS ITEM level, as O and with format an..280

============================
        VERSION 0.69        
============================

Changes from v0.68 to v0.69:

DB113: For ICISNET-4119: The dataItem "Position of the ship in the port" has been created and added (PosportDEPARRDET)
       in the MESSAGE.(DEPARTURE DETAILS) ARRIVAL group, format an..50 and O.

DA215: For ICISNET-3959: The dataItem "Notes" has been added in the MESSAGE.HEADER group, format an..240 and O.

ID15: The optionality of the dataItem "MESSAGE - ITINERARY.Country of routing code" has been changed from R to O.
	The technical rule TR0099 has beeen added in the following dataItems:
		MESSAGE - SEALS INFO - SEALS ID.Seals identity LNG
		MESSAGE - GOODS ITEM - PRODUCED DOCUMENTS/CERTIFICATES.Document reference LNG
		MESSAGE - GOODS ITEM.Goods description LNG
		MESSAGE - GOODS ITEM.Identity of means of transport at arrival LNG
		MESSAGE - GOODS ITEM - PREVIOUS ADMINISTRATIVE REFERENCES.Previous document reference LNG
		MESSAGE - GOODS ITEM - PRODUCED DOCUMENTS/CERTIFICATES.Document Information LNG

IA13: The optionality of the following dataItems has been changed from O to R: 
	MESSAGE - (CONSIGNEE) TRADER.City
	MESSAGE - (CONSIGNEE) TRADER.Country code
	MESSAGE - (CONSIGNEE) TRADER.NAD LNG

IA15: The optionality of the dataItem "MESSAGE - (CONSIGNEE) TRADER.NAD LNG" has been changed from O to R.

DA215: The foollowing dataItems have been deleted:
		MESSAGE - CONTACT PERSON.Name
		MESSAGE - CONTACT PERSON.Street and number
		MESSAGE - CONTACT PERSON.Postal code
		MESSAGE - CONTACT PERSON.City
		MESSAGE - CONTACT PERSON.Country code
		MESSAGE - CONTACT PERSON.NAD LNG
		MESSAGE - CONTACT PERSON.ID
		MESSAGE - CONTACT PERSON.ID TYPE
	The following dataItems have been added:
		MESSAGE - CONTACT PERSON.Contact Person
		MESSAGE - CONTACT PERSON.Contact Person Email
		MESSAGE - CONTACT PERSON.Contact Person Telephone

The ER902 rule has been created: "ÅÜí ï ôýðïò Íçïëïãßïõ åßíáé «¢ëëï» ôüôå ìðïñåß íá ÷ñçóéìïðïéçèåß ôï ðåäßï ó÷ïëßùí."
and added in the dataItem "MESSAGE.TRANSPORTATION VESSEL DETAILS.Vessel Registration Type"
of the following message DB015, DB115, DB215 and DB013, DB113, DB213.

DC115: The dataItem "MESSAGE.REFERENCED DECLARATION.GOODS ITEM.Charging Gross mass" has been deleted.

DC113: The dataItem "MESSAGE.REFERENCED DECLARATION.GOODS ITEM.Charging Gross mass" has been deleted.

============================
        VERSION 0.70        
============================

Changes from v0.69 to v0.70:

ER902 rule has been updated from: "ÅÜí ï ôýðïò Íçïëïãßïõ åßíáé «¢ëëï» ôüôå ìðïñåß íá ÷ñçóéìïðïéçèåß ôï ðåäßï ó÷ïëßùí."
to: "ÅÜí ï ôýðïò Íçïëïãßïõ åßíáé 3 ôüôå ôï ðåäßï ó÷ïëßùí åßíáé õðï÷ñåùôéêü. ÄéáöïñåôéêÜ ôï ðåäßï ó÷ïëßùí äåí ðñÝðåé íá åéóá÷ôåß."

IC15: The multiplicity of the group MESSAGE.CONTAINERS has been changed from 999 to 99999.

ID99: The format of the dataItem HEADER.Manual Entry Number has been changed from an..5 to an..6.
	The optionality of the group "MESSAGE.(CONSIGNEE) TRADER" has been changed from R to D.
	The optionality of the dataItem "MESSAGE.(CONSIGNEE) TRADER.TIN" has been changed from R to D.
	The optionality of the dataItem "MESSAGE.(CONSIGNEE) TRADER.Special Mention" has been changed from O to D.
	The optionality of the group "MESSAGE.(ADDITIONAL CONSIGNEE) ADDITIONAL TRADER" has been changed from R to O.
	The optionality of the group "MESSAGE.(ENTRY) CUSTOMS OFFICE" has been changed from R to D.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Previous document reference" has been changed from R to D.
	The optionality of the group "MESSAGE.GOODS ITEM.(TAXES) CALCULATION" has been changed from R to D.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.(TAXES) CALCULATION.Tax base" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.(TAXES) CALCULATION.Rate of tax" has been changed from R to O.
	The optionality of the group "MESSAGE.(DATA) TRANSACTION" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.(REPRESENTATIVE) TRADER.TIN" has been changed from R to D.
	The optionality of the dataItem "MESSAGE.(REPRESENTATIVE) TRADER.Special Mention" has been changed from O to D.

ID13: The format of the dataItem HEADER.Manual Entry Number has been changed from an..5 to an..6.
	The optionality of the group "MESSAGE.(CONSIGNEE) TRADER" has been changed from R to D.
	The optionality of the dataItem "MESSAGE.(CONSIGNEE) TRADER.TIN" has been changed from R to D.
	The optionality of the dataItem "MESSAGE.(CONSIGNEE) TRADER.Special Mention" has been changed from O to D.
	The optionality of the group "MESSAGE.(ADDITIONAL CONSIGNEE) ADDITIONAL TRADER" has been changed from R to O.
	The optionality of the group "MESSAGE.(ENTRY) CUSTOMS OFFICE" has been changed from R to D.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Previous document reference" has been changed from R to D.
	The optionality of the group "MESSAGE.GOODS ITEM.(TAXES) CALCULATION" has been changed from R to D.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.(TAXES) CALCULATION.Tax base" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.(TAXES) CALCULATION.Rate of tax" has been changed from R to O.
	The optionality of the group "MESSAGE.(DATA) TRANSACTION" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.(REPRESENTATIVE) TRADER.TIN" has been changed from R to D.
	The optionality of the dataItem "MESSAGE.(REPRESENTATIVE) TRADER.Special Mention" has been changed from O to D.

ID15: The format of the dataItem HEADER.Manual Entry Number has been changed from an..5 to an..6.
	The optionality of the group "MESSAGE.(CONSIGNEE) TRADER" has been changed from R to D.
	The optionality of the dataItem "MESSAGE.(CONSIGNEE) TRADER.TIN" has been changed from R to D.
	The optionality of the dataItem "MESSAGE.(CONSIGNEE) TRADER.Special Mention" has been changed from O to D.
	The optionality of the group "MESSAGE.(ADDITIONAL CONSIGNEE) ADDITIONAL TRADER" has been changed from R to O.
	The optionality of the group "MESSAGE.(ENTRY) CUSTOMS OFFICE" has been changed from R to D.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Previous document reference" has been changed from R to D.
	The optionality of the group "MESSAGE.GOODS ITEM.(TAXES) CALCULATION" has been changed from R to D.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.(TAXES) CALCULATION.Tax base" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.(TAXES) CALCULATION.Rate of tax" has been changed from R to O.
	The optionality of the group "MESSAGE.(DATA) TRANSACTION" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.(REPRESENTATIVE) TRADER.TIN" has been changed from R to D.
	The optionality of the dataItem "MESSAGE.(REPRESENTATIVE) TRADER.Special Mention" has been changed from O to D.

ID51: The format of the dataItem HEADER.Manual Entry Number has been changed from an..5 to an..6.
	The optionality of the group "MESSAGE.(CONSIGNEE) TRADER" has been changed from R to D.
	The optionality of the dataItem "MESSAGE.(CONSIGNEE) TRADER.TIN" has been changed from R to D.
	The optionality of the dataItem "MESSAGE.(CONSIGNEE) TRADER.Special Mention" has been changed from O to D.
	The optionality of the group "MESSAGE.(ADDITIONAL CONSIGNEE) ADDITIONAL TRADER" has been changed from R to O.
	The optionality of the group "MESSAGE.(ENTRY) CUSTOMS OFFICE" has been changed from R to D.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Previous document reference" has been changed from R to D.
	The optionality of the group "MESSAGE.GOODS ITEM.(TAXES) CALCULATION" has been changed from R to D.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.(TAXES) CALCULATION.Tax base" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.(TAXES) CALCULATION.Rate of tax" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.VECHICLE DETAILS.Vechicle CC" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.VECHICLE DETAILS.Vechicle Fuel" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.VECHICLE DETAILS.Vechicle Type" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.VECHICLE DETAILS.Vechicle Engine Type" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.VECHICLE DETAILS.Production Year" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.VECHICLE DETAILS.Vechicle Trade" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.VECHICLE DETAILS.Vechicle Factory Type" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.VECHICLE DETAILS.Vechicle New " has been changed from R to O.
	The optionality of the group "MESSAGE.(DATA) TRANSACTION" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.(REPRESENTATIVE) TRADER.TIN" has been changed from R to D.
	The optionality of the dataItem "MESSAGE.(REPRESENTATIVE) TRADER.Special Mention" has been changed from O to D.

ID015: The format of the dataItem HEADER.Manual Entry Number has been changed from an..5 to an..6.
	The optionality of the group "MESSAGE.(CONSIGNEE) TRADER" has been changed from R to D.
	The optionality of the dataItem "MESSAGE.(CONSIGNEE) TRADER.TIN" has been changed from R to D.
	The optionality of the dataItem "MESSAGE.(CONSIGNEE) TRADER.Special Mention" has been changed from O to D.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Previous document reference" has been changed from R to D.
	The optionality of the dataItem "MESSAGE.(REPRESENTATIVE) TRADER.TIN" has been changed from R to D.
	The optionality of the dataItem "MESSAGE.(REPRESENTATIVE) TRADER.Special Mention" has been changed from O to D.
	The group "MESSAGE.(STATUS) REPRESENTATIVE" has been added with the dataItem "MESSAGE.(STATUS) REPRESENTATIVE.Representative status code".

IA13: The format of the dataItem HEADER.Manual Entry Number has been changed from an..5 to an..6.
	The optionality of the group "MESSAGE.(ENTRY) CUSTOMS OFFICE" has been changed from R to O.
	The optionality of the group "MESSAGE.GOODS ITEM.(CODE) COMMODITY" has been changed from R to O.
	The optionality of the group "MESSAGE.GOODS ITEM.PACKAGES" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.HEADER.Transport mode at border" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.HEADER.Method of payment" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.Goods Descritpion" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.Net Mass" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.Statistical value amount" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.Product Price" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Previous document reference" has been changed from R to D.

IA15: The format of the dataItem HEADER.Manual Entry Number has been changed from an..5 to an..6.
	The optionality of the group "MESSAGE.(ENTRY) CUSTOMS OFFICE" has been changed from R to O.
	The optionality of the group "MESSAGE.GOODS ITEM.(CODE) COMMODITY" has been changed from R to O.
	The optionality of the group "MESSAGE.GOODS ITEM.PACKAGES" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.HEADER.Transport mode at border" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.HEADER.Method of payment" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.Goods Descritpion" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.Net Mass" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.Statistical value amount" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.Product Price" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Previous document reference" has been changed from R to D.

IA51: The format of the dataItem HEADER.Manual Entry Number has been changed from an..5 to an..6.
	The optionality of the group "MESSAGE.(ENTRY) CUSTOMS OFFICE" has been changed from R to O.
	The optionality of the group "MESSAGE.GOODS ITEM.(CODE) COMMODITY" has been changed from R to O.
	The optionality of the group "MESSAGE.GOODS ITEM.PACKAGES" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.HEADER.Transport mode at border" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.HEADER.Method of payment" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.Goods Descritpion" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.Net Mass" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.Statistical value amount" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.Product Price" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Previous document reference" has been changed from R to D.

EA13: The format of the dataItem HEADER.Manual Entry Number has been changed from an..5 to an..6.
	The optionality of the dataItem "MESSAGE.HEADER.Transport mode at border" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.Goods Descritpion" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.Net Mass" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.Statistical value amount" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Previous document reference" has been changed from R to D.

EA15: The format of the dataItem HEADER.Manual Entry Number has been changed from an..5 to an..6.
	The optionality of the dataItem "MESSAGE.HEADER.Transport mode at border" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.Goods Descritpion" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.Net Mass" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.Statistical value amount" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Previous document reference" has been changed from R to D.

EA51: The format of the dataItem HEADER.Manual Entry Number has been changed from an..5 to an..6.
	The optionality of the dataItem "MESSAGE.HEADER.Transport mode at border" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.Goods Descritpion" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.Net Mass" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.Statistical value amount" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES.Previous document reference" has been changed from R to D.

IE513: The format of the data item HEADER.Manual Entry Number has been changed from an..5 to an..6.

IE515: The format of the data item HEADER.Manual Entry Number has been changed from an..5 to an..6.

DB313: The optionality in the following dataItems have been changed from R to O:
		MESSAGE.TRADER DETAILS.NAD LNG
		MESSAGE.SHIP AGENT DETAILS.Ship Agent NAD LNG
                          
DB315: The optionality in the following dataItems have been changed from R to O:
		MESSAGE.TRADER DETAILS.NAD LNG
		MESSAGE.SHIP AGENT DETAILS.Ship Agent NAD LNG

DB613: The optionality in the following dataItems have been changed from R to O:
		MESSAGE.TRADER DETAILS.NAD LNG
		MESSAGE.SHIP AGENT DETAILS.Ship Agent NAD LNG
                          
DB615: The optionality in the following dataItems have been changed from R to O:
		MESSAGE.TRADER DETAILS.NAD LNG
		MESSAGE.SHIP AGENT DETAILS.Ship Agent NAD LNG

DB713: The optionality in the following dataItems have been changed from R to O:
		MESSAGE.TRADER DETAILS.NAD LNG
		MESSAGE.SHIP AGENT DETAILS.Ship Agent NAD LNG
                          
DB715: The optionality in the following dataItems have been changed from R to O:
		MESSAGE.TRADER DETAILS.NAD LNG
		MESSAGE.SHIP AGENT DETAILS.Ship Agent NAD LNG

DB813: The optionality in the following dataItems have been changed from R to O:
		MESSAGE.TRADER DETAILS.NAD LNG
		MESSAGE.SHIP AGENT DETAILS.Ship Agent NAD LNG
                          
DB815: The optionality in the following dataItems have been changed from R to O:
		MESSAGE.TRADER DETAILS.NAD LNG
		MESSAGE.SHIP AGENT DETAILS.Ship Agent NAD LNG

DB413: The optionality of the dataItem "MESSAGE.SHIP AGENT DETAILS.Ship Agent NAD LNG" has been changed from R to O.
                          
DB415: The optionality of the dataItem "MESSAGE.SHIP AGENT DETAILS.Ship Agent NAD LNG" has been changed from R to O.

DB513: The optionality of the dataItem "MESSAGE.SHIP AGENT DETAILS.Ship Agent NAD LNG" has been changed from R to O.
                          
DB515: The optionality of the dataItem "MESSAGE.SHIP AGENT DETAILS.Ship Agent NAD LNG" has been changed from R to O.

DC015: The following dataItems have been deleted for ICISNET-4003:
		MESSAGE - REFERENCED DECLARATION - GOODS ITEM.Place of loading
		MESSAGE - REFERENCED DECLARATION - GOODS ITEM.Place of loading LNG
		MESSAGE - REFERENCED DECLARATION - GOODS ITEM.Place of unloading
		MESSAGE - REFERENCED DECLARATION - GOODS ITEM.Place of unloading LNG

DC013: The following dataItems have been deleted for ICISNET-4003:
		MESSAGE - REFERENCED DECLARATION - GOODS ITEM.Place of loading
		MESSAGE - REFERENCED DECLARATION - GOODS ITEM.Place of loading LNG
		MESSAGE - REFERENCED DECLARATION - GOODS ITEM.Place of unloading
		MESSAGE - REFERENCED DECLARATION - GOODS ITEM.Place of unloading LNG

============================
        VERSION 0.70a        
============================

Changes from v0.70 to v0.70a:

ID13: The optionality of the group "MESSAGE.GOODS ITEM.(TAXES) CALCULATION" has been changed from R to D.

EA15: The optionality of the group "MESSAGE.(EXIT) CUSTOMS OFFICE" has been changed from R to O.
	The optionality of the group "MESSAGE.GOODS ITEM.(CODE) COMMODITY" has been changed from R to O.
	The optionality of the group "MESSAGE.GOODS ITEM.PACKAGES" has been changed from R to O.

EA13: The optionality of the group "MESSAGE.(EXIT) CUSTOMS OFFICE" has been changed from R to O.
	The optionality of the group "MESSAGE.GOODS ITEM.(CODE) COMMODITY" has been changed from R to O.
	The optionality of the group "MESSAGE.GOODS ITEM.PACKAGES" has been changed from R to O.

EA51: The optionality of the group "MESSAGE.(EXIT) CUSTOMS OFFICE" has been changed from R to O.
	The optionality of the group "MESSAGE.GOODS ITEM.(CODE) COMMODITY" has been changed from R to O.
	The optionality of the group "MESSAGE.GOODS ITEM.PACKAGES" has been changed from R to O.

============================
        VERSION 0.71
============================

Changes from v0.70a to v0.71:

IE513: The multiplicity of the group MESSAGE.GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES has been changed from 9 to 50.

IE515: The multiplicity of the group MESSAGE.GOODS ITEM.PREVIOUS ADMINISTRATIVE REFERENCES has been changed from 9 to 50.

ID17: The dataItem "MESSAGE.SEALS INFO.SEALS ID.Seals identity" has been added.

EA13: The dataItem "MESSAGE.HEADER.Country of destination code" has been added.

EA29: The dataItem "MESSAGE.HEADER.Date" has been added.

DA316: The dataItem "MESSAGE.GOODS ITEM.Commodity code" has been added.

ID13: The dataItem "MESSAGE.GOODS ITEM.RELIEFS.Relief Type" has been deleted.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.RELIEFS.Relief Code" has been changed from to R.
	The format of the dataItem "MESSAGE.GOODS ITEM.RELIEFS.Relief Code" has been changed from an2 to an..3
	The format of the dataItem “MESSAGE.PROVISION.FUEL CONTROL.Relief Code” has been changed from an2 to an..3

ID15: The dataItem "MESSAGE.GOODS ITEM.RELIEFS.Relief Type" has been deleted.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.RELIEFS.Relief Code" has been changed from to R.
	The format of the dataItem "MESSAGE.GOODS ITEM.RELIEFS.Relief Code" has been changed from an2 to an..3
	The format of the dataItem “MESSAGE.PROVISION.FUEL CONTROL.Relief Code” has been changed from an2 to an..3

ID51: The dataItem "MESSAGE.GOODS ITEM.RELIEFS.Relief Type" has been deleted.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.RELIEFS.Relief Code" has been changed from to R.
	The format of the dataItem "MESSAGE.GOODS ITEM.RELIEFS.Relief Code" has been changed from an2 to an..3
	The format of the dataItem “MESSAGE.PROVISION.FUEL CONTROL.Relief Code” has been changed from an2 to an..3

ID99: The dataItem "MESSAGE.GOODS ITEM.RELIEFS.Relief Type" has been deleted.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.RELIEFS.Relief Code" has been changed from to R.
	The format of the dataItem "MESSAGE.GOODS ITEM.RELIEFS.Relief Code" has been changed from an2 to an..3
	The format of the dataItem “MESSAGE.PROVISION.FUEL CONTROL.Relief Code” has been changed from an2 to an..3

IA13: The dataItem "MESSAGE.GOODS ITEM.Product Price" has been deleted.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.(TAXES) CALCULATION.Tax base" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.(TAXES) CALCULATION.Rate of tax" has been changed from R to O.
	The dataItem "MESSAGE.GOODS ITEM.RELIEFS.Relief Type" has been deleted.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.RELIEFS.Relief Code" has been changed from to R.
	The format of the dataItem "MESSAGE.GOODS ITEM.RELIEFS.Relief Code" has been changed from an2 to an..3
	The optionality of the dataItem "MESSAGE.HEADER.Amendment place" has been change from R to O.
	The optionality of the dataItem "MESSAGE.(REPRESENTATIVE) TRADER.TIN" has been change from R to D.
	The optionality of the dataItem "MESSAGE.(REPRESENTATIVE) TRADER.Special Mention" has been change from O to D.

IA15: The dataItem "MESSAGE.GOODS ITEM.Product Price" has been deleted.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.(TAXES) CALCULATION.Tax base" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.(TAXES) CALCULATION.Rate of tax" has been changed from R to O.
	The dataItem "MESSAGE.GOODS ITEM.RELIEFS.Relief Type" has been deleted.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.RELIEFS.Relief Code" has been changed from to R.
	The format of the dataItem "MESSAGE.GOODS ITEM.RELIEFS.Relief Code" has been changed from an2 to an..3
	The optionality of the dataItem "MESSAGE.HEADER.Declaration place" has been change from R to O.
	The optionality of the dataItem "MESSAGE.(REPRESENTATIVE) TRADER.TIN" has been change from R to D.
	The optionality of the dataItem "MESSAGE.(REPRESENTATIVE) TRADER.Special Mention" has been change from O to D.

IA51: The dataItem "MESSAGE.GOODS ITEM.Product Price" has been deleted.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.(TAXES) CALCULATION.Tax base" has been changed from R to O.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.(TAXES) CALCULATION.Rate of tax" has been changed from R to O.
	The dataItem "MESSAGE.GOODS ITEM.RELIEFS.Relief Type" has been deleted.
	The optionality of the dataItem "MESSAGE.GOODS ITEM.RELIEFS.Relief Code" has been changed from to R.
	The format of the dataItem "MESSAGE.GOODS ITEM.RELIEFS.Relief Code" has been changed from an2 to an..3
	The optionality of the dataItem "MESSAGE.HEADER.Declaration place" has been change from R to O.
	The optionality of the dataItem "MESSAGE.(REPRESENTATIVE) TRADER.TIN" has been change from R to D.
	The optionality of the dataItem "MESSAGE.(REPRESENTATIVE) TRADER.Special Mention" has been change from O to D.

EA13:	The optionality of the dataItem "MESSAGE.HEADER.Amendment place" has been change from R to O.
	The optionality of the dataItem "MESSAGE.(DECLARANT) TRADER.TIN" has been change from R to D.
	The optionality of the dataItem "MESSAGE.(DECLARANT) TRADER.Special Mention" has been change from O to D.

EA15:	The optionality of the dataItem "MESSAGE.HEADER.Declaration place" has been change from R to O.
	The optionality of the dataItem "MESSAGE.(DECLARANT) TRADER.TIN" has been change from R to D.
	The optionality of the dataItem "MESSAGE.(DECLARANT) TRADER.Special Mention" has been change from O to D.

EA51:	The optionality of the dataItem "MESSAGE.HEADER.Declaration place" has been change from R to O.
	The optionality of the dataItem "MESSAGE.(DECLARANT) TRADER.TIN" has been change from R to D.
	The optionality of the dataItem "MESSAGE.(DECLARANT) TRADER.Special Mention" has been change from O to D.

DE015: The dataItem "MESSAGE.HEADER.Comments" has been added for ICISNET-3944.
	 The dataItem "MESSAGE.HEADER.End Unclaimed date" has been created and added, n8, R (xml tag: MESHEAEndUNCdat).	 
	 The optionality of the dataItems "MESSAGE.HEADER.Total gross mass" and "MESSAGE.HEADER.Total number of packages" has been changed from O to R.
	 The otpionality of the datagroup "MESSAGE.SUBMITTING CUSTOMS OFFICE" has been changed from O to C.
	 The multiplicity of the datagroups "MESSAGE.PRODUCED DOCUMENTS / CERTIFICATES" and "MESSAGE.GOODS ITEM" has been changed from x1 and x999 to x99 and x99.
	 The dataItem "MESSAGE.GOODS ITEM.Sensitive goods" has been created and added, n1, O (xml tag: MESGISengoo)
	 The following dataItems have been deleted:
		MESSAGE - GOODS ITEM.Place of loading
		MESSAGE - GOODS ITEM.Place of loading LNG
		MESSAGE - GOODS ITEM.Place of unloading
		MESSAGE - GOODS ITEM.Place of unloading LNG
	 The dataItem "MESSAGE.CUSTOMS OFFICE.Sector of Custom Office" has been created and added, an..50, O (xml tag: MESCUSOFFSectCO)

DE013: The dataItem "MESSAGE.HEADER.Comments" has been added for ICISNET-3944.
	 The dataItem "MESSAGE.HEADER.End Unclaimed date" has been created and added, n8, R (xml tag: MESHEAEndUNCdat).	 
	 The optionality of the dataItems "MESSAGE.HEADER.Total gross mass" and "MESSAGE.HEADER.Total number of packages" has been changed from O to R.
	 The otpionality of the datagroup "MESSAGE.SUBMITTING CUSTOMS OFFICE" has been changed from O to C.
	 The multiplicity of the datagroups "MESSAGE.PRODUCED DOCUMENTS / CERTIFICATES" and "MESSAGE.GOODS ITEM" has been changed from x1 and x99 to x99 and x99.
	 The dataItem "MESSAGE.GOODS ITEM.Sensitive goods" has been created and added, n1, O (xml tag: MESGISengoo)
	 The following dataItems have been deleted:
		MESSAGE - GOODS ITEM.Place of loading
		MESSAGE - GOODS ITEM.Place of loading LNG
		MESSAGE - GOODS ITEM.Place of unloading
		MESSAGE - GOODS ITEM.Place of unloading LNG
	 The dataItem "MESSAGE.CUSTOMS OFFICE.Sector of Custom Office" has been created and added, an..50, O (xml tag: MESCUSOFFSectCO)

============================
        VERSION 0.72
============================

Changes from v0.71 to v0.72:

The ER902 rule has been wrongly applied in the dataItem "MESSAGE.TRANSPORTATION VESSEL DETAILS.Vessel Registration Number"
and it will be added in the dataItem "MESSAGE.TRANSPORTATION VESSEL DETAILS.Vessel Registration Type"
for the following messages DB015, DB115, DB215 and DB013, DB113, DB213.

IC09: The optionality of the dataItems “MESSAGE.(CONSIGNEE) TRADER.Phone” and “MESSAGE.(CONSIGNEE) TRADER.Tax Office” has been changed to O.

IC14: The optionality of the dataItems “MESSAGE.(CONSIGNEE) TRADER.Phone” and “MESSAGE.(CONSIGNEE) TRADER.Tax Office” has been changed to O.

